2024-10-18 Mike Gabriel

        * Release 2.0.0 (HEAD -> main, tag: 2.0.0)

2024-10-17 Ratchanan Srirattanamet

        * Merge branch 'ubports/focal_-_lomiri-renaming' into 'main'
          (f8b5cdb6)

2024-10-16 Guido Berhoerster

        * Add missing dependency on xauth needed for running tests (b65cbb92)

2024-10-15 Guido Berhoerster

        * Make dependency and use of dh-migrations optional outside Ubuntu
          (2bb7632f)

2024-10-14 Guido Berhoerster

        * Remove dh-translations (b38d5c4b)
        * Remove usage of deprected QString::null (1a0623d2)
        * Remove usage of deprecated Q_FOREACH (ca7f7d8b)

2024-07-03 Ratchanan Srirattanamet

        * d/control: fix B-Ds following various package renames (ff9abaa0)

2024-01-04 Guido Berhoerster

        * Update .pot file (4ed23b5e)

2024-01-03 Guido Berhoerster

        * Rename messaging-app to lomiri-messaging-app (1a7566a3)

2024-10-06 Mike Gabriel

        * Merge branch 'fix/content-hub-rename' into 'main' (cfe167c9)

2024-10-03 OPNA2608

        * debian/messaging-app.install: Update content-hub file location to
          rename (b0b6b4ad)
        * src/CMakeLists.txt: Update content-hub file location to rename
          (3c639a58)

2024-08-12 umesaburo sagawa

        * Translated using Weblate (Japanese) (d71cc3c7)

2024-08-06 Lionel Duboeuf

        * Merge branch 'main_-_keynavigation' into 'main' (303e0e4a)

2024-08-02 Kugi Eusebio

        * Set key navigation in composer based on cursor position (cf67834d)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (3d8800a3)

2024-07-03 Ricky From Hong Kong

        * Translated using Weblate (Chinese (Traditional, Hong Kong))
          (0ad97b82)
        * Translated using Weblate (Chinese (Traditional)) (7b6d0bfa)

2024-05-16 Daniel Soohan Park

        * Translated using Weblate (Korean) (37629ec7)

2024-04-12 复予

        * Translated using Weblate (Chinese (Simplified)) (55624829)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (b1ef3a91)

2024-02-11 ancalina

        * Translated using Weblate (Korean) (ceb2a590)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (a1fc2ee1)
        * Added translation using Weblate (Tamil (Sri Lanka)) (5bedf187)
        * Added translation using Weblate (Chuvash) (d7bd1eae)
        * Added translation using Weblate (Silesian) (c32f7579)
        * Added translation using Weblate (Ossetian) (17c85283)
        * Added translation using Weblate (Sami (Northern)) (eb2e1766)
        * Added translation using Weblate (Greenlandic) (6a066200)
        * Added translation using Weblate (Assamese) (77078ddc)
        * Added translation using Weblate (Haitian) (9c842d97)
        * Added translation using Weblate (Kashubian) (82fad043)
        * Added translation using Weblate (Aragonese) (62c23d1c)
        * Added translation using Weblate (Tibetan) (62e09c2b)
        * Added translation using Weblate (Filipino) (6ff5c941)
        * Added translation using Weblate (Tigrinya) (953a4eff)

2023-12-26 Weblate

        * Added translation using Weblate (German (Walser)) (1f6a17bb)
        * Added translation using Weblate (Italian (it_CARES)) (42ec5c09)
        * Added translation using Weblate (Latin) (d221e1ea)
        * Added translation using Weblate (Tatar) (82b0f459)
        * Added translation using Weblate (Crimean Tatar) (64bfd568)
        * Added translation using Weblate (Venetian) (ec50da36)
        * Added translation using Weblate (Cornish) (cb0e64ed)
        * Added translation using Weblate (Frisian) (25600c20)
        * Added translation using Weblate (Meadow Mari) (602152d0)

2023-12-16 Mike Gabriel

        * Merge branch 'personal/lduboeuf/mmsinfofix' into 'main' (915edacd)

2023-10-01 Lionel Duboeuf

        * Add info to MMS notif bubble fix
          https://gitlab.com/ubports/development/core/messaging-app/-/issues/335
          (ef55bcd2)

2023-12-16 Mike Gabriel

        * Merge branch 'personal/lduboeuf/landscape_fix' into 'main'
          (bdd84c77)

2023-11-21 Lionel Duboeuf

        * Set minimum size before app is shown. fixes
          https://gitlab.com/ubports/development/core/messaging-app/-/issues/340
          (5861d8b0)

2023-12-01 Lionel Duboeuf

        * Merge branch 'settings-page-reorder' into 'main' (638a0a12)

2023-11-27 ixsvf

        * Make Set Theme Last item in ListItem (37bc7d44)

2023-11-19 Marius Gripsgard

        * Merge branch 'personal/lduboeuf/selectcolor_landscape' into 'main'
          (40585043)

2023-10-02 Lionel Duboeuf

        * On landscape, highlight Thread when selected #fixes:
          https://gitlab.com/ubports/development/core/messaging-app/-/issues/339
          (59da9126)

2023-11-14 NPL

        * Translated using Weblate (Japanese) (ebef8c2c)

2023-10-18 Weblate

        * Added translation using Weblate (Xhosa) (62f448f8)
        * Added translation using Weblate (Manx) (c9cd4359)
        * Added translation using Weblate (Corsican) (f4cbce79)
        * Added translation using Weblate (Chechen) (ac565fee)
        * Added translation using Weblate (Wolof) (2f1e81ab)
        * Added translation using Weblate (Kurdish (Central)) (f47fbca0)
        * Added translation using Weblate (Uzbek) (09c6b7ff)
        * Added translation using Weblate (Kyrgyz) (04d90e8c)
        * Added translation using Weblate (Kurdish) (d502607e)
        * Added translation using Weblate (Sotho (Southern)) (c498e11f)
        * Added translation using Weblate (Kannada) (6a9dfe99)
        * Added translation using Weblate (Kazakh) (92aed7db)
        * Added translation using Weblate (Faroese) (d37954ac)
        * Added translation using Weblate (Nepali) (bac74b26)
        * Added translation using Weblate (Norwegian Nynorsk) (5dd6ed84)
        * Added translation using Weblate (Swahili) (0f97ed63)
        * Added translation using Weblate (Afrikaans) (9007954b)
        * Added translation using Weblate (Vietnamese) (94cd54ed)
        * Added translation using Weblate (Odia) (0e2ce402)
        * Added translation using Weblate (Bengali) (0aba31da)
        * Added translation using Weblate (Estonian) (c54a32e6)
        * Added translation using Weblate (Irish) (88c1f908)

2023-10-11 phlostically

        * Translated using Weblate (Esperanto) (ffde5c50)

2023-10-15 Mike Gabriel

        * Release 1.1.0 (1e9b7307) (tag: 1.1.0)

2023-09-10 Marius Gripsgard

        * Merge branch 'personal/lduboeuf/clear_searchfield' into 'main'
          (f12ad879)

2023-09-07 Lionel Duboeuf

        * clear search field when going back (a7aa9ddf)

2023-09-06 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (d9172081)

2023-08-31 Lionel Duboeuf

        * Merge branch 'personal/lduboeuf/fix_readme' into 'main' (2710e169)
        * update Readme: Add informations about how to run locally
          messaging-app with datas (903071cd)

2023-08-22 Marius Gripsgard

        * Merge branch 'personal/lduboeuf/search_conversation' into 'main'
          (44292ce4)

2023-08-07 Lionel Duboeuf

        * Implement search within a conversation fixes
          https://gitlab.com/ubports/development/core/messaging-app/-/issues/336
          (6892c2e5)

2023-08-21 Marius Gripsgard

        * Merge branch 'personal/lduboeuf/header_contact' into 'main'
          (aa1a8bce)

2023-06-29 Lionel Duboeuf

        * Make conversation header clickable. Replace the "contact" icon
          (436b970a)

2023-08-20 Lionel Duboeuf

        * Merge branch 'personal/lduboeuf/fix_dualSimTest' into 'main'
          (139937d9)

2023-08-09 Lionel Duboeuf

        * update Readme: Add informations about how to run locally
          messaging-app with datas (a3ec7f9b)
        * Allow to display conversation even if no account set (d519982e)

2023-08-08 Lionel Duboeuf

        * Re-enable PreviewerImage and PreviewerVideo tests (6d061c8e)
        * Re-enable DualSim Test (16c25926)

2023-08-12 Daniel Frost

        * Translated using Weblate (German) (24ba98e0)

2023-08-13 Abdullah AL Shohag

        * Translated using Weblate (Bengali (Bangladesh)) (5ae24558)

2023-08-04 Salif Mehmed

        * Translated using Weblate (Bulgarian) (e3ac4fc1)

2023-06-30 Rudra Harsh V.Singh

        * Translated using Weblate (Sanskrit) (86a01cb5)

2023-06-30 Weblate

        * Added translation using Weblate (Sanskrit) (482f63e9)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (b7d9ee3e)

2023-06-26 Rudra Harsh V.Singh

        * Translated using Weblate (Hindi) (4c0bb5f2)

2023-06-22 Lionel Duboeuf

        * Translated using Weblate (French) (18af1bf6)

2023-06-06 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_fontSize' into 'main'
          (6f5aeb8b)

2023-06-06 Lionel Duboeuf

        * Increase slightly Text Area Size fixes
          https://gitlab.com/ubports/development/core/messaging-app/-/issues/332
          (c5cca8af)

2023-05-20 Lionel Duboeuf

        * Merge branch 'personal/lduboeuf/prevent_modelreloaded' into 'main'
          (90dad705)

2023-05-17 Lionel Duboeuf

        * Don't open image in fullscreen directly. (f3d7c5bc)

2023-05-16 Lionel Duboeuf

        * Remove animation on text scaling change fixes
          https://gitlab.com/ubports/development/core/messaging-app/-/issues/331
          (d349942f)

2023-05-15 Lionel Duboeuf

        * Initialize participants when possible. This avoid model filter to
          be re-evaluated unnecessarily (8c0b8967)
        * Avoid warning in logs with invalid shortcut name (bdee7bfd)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (4691ecc1)

2023-05-02 Mike Gabriel

        * Merge branch 'personal/lduboeuf/anim_and_fixes' into 'main'
          (25fd051e)

2023-05-01 Lionel Duboeuf

        * Add smooth animation when sending a message (8d4640e8)
        * fix useless logs and error with wrong LomiriColors color (39d8d34a)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (47717b6f)
        * Translated using Weblate (Georgian) (ae11c2b7)

2023-04-04 gallegonovato

        * Translated using Weblate (Spanish) (6669c826)

2023-03-31 Sylke Vicious

        * Translated using Weblate (Italian) (bc2b9e98)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (64fddb47)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (0f8cdb8f)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (e397d47d)

2023-03-27 Jozef Mlich

        * Translated using Weblate (Czech) (e421588f)

2023-03-01 Allan Nordhøy

        * Translated using Weblate (Interlingua) (c8a2fe90)

2023-02-27 Heimen Stoffels

        * Translated using Weblate (Dutch) (c3361c99)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (f954dfcb)

2023-02-25 Heimen Stoffels

        * Translated using Weblate (Dutch) (a4e9ead2)

2023-02-23 Heimen Stoffels

        * Translated using Weblate (Dutch) (90924c80)

2023-02-20 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (1715de83)

2023-02-22 Heimen Stoffels

        * Translated using Weblate (Dutch) (7f2bcc8e)

2023-02-19 phlostically

        * Translated using Weblate (Esperanto) (94afc94c)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (8211132e)

2023-02-15 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (823dcc82)

2023-02-13 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (c38b35a8)

2023-01-31 Mike Gabriel

        * Translated using Weblate (German) (199c2727)

2023-01-30 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (66ab11d3)

2023-01-30 Ivo Xavier

        * Translated using Weblate (Portuguese) (03390fc3)

2023-01-24 M. Fatih Uluçam

        * Translated using Weblate (Turkish) (fa98a60b)

2023-01-24 gnu-ewm

        * Translated using Weblate (Polish) (cb2a3db1)

2023-01-24 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (609a1a56)

2023-01-21 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (d08bcff6)
        * Translated using Weblate (Russian) (4ee3deac)

2023-01-20 Sergii Horichenko

        * Translated using Weblate (Russian) (d8cefc67)

2023-01-20 Hosted Weblate

        * Update translation files (3c40dadf)

2023-01-19 Dan

        * Translated using Weblate (Ukrainian) (184fe89b)

2023-01-18 Sergii Horichenko

        * Translated using Weblate (Russian) (fd7751fb)

2023-01-18 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (5f8c5d37)

2023-01-19 Daniel Frost

        * Translated using Weblate (German) (7d06f5fa)

2023-01-20 Mike Gabriel

        * po/: Update .pot file. (c0ac619b)
        * Merge branch 'personal/lduboeuf/cellbroadcast' into 'main'
          (e4338f4b)

2022-06-25 Lionel Duboeuf

        * Style thread and Message view for cell broadcast (aa398ad1)

2023-01-18 Hosted Weblate

        * Update translation files (a95f09eb)

2023-01-17 Daniel Frost

        * Translated using Weblate (German) (df38121c)

2023-01-18 Guido Berhoerster

        * Release 1.0.0 (464a0038) (tag: 1.0.0)
        * Update .pot file (49f7ed9d)

2023-01-18 Lionel Duboeuf

        * Fix translation (1e1f89db)

2023-01-16 Ivo Xavier

        * Translated using Weblate (Portuguese) (a7229dd1)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (bf4c5b4c)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (71c573c0)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Russian) (a8aebe38)

2023-01-13 Ivo Xavier

        * Translated using Weblate (Portuguese) (739d495a)

2023-01-13 Timothy G

        * Translated using Weblate (French) (03779abd)

2023-01-11 Mike Gabriel

        * Merge branch 'personal/gberh/cleanup' into 'main' (63cb2369)

2023-01-10 Guido Berhoerster

        * Update CMake version requirements (d28747fa)
        * Bump version to 1.0.0 (db4c5bdf)
        * Update README.md (59ed0cc2)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (317dbcb6)

2023-01-10 Hosted Weblate

        * Update translation files (6bd0c18c)

2023-01-10 Mike Gabriel

        * Merge branch 'personal/gberh/modernize-i18n' into 'main' (46a0ebdf)

2023-01-10 Guido Berhoerster

        * Add instructions for translators (be507317)
        * Update .pot file (3597a7d1)
        * Modernize i18n (0519b4bd)

2023-01-07 Alexander Richards

        * Translated using Weblate (Esperanto) (1efd755a)

2023-01-06 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (591db06e)

2023-01-06 Daniel Frost

        * Translated using Weblate (German) (0ccb3620)

2023-01-06 Lionel Duboeuf

        * Merge branch 'personal/lduboeuf/fix_demo' into 'main' (f2d95b6c)
        * fix demo always launched (5173e65a)

2023-01-06 Mike Gabriel

        * Merge branch 'main_-_pinchtozoom' into 'main' (f69990b4)

2022-12-01 Lionel Duboeuf

        * add Demo for Pinch to zoom (80a2b2d7)

2022-08-30 Lionel Duboeuf

        * Add Pinch to zoom text in conversation view (26d2838d)

2023-01-06 Mike Gabriel

        * Merge branch 'main_-_speedstart' into 'main' (f48c36bd)

2022-11-16 Lionel Duboeuf

        * Lazy load MainPage when user request a direct access to
          conversation (0fe67055)

2022-11-30 Lionel Duboeuf

        * add url-dispatcher for click mode (8895e443)

2023-01-06 Mike Gabriel

        * Merge branch 'kingu-main-patch-66644' into 'main' (73ba7828)

2023-01-04 Allan Nordhøy

        * Spelling: "Delete threads?" (f12def12)

2023-01-06 Mike Gabriel

        * Merge branch 'main_-_picturesideway' into 'main' (5ca6a027)

2023-01-05 Lionel Duboeuf

        * fix image rotation issues from camera (6f3fea4a)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (b707ab41)

2023-01-05 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (ec3e06fa)

2023-01-05 Mike Gabriel

        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (b0106a4e)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (23b521e1)

2023-01-04 Anonymous

        * Translated using Weblate (Pampanga) (e5bab8fe)
        * Translated using Weblate (Chinese (Min Nan)) (5c99b650)
        * Translated using Weblate (Kurdish (Southern)) (d12c9eba)
        * Translated using Weblate (Kurdish (Northern)) (b6c123d6)
        * Translated using Weblate (Bemba) (3a017ec3)
        * Translated using Weblate (Oromo) (6920204c)
        * Translated using Weblate (Dhivehi) (f97960e1)
        * Translated using Weblate (Kabyle) (bb406700)
        * Translated using Weblate (Nyanja) (2130e80b)
        * Translated using Weblate (Franco-Provençal) (5ec01e84)
        * Translated using Weblate (Sindhi) (c6e513d0)
        * Translated using Weblate (Lojban) (5418e82b)
        * Translated using Weblate (Macedonian) (648b301a)
        * Translated using Weblate (Maori) (3145728f)
        * Translated using Weblate (Friulian) (746f3d9a)
        * Translated using Weblate (Malagasy) (5991dc4d)
        * Translated using Weblate (Pashto) (1e1c81e6)
        * Translated using Weblate (Tajik) (423a8eae)
        * Translated using Weblate (Turkmen) (630a7829)
        * Translated using Weblate (Lingala) (3d2c74f5)
        * Translated using Weblate (Luxembourgish) (83db9579)
        * Translated using Weblate (Urdu) (09cad29b)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (231fb296)

2023-01-04 Anonymous

        * Translated using Weblate (Tetum) (8e42e816)
        * Translated using Weblate (Ido) (d6406861)
        * Translated using Weblate (Scots) (fcb36ab9)
        * Translated using Weblate (Telugu) (ccf39c88)
        * Translated using Weblate (Sinhala) (fe26b290)
        * Translated using Weblate (Shan) (91afe9d4)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (808845f1)

2023-01-04 Anonymous

        * Translated using Weblate (Burmese) (802eda05)
        * Translated using Weblate (Marathi) (457c1c2c)
        * Translated using Weblate (Malayalam) (ef124dfa)
        * Translated using Weblate (Lao) (46a64906)
        * Translated using Weblate (French (Switzerland)) (2b333806)
        * Translated using Weblate (English (United States)) (4694de66)
        * Translated using Weblate (Valencian) (ce3daa5a)
        * Translated using Weblate (Bulgarian) (535aec70)
        * Translated using Weblate (Asturian) (959aa709)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (80ae33d1)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (5a851b10)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (943d331e)

2023-01-04 Weblate

        * Added translation using Weblate (Pampanga) (6ecce999)
        * Added translation using Weblate (Chinese (Min Nan)) (951e5276)
        * Added translation using Weblate (Kurdish (Southern)) (5c565f48)
        * Added translation using Weblate (Kurdish (Northern)) (cfdd1d9a)
        * Added translation using Weblate (Bemba) (002a5575)
        * Added translation using Weblate (Oromo) (c4fb8239)
        * Added translation using Weblate (Dhivehi) (ed75c72d)
        * Added translation using Weblate (Kabyle) (2a46996b)
        * Added translation using Weblate (Nyanja) (46ae0986)
        * Added translation using Weblate (French (Canada)) (4c430cd0)
        * Added translation using Weblate (Franco-Provençal) (0975488b)
        * Added translation using Weblate (English (Canada)) (ffa60fdc)
        * Added translation using Weblate (Sindhi) (4a4435a4)
        * Added translation using Weblate (Lojban) (f59a45b0)
        * Added translation using Weblate (Georgian) (95342063)
        * Added translation using Weblate (Macedonian) (d61df229)
        * Added translation using Weblate (Maori) (8578a7e3)
        * Added translation using Weblate (Friulian) (38383daf)
        * Added translation using Weblate (Malagasy) (c1cd0958)
        * Added translation using Weblate (Hindi) (493bfa46)
        * Added translation using Weblate (Pashto) (c0adab15)
        * Added translation using Weblate (Tajik) (34d94c70)
        * Added translation using Weblate (Turkmen) (5178c8cf)
        * Added translation using Weblate (Lingala) (a3632e10)
        * Added translation using Weblate (Luxembourgish) (a10f4b64)
        * Added translation using Weblate (Gujarati) (37f94082)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (b3063758)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (eff78955)
        * Added translation using Weblate (Tetum) (5fbcc4a1)
        * Added translation using Weblate (Ido) (4b5ab542)
        * Added translation using Weblate (Scots) (9f6fac9a)

2023-01-03 Hosted Weblate

        * Update translation files (3b694fc9)

2022-11-30 Lionel Duboeuf

        * Merge branch 'main_-_clickableit' into 'main' (9a8a6162)
        * update Readme links (91d099be)

2022-06-25 Lionel Duboeuf

        * fix clickable for focal (8fa5a916)

2022-11-29 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/merge-xenial-2022Nov' into
          'main' (e1cd606b)

2022-11-25 Ratchanan Srirattanamet

        * Rename newly-added things (3484dd38)
        * Merge branch 'ubports/xenial' into
          personal/peat-psuwit/merge-xenial-2022Nov (4bedf79d)

2022-09-24 Weblate

        * Translated by Jiri Grönroos <jiri.gronroos@iki.fi> using Weblate
          (Finnish) - 99.0% (200 of 202 strings) (7692cbfa)

2022-11-25 Ratchanan Srirattanamet

        * Move Jenkinsfile to debian/ per the new guideline (fb1ef04d)

2022-11-23 Ratchanan Srirattanamet

        * Merge branch 'fix-apparmor' into 'main' (6ed9bbae)

2022-11-11 Guido Berhoerster

        * Remove obsolete fixup of LTTng rule (11a0d2a5)

2022-08-01 Guido Berhoerster

        * Adjust AppArmor policy (a7644983)
        * Update AppArmor policy to 20.04 (080e56e9)

2022-11-23 Mike Gabriel

        * Merge branch 'main_-_colors' into 'main' (f1a1cbf7)

2022-11-22 Lionel Duboeuf

        *  use colors from Toolkit - fix tests (3a70a1df)

2022-11-22 Mike Gabriel

        * Merge branch 'main_-_colors' into 'main' (bb6ae178)

2022-11-16 Lionel Duboeuf

        * fixes #315 use colors from Toolkit (dcb54ce4)

2022-11-03 Lionel Duboeuf

        * Revert "new contact backend" (#357) (8a40755a)

2022-10-14 Ratchanan Srirattanamet

        * Merge branch 'rename-app' into 'main' (d52fd7c9)

2022-10-12 Guido Berhoerster

        * Update GitLab URL (d91dcf8a)
        * Rename application to messaging-app.ubports (127323c9)

2022-09-17 Florian Leeber

        * Merge pull request #353 from mardy/fix-messageview-test (022919ca)

2022-09-16 Alberto Mardegan

        * tests: export a HOME for the MessagesView test (75998fcd)

2022-09-15 Florian Leeber

        * Merge pull request #352 from mardy/apparmor-profile (e61dd465)

2022-09-14 Alberto Mardegan

        * debian: bump dependency to apparmor-easyprof-ubuntu (45253e5b)

2022-09-01 Florian Leeber

        * Merge pull request #348 from mardy/issue-347-open-contact
          (a3906da4)

2022-08-21 Ratchanan Srirattanamet

        * Merge branch 'lomiri-renaming' into 'main' (31e95201)

2022-08-02 Guido Berhoerster

        * Add migration script for the internal rename (2d103afc)

2022-08-13 Alberto Mardegan

        * tests: set a valid $HOME for SingleSIM test (3c04cfc4)

2022-08-11 Rodney

        * Merge pull request #249 from mardy/crossbuilder (03b77d17)

2022-08-10 Alberto Mardegan

        * MessagingContactViewPage: use ContactListModel from AddressBook
          (303bc2fc)
          Fixes:
          https://github.com/ubports/messaging-app/issues/347

        * MessagingContactViewPage: use main constituent for editing
          (aa403d07)

2022-08-02 Guido Berhoerster

        * Rename com.ubuntu.messaging-app to com.ubports.messaging-app
          (88c77e91)
        * Change Ubuntu to Ubuntu Touch (6b379d8d)
        * Rename X-Ubuntu-* desktop file properties to X-Lomiri-* (219690b0)
        * Remove leftover snap packaging data (c0708656)

2022-07-31 Lionel Duboeuf

        * fix url-dispatcher file format (#346) (e429b084)

2022-07-30 Florian Leeber

        * Merge pull request #281 from mateosalta/patch-1 (586378e6)

2021-03-10 mateosalta

        * add sms to protocol (ca931c1b)

2022-07-06 Florian Leeber

        * Merge pull request #342 from lduboeuf/xenial_-_mmsdisable
          (0d03035f)

2022-06-24 Lionel Duboeuf

        * Update Messages.qml (8558aff3)

2022-06-21 Florian Leeber

        * Merge pull request #341 from lduboeuf/xenal_-_escapehtmlchar
          (b8c48d79)

2022-06-21 Lionel Duboeuf

        * fix '&' chars in messages (5e714817)

2022-06-06 Florian Leeber

        * Merge pull request #340 from
          ubports-weblate/weblate-ubports-messaging-app (6ff8b3d1)

2022-06-01 Weblate

        * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using
          Weblate (Spanish) - 100.0% (202 of 202 strings) (653086d9)

2022-05-24 Florian Leeber

        * Merge pull request #336 from
          ubports-weblate/weblate-ubports-messaging-app (b67abcb3)

2022-05-23 Weblate

        * Translated by Joan CiberSheep <cibersheep@gmail.com> using Weblate
          (Catalan) - 100.0% (202 of 202 strings) (a56c4c89)

2022-05-17 Allan Nordhøy

        * MMS error string fixes (#324) (3b8c8e86)

2022-05-03 Ratchanan Srirattanamet

        * Merge branch 'fix-url-dispatcher-path' into 'main' (b13903a6)

2022-05-03 Guido Berhoerster

        * Install URL schema file to lomiri-url-dispatcher path (dfa96bd7)

2022-04-27 Florian Leeber

        * Merge pull request #337 from lduboeuf/xenial_-_mmsdisable
          (2c273ab5)

2022-04-27 Lionel Duboeuf

        * Do not display attachments icons when MMS is disabled (bd30dac1)

2022-04-23 Florian Leeber

        * Merge pull request #335 from
          ubports-weblate/weblate-ubports-messaging-app (deb14c7e)

2022-04-23 Weblate

        * Translated by Mike <miguel2000@livecom.it> using Weblate (Italian)
          - 100.0% (202 of 202 strings) (9ec3677c)

2022-03-31 Florian Leeber

        * Merge pull request #334 from lduboeuf/xenial_-_deletepopup
          (7d25e827)

2022-03-28 Lionel Duboeuf

        * Add a confirmation popup on Thread delete action (152799f9)

2022-03-26 Florian Leeber

        * Merge pull request #331 from
          ubports-weblate/weblate-ubports-messaging-app (2ee9b725)

2022-03-24 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 91.5% (185 of 202 strings) (06ddf0eb)

2022-03-21 Florian Leeber

        * Merge pull request #333 from lduboeuf/xenial_-_fixescape_char
          (f0b7b654)

2022-03-21 Lionel Duboeuf

        * escape html "&" char to prevent text being cut remove html tags and
          allow to display chars '>' and '<' (b147334b)

2022-03-16 Florian Leeber

        * Merge pull request #330 from
          ubports-weblate/weblate-ubports-messaging-app (7bc67257)

2022-03-16 Weblate

        * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate
          (Central Khmer) - 49.5% (100 of 202 strings) (03b6cc56)

2022-03-16 Florian Leeber

        * Merge pull request #329 from
          ubports-weblate/weblate-ubports-messaging-app (9f47b162)

2022-03-15 Weblate

        * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate
          (Central Khmer) - 49.0% (99 of 202 strings) (0fb1c4dd)

2022-03-11 Florian Leeber

        * Merge pull request #328 from
          ubports-weblate/weblate-ubports-messaging-app (c159d83d)

2022-03-10 Weblate

        * Translated by Behzad <behzadasbahi@gmail.com> using Weblate
          (Persian) - 68.3% (138 of 202 strings) (310fab26)

2022-03-02 Guido Berhoerster

        * Merge branch 'ubports/focal_-_lomiri-telephony-apps' into 'main'
          (3e794793)

2022-03-01 Florian Leeber

        * Merge pull request #327 from
          ubports-weblate/weblate-ubports-messaging-app (ed78f7e5)

2022-02-28 Weblate

        * Translated by Ivo Xavier <ivofernandes12@gmail.com> using Weblate
          (Portuguese) - 100.0% (202 of 202 strings) (24aa1132)

2022-02-21 Guido Berhoerster

        * Rename DBus services from telephony-services (316c4b22)

2022-02-10 Florian Leeber

        * Merge pull request #326 from
          ubports-weblate/weblate-ubports-messaging-app (11a272a0)

2022-02-10 Weblate

        * Translated by Герман Семенов <GermanAizek@yandex.ru> using Weblate
          (Russian) - 100.0% (202 of 202 strings) (1c71722b)

2022-02-08 Florian Leeber

        * Merge pull request #325 from
          ubports-weblate/weblate-ubports-messaging-app (d2b631fa)

2022-02-08 Weblate

        * Merge branch 'xenial' of https://github.com/ubports/messaging-app
          into xenial (3e6922d6)

2022-01-31 Guido Berhoerster

        * Fix apparmor policy for Lomiri (0c36b11d)
        * Rename DBus namespace from com.canonical to com.lomiri (6436bb93)
        * Depend on qml-module-lomiri-components instead of
          qml-module-ubuntu-components (33b0e597)
        * Use lomiri-ui-toolkit-autopilot pyhton module for autopilot tests
          (d3cd495d)
        * Update README file about dependencies (174f7e3b)
        * Port to Lomiri QML modules (0d9f9c02)

2022-01-24 Alberto Mardegan

        * src/qml: do not explicitly specify the contacts backend (#320)
          (f332270b)

2020-10-29 Alberto Mardegan

        * debian: allow building with crossbuilder (c3a66c35)

2022-01-23 Alberto Mardegan

        * tests: install autopilot tests even if ENABLE_TESTS is OFF
          (4d954c19)

2022-01-18 Guido Berhoerster

        * Port to focal (7b5fcd0a)

2022-01-21 Guido Berhoerster

        * Port to Lomiri (e899208f)

2022-01-18 Guido Berhoerster

        * Merge branch 'xenial' (cd826bb1)

2022-01-17 Florian Leeber

        * Merge pull request #301 from lduboeuf/xenial_-_fixdemo (6b3f90bb)

2022-01-17 Lionel Duboeuf

        * update translation (aede0499)

2021-06-24 lduboeuf

        * Re-enable Swipe Demo (a7a9dae5)

2022-01-15 Florian Leeber

        * Merge pull request #317 from lduboeuf/xenial_-_imagescale
          (767f8d22)

2022-01-03 Florian Leeber

        * Merge pull request #319 from
          ubports-weblate/weblate-ubports-messaging-app (884529b9)

2022-01-03 Weblate

        * Delete backup file (a8c241a1)
        * Merge branch 'xenial' of https://github.com/ubports/messaging-app
          into xenial (14920bc1)

2021-12-29 Lionel Duboeuf

        * let image scale on height (6df35928)

2021-12-27 Carlod

        * Translated by Carlod <carlod@disroot.org> using Weblate (Polish) -
          99.5% (201 of 202 strings) (0944b242)

2021-12-22 Weblate

        * Translated by Anne Onyme <anneonyme017@netcourrier.com> using
          Weblate (French) - 100.0% (202 of 202 strings) (ed4f51dc)

2021-12-20 Florian Leeber

        * Merge pull request #316 from
          ubports-weblate/weblate-ubports-messaging-app (65446963)

2021-12-15 Weblate

        * Repair commit (de0890f3)

2021-12-16 Florian Leeber

        * Merge pull request #315 from lduboeuf/xenial_-_selectcontact
          (4c53102d)

2021-12-15 Lionel Duboeuf

        * fix selecting a contact from the contact list (688ddfcd)

2021-12-15 Florian Leeber

        * Merge pull request #260 from jezek/xenial_-_failed-MMS-redownload
          (5ac78b89)

2021-12-15 Lionel Duboeuf

        * Merge branch 'xenial' into xenial_-_failed-MMS-redownload
          (8b8bcc6c)
        * update translation file (845554a7)

2021-12-05 Florian Leeber

        * Merge pull request #310 from mardy/fix-startup-crash (925f519a)

2021-11-22 Florian Leeber

        * Merge pull request #312 from
          ubports-weblate/weblate-ubports-messaging-app (625d802c)

2021-11-21 Weblate

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (197 of 197 strings) (924c24c7)

2021-09-27 Florian Leeber

        * Merge pull request #308 from
          ubports-weblate/weblate-ubports-messaging-app (dcb59919)

2021-09-20 Weblate

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (197 of 197 strings) (130f1ef4)

2021-08-27 Alberto Mardegan

        * MainPage.qml: use synchronous loading for the bottom page
          (a683662c)
          Fixes:
          https://github.com/ubports/messaging-app/issues/309

        * Messages.qml: fix a few QML warnings (4674fd94)

2021-08-18 Florian Leeber

        * Merge pull request #307 from
          ubports-weblate/weblate-ubports-messaging-app (9955e085)

2021-08-09 Weblate

        * Translated by Chris Hanson <sidrex@tutanota.com> using Weblate
          (Danish) - 42.1% (83 of 197 strings) (3d7b4b7d)

2021-08-05 Lionel Duboeuf

        * update translation file (#306) (d962b0ad)
        * Translation update (1b29d29c)

2020-12-12 jEzEk

        * Handle MMS error messages (7e8cc61f)

2021-07-26 Weblate

        * Translated by Rondy Andersson <rondarius@vivaldi.net> using Weblate
          (Swedish) - 66.4% (131 of 197 strings) (a16a150f)

2021-07-13 lduboeuf

        * Add option to keyboard auto pop-up when opening a thread (46a2eb9a)
        * correct missing property (0b66987b)

2021-06-14 lduboeuf

        * Delay the focus on TextField (34bad4bd)

2021-06-30 Dalton Durst

        * Merge pull request #294 from
          ubports-weblate/weblate-ubports-messaging-app (e93a774b)

2021-06-30 Weblate

        * Translated by Герман Семенов <GermanAizek@yandex.ru> using Weblate
          (Russian) - 100.0% (190 of 190 strings) (1a483740)

2021-06-07 Lionel Duboeuf

        * use "builder" instead of "template" in clickable.json (#297)
          (ac4be9eb)

2021-06-02 Rodney

        * Merge pull request #293 from
          ubports-weblate/weblate-ubports-messaging-app (892eb926)

2021-06-01 Weblate

        * Translated by Marcus Fredlund <marcus.karlson@gmail.com> using
          Weblate (Swedish) - 69.4% (132 of 190 strings) (fd1713cc)

2021-05-31 Lionel Duboeuf

        * Re-enable sticker feature (#266) (02be6f43)

2021-05-24 Rodney

        * Merge pull request #291 from
          ubports-weblate/weblate-ubports-messaging-app (fe6ee42b)

2021-05-24 Weblate

        * Translated by Abdellatif Oussaid <oussaid.abdellatif@gmail.com>
          using Weblate (Arabic) - 98.9% (187 of 189 strings)
          (34bb2330)

2021-05-21 Rodney

        * Merge pull request #290 from
          ubports-weblate/weblate-ubports-messaging-app (56fdb1f8)

2021-05-21 Weblate

        * Translated by Davidrebolomaga <davidre345@hotmail.com> using
          Weblate (Galician) - 100.0% (190 of 190 strings)
          (573599d0)

2021-05-20 Rodney

        * Merge pull request #289 from
          ubports-weblate/weblate-ubports-messaging-app (e759b449)

2021-05-19 Weblate

        * Translated by Davidrebolomaga <davidre345@hotmail.com> using
          Weblate (Galician) - 100.0% (190 of 190 strings)
          (73bed7ed)

2021-05-19 Rodney

        * Merge pull request #287 from
          ubports-weblate/weblate-ubports-messaging-app (9bdef65e)

2021-05-19 Weblate

        * Translated by Davidrebolomaga <davidre345@hotmail.com> using
          Weblate (Galician) - 96.3% (183 of 190 strings) (bfa21045)

2021-05-15 Rodney

        * Merge pull request #286 from
          ubports-weblate/weblate-ubports-messaging-app (d729ec5b)

2021-05-15 Weblate

        * Translated by Ettore Atalan <atalanttore@googlemail.com> using
          Weblate (German) - 100.0% (190 of 190 strings) (afbe69f3)

2020-10-30 lduboeuf

        * display the sent date (7d6c272e)

2021-05-13 Rodney

        * Merge pull request #284 from
          ubports-weblate/weblate-ubports-messaging-app (8bf64b2b)

2021-05-03 Weblate

        * Translated by Enceka <enceka@yeah.net> using Weblate (Chinese
          (Simplified)) - 100.0% (190 of 190 strings) (368e9e86)

2021-04-17 Florian Leeber

        * Merge pull request #283 from
          ubports-weblate/weblate-ubports-messaging-app (3de0cde6)

2021-04-17 Weblate

        * Translated by Enceka <enceka@yeah.net> using Weblate (Chinese
          (Simplified)) - 96.3% (183 of 190 strings) (21609e15)

2021-03-26 Rodney

        * Merge pull request #282 from
          ubports-weblate/weblate-ubports-messaging-app (00920e49)

2021-03-25 Weblate

        * Translated by Eugene Markoff <uralhistory@gmail.com> using Weblate
          (Russian) - 100.0% (190 of 190 strings) (1d195fe1)

2021-03-15 Florian Leeber

        * Merge pull request #279 from
          ubports-weblate/weblate-ubports-messaging-app (bd83c98b)

2021-03-15 Weblate

        * Translated by Josué <j2g2rp@gmail.com> using Weblate (Spanish) -
          100.0% (190 of 190 strings) (3dea4607)

2021-02-22 Florian Leeber

        * Merge pull request #276 from
          ubports-weblate/weblate-ubports-messaging-app (5c717f2e)

2021-02-15 Weblate

        * Translated by louies0623 <louies0623@gmail.com> using Weblate
          (Chinese (Traditional)) - 100.0% (190 of 190 strings)
          (2aabea7a)

2021-02-15 Florian Leeber

        * Merge pull request #275 from
          ubports-weblate/weblate-ubports-messaging-app (a577977a)

2021-02-12 Weblate

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (190 of 190 strings) (9e7ef447)

2021-02-10 Rodney

        * Merge pull request #271 from
          ubports-weblate/weblate-ubports-messaging-app (3fddcaef)

2021-02-10 Weblate

        * Repair manual accident (c399b52b)

2021-02-08 Weblate

        * Translated by Ivo Xavier <ivofernandes12@gmail.com> using Weblate
          (Portuguese) - 100.0% (190 of 190 strings) (56b25620)

2021-02-08 Lionel Duboeuf

        * fix translation (#273) (68c9aca3)

2021-01-31 Florian Leeber

        * Merge pull request #270 from
          ubports-weblate/weblate-ubports-messaging-app (5110af14)

2021-01-31 Weblate

        * Merge branch 'xenial' of https://github.com/ubports/messaging-app
          into xenial (587e7d38)

2021-01-31 imrufbd

        * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali
          (Bangladesh)) - 4.7% (9 of 189 strings) (94061a18)

2021-01-31 Florian Leeber

        * Fix ellipsis (61b7ac9e)

2021-01-31 imrufbd

        * Added translation using Weblate (Bengali (Bangladesh)) (fb5a304c)

2021-01-29 Rodney

        * Merge pull request #267 from lduboeuf/xenial_-_fixmsgbubble
          (c27b77ab)

2021-01-28 lduboeuf

        * make links more visible (6e28b7c6)

2021-01-27 Adam

        * Translated by Adam <padamyno@gmail.com> using Weblate (Hungarian) -
          56.0% (106 of 189 strings) (a11775e5)

2021-01-27 lduboeuf

        * add Item as a container, remove unused code (a3f24030)
        * clean unused sci and png bubbles (7ffd4652)

2021-01-26 Florian Leeber

        * Merge pull request #268 from lduboeuf/xenial_-_fixwrongaudiocounter
          (da05e77e)

2021-01-25 lduboeuf

        * fix wrong recording time (b88595ae)
        * fix message bubbles not shown (8a98e80c)

2021-01-23 Lionel Duboeuf

        * add animated image support (#258) (a6674fca)

2021-01-21 ierihon

        * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) -
          93.1% (176 of 189 strings) (0219592a)

2021-01-17 GK

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 28.5% (54
          of 189 strings) (f85a82b8)

2021-01-15 ierihon

        * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) -
          92.5% (175 of 189 strings) (c410e55e)
        * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) -
          91.0% (172 of 189 strings) (e7c00a21)

2020-10-29 Rodney Dawes

        * Run tests on skipped architectures but ignore errors (3f1996ca)

2020-09-18 Rodney Dawes

        * Let the loader get the implicit height from the loaded item
          (3094671d)

2020-08-26 Rodney Dawes

        * Clean up and update deprecated qml dependencies (1de06328)

2021-01-03 GK

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 28.0% (53
          of 189 strings) (8cf9c904)
        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 25.9% (49
          of 189 strings) (fc5316f6)
        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 17.9% (34
          of 189 strings) (709ea639)
        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 17.4% (33
          of 189 strings) (d32c7378)
        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 16.9% (32
          of 189 strings) (7194231e)

2020-12-31 GK

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 16.4% (31
          of 189 strings) (a3ddbcd5)
        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 15.3% (29
          of 189 strings) (9a602628)
        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 12.6% (24
          of 189 strings) (b30766b6)
        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 3.7% (7 of
          189 strings) (7ef0e7b7)

2020-12-29 Daniel Sparti

        * Translated by Daniel Sparti <daniel.sparti@posteo.net> using
          Weblate (French (Switzerland)) - 12.6% (24 of 189 strings)
          (4209009f)
        * Added translation using Weblate (French (Switzerland)) (1edc7ca9)

2020-12-24 Yaron Shahrabani

        * Translated by Yaron Shahrabani <sh.yaron@gmail.com> using Weblate
          (Hebrew) - 100.0% (189 of 189 strings) (0101fb3f)

2020-12-22 Yaron Shahrabani

        * Translated by Yaron Shahrabani <sh.yaron@gmail.com> using Weblate
          (Hebrew) - 100.0% (189 of 189 strings) (734fdae9)

2020-12-17 Enkli Ylli

        * Translated by Enkli Ylli <eylli@yahoo.com> using Weblate (Albanian)
          - 40.7% (77 of 189 strings) (8ba39f29)

2020-12-17 Efstathios Iosifidis

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (189 of 189 strings) (7d28b39e)

2020-12-17 Yaron Shahrabani

        * Translated by Yaron Shahrabani <sh.yaron@gmail.com> using Weblate
          (Hebrew) - 100.0% (189 of 189 strings) (d5893da4)

2020-12-08 abidin

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 98.9% (187 of 189 strings) (7cc37c2d)
        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 85.1% (161 of 189 strings) (25e75f19)
        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 69.8% (132 of 189 strings) (a9c5886a)
        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 52.3% (99 of 189 strings) (0147fc65)

2020-12-04 abidin

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 43.3% (82 of 189 strings) (9f8d661e)

2020-12-01 abidin

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 43.3% (82 of 189 strings) (48b00959)

2020-11-30 Zmicer

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 100.0% (189 of 189 strings) (d85907c0)

2020-11-28 M.Sugahara

        * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate
          (Japanese) - 51.8% (98 of 189 strings) (af18440d)

2020-11-27 Zmicer

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 50.7% (96 of 189 strings) (dc98be0c)
        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 49.2% (93 of 189 strings) (c39a7f41)
        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 49.2% (93 of 189 strings) (40249e85)

2020-11-26 Zmicer

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 48.6% (92 of 189 strings) (6d03a49d)
        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 48.1% (91 of 189 strings) (422a6adc)
        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 47.0% (89 of 189 strings) (47b2d9b8)

2020-11-23 Jiri Grönroos

        * Translated by Jiri Grönroos <jiri.gronroos@iki.fi> using Weblate
          (Finnish) - 100.0% (189 of 189 strings) (41396eef)

2020-11-23 Heimen Stoffels

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (189 of 189 strings) (2a717334)

2020-11-23 Milan Korecký

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (189 of 189 strings) (7e322ace)

2020-11-23 Lionel Duboeuf

        * handle the empty MMS case ( any errors while retrieving )  (#248)
          (5eb82a7e)

2020-11-23 Zmicer

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 46.5% (88 of 189 strings) (9b385f9b)

2020-11-16 abidin

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 42.8% (81 of 189 strings) (a3e42548)
        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 42.3% (80 of 189 strings) (6dc0a668)

2020-11-15 abidin

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 41.7% (79 of 189 strings) (3e4c2720)
        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 41.7% (79 of 189 strings) (29380bf8)

2020-11-15 Vladimir

        * Translated by Vladimir <kerneltestuser@gmail.com> using Weblate
          (Russian) - 89.9% (170 of 189 strings) (fb578925)

2020-11-13 Rodney

        * Merge pull request #257 from ubports/Flohack74-patch-1 (eae9126c)

2020-11-13 abidin

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 41.7% (79 of 189 strings) (34a0d622)

2020-11-12 Florian Leeber

        * Update Jenkinsfile (92d87f8e)

2020-11-11 Florian Leeber

        * Merge pull request #247 from lduboeuf/xenial_-_fixavatar (4cdbe7cc)

2020-11-10 Zmicer

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 46.0% (87 of 189 strings) (f0d5d186)

2020-11-10 abidin

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 41.7% (79 of 189 strings) (bf88333e)

2020-11-09 Zmicer

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 46.0% (87 of 189 strings) (6b35bc6a)

2020-11-08 Florian Leeber

        * Merge pull request #256 from
          ubports-weblate/weblate-ubports-messaging-app (f6f3152b)

2020-11-08 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 41.7% (79 of 189 strings) (b02ee48c)

2020-11-06 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 41.2% (78 of 189 strings) (98014483)

2020-11-01 Florian Leeber

        * Merge pull request #252 from
          ubports-weblate/weblate-ubports-messaging-app (176edafe)

2020-10-28 Weblate

        * Translated by Anne Onyme <anneonyme017@netcourrier.com> using
          Weblate (French) - 100.0% (189 of 189 strings) (8ea86398)

2020-10-19 lduboeuf

        * let Messages component fetch the participants and ensure default
          accountId is set when app open from url-dispatcher
          (8114dfa3)

2020-10-17 Lionel Duboeuf

        * Update README.md (b2066e47)

2020-10-17 Florian Leeber

        * Merge pull request #226 from
          ubports-weblate/weblate-ubports-messaging-app (00c19799)

2020-10-15 Weblate

        * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate
          (Chinese (Traditional)) - 100.0% (189 of 189 strings)
          (f66b9ab9)

2020-10-17 Lionel Duboeuf

        * Don't let the draft overwrites already written text (#234)
          (6cbc722e)

2020-10-08 Lionel Duboeuf

        * Clean up QML warnings (#237) (c4cc2964)

2020-09-28 Florian Leeber

        * Merge pull request #239 from lduboeuf/xenial_-_fixswipeonmutimedia
          (0c77d847)

2020-09-26 Florian Leeber

        * Merge pull request #241 from lduboeuf/xenial_-_fixloadconversation
          (41989abf)

2020-09-26 lduboeuf

        * check for undefined AccountId (3b541d12)

2020-09-25 lduboeuf

        * fix swipe actions on multimedia messages (bd7e3a9a)

2020-09-24 Florian Leeber

        * Merge pull request #236 from
          lduboeuf/xenial_-_fixduplicateattachments (0ac3b617)

2020-09-24 lduboeuf

        * fix duplicate attachments (90cd1f84)

2020-09-02 Lionel Duboeuf

        * fix forward message (#231) (29493b9e)

2020-08-31 Florian Leeber

        * Merge pull request #227 from lduboeuf/hotfix-ota13-drafts
          (cfd7a9a7)

2020-08-30 lduboeuf

        * don't save draft when no recipients (930927b9)

2020-08-26 Florian Leeber

        * Merge pull request #224 from
          ubports-weblate/weblate-ubports-messaging-app (651f1b3c)

2020-08-16 Weblate

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (184 of 184 strings) (a9a1f46e)

2020-08-16 Florian Leeber

        * Merge pull request #218 from cibersheep/SplashScreen (52cbd23e)
        * Merge pull request #219 from
          ubports-weblate/weblate-ubports-messaging-app (05f7d3cd)

2020-08-09 Weblate

        * Translated by Rüdiger Kupper <ruediger.kupper+launchpad@gmail.com>
          using Weblate (German) - 100.0% (184 of 184 strings)
          (97c7b649)

2020-08-04 Joan CiberSheep

        * Correct formats for icon and screenshot (154a3156)
        * Use svg icon for app. Splash added (5cd34870)

2020-08-03 Florian Leeber

        * Merge pull request #216 from
          ubports-weblate/weblate-ubports-messaging-app (0b00eee7)

2020-07-31 Weblate

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          60.3% (111 of 184 strings) (6a39dbe4)

2020-07-30 Florian Leeber

        * Merge pull request #167 from lduboeuf/xenial_-_drafttodb (9471536d)

2020-07-24 Florian Leeber

        * Merge pull request #200 from
          lduboeuf/xenial_-_fix_broadcast_thread_disabled (34605ea7)
        * Merge pull request #214 from myii/bug/fix-212 (afbfd306)

2020-07-21 Lionel Duboeuf

        * Update README.md (a44420a2)
        * fix issue with audio path (e1cae496)

2020-07-21 Florian Leeber

        * Merge pull request #207 from kugiigi/xenial_-_splashscreen
          (20d8e832)
        * Merge pull request #197 from
          lduboeuf/xenial_-_selectmessagesformassdeletion (ee1497c2)

2020-07-21 Lionel Duboeuf

        * add filter also when not Thread selected (2a5243cc)
        * update translation (843674df)

2020-02-12 Lionel Duboeuf

        * manage draft in database (1bf79519)

2020-07-20 Weblate

        * Translated using Weblate (Spanish) (d249df71)

2020-07-18 Imran Iqbal

        * fix(messagebubble.qml): prevent wrapping in the middle of words
          (8544c93f)

2020-07-12 Florian Leeber

        * Merge pull request #196 from
          lduboeuf/xenial_-_addavatar_toconversation (f5b02306)

2020-07-11 Florian Leeber

        * Merge pull request #193 from
          lduboeuf/xenial_-_fix_video_not_sending (a5412b09)
        * Merge pull request #211 from lduboeuf/xenial_-_revertsentdate
          (6f1cf79f)

2020-07-11 Lionel Duboeuf

        * Revert "remove "received" label and use "sent" now ref:
          https://github.com/ubports/history-service/pull/13"
          (898a6b82)

2020-07-11 Florian Leeber

        * Merge pull request #191 from lduboeuf/xenial_-_fixaudiorecording
          (587e7311)
        * Merge pull request #185 from lduboeuf/xenial_-_fixtxtattachments
          (e6d0ee20)

2020-07-08 Florian Leeber

        * Merge pull request #182 from lduboeuf/xenial_-_displaysentdate
          (3ffa2adc)

2020-07-07 Florian Leeber

        * Merge pull request #209 from lduboeuf/xenial_-_fixThreadofNoneType
          (03049cf5)

2020-07-07 Lionel Duboeuf

        * empty commit , retry CI (54c0a28e)
        * make sure new Thread is created as a TypeContact and not TypeNone.
          Previously, a new Thread was created with type None in
          database, but Telepathy was always reported it as a type
          "Contact". This was triggering annoying and useless
          history refreshing twice (776b15a0)

2020-07-06 Lionel Duboeuf

        * empty commit , retry CI (8973bde7)

2020-04-29 Lionel Duboeuf

        * fix message selection for mass deletion (cb9e917d)

2020-04-30 Lionel Duboeuf

        * provide fallback icon for avatar (9f343977)

2020-04-29 Lionel Duboeuf

        * fix avatar being displayed when on new message and message
          selection (54308a42)
        * add avatar to conversation (1e7c26e6)

2020-04-23 Lionel Duboeuf

        * fix send button disabled while trying to send a video provide
          default icon for videos (b50facac)

2020-04-30 Lionel Duboeuf

        * avoid removing empty files (8d7f3a58)

2020-04-23 Lionel Duboeuf

        * clean up (3ffd688d)
        * make sure temp audio file is deleted after sending (08d3ce42)
        * correct layout issue with audio (78ee3069)

2020-04-22 Lionel Duboeuf

        * fix crash on multiple start/stop (d451998b)
        * avoid saving too short audio (1e633ba6)

2020-04-21 Lionel Duboeuf

        * fix some binding loops (7ea6d5a1)

2020-04-20 Lionel Duboeuf

        * normalize filePath for backend (ea865490)
        * fix backend audiorecorder being too restrictive (57c54e74)

2020-04-30 Lionel Duboeuf

        * ensure white space are preserved (6f912b5e)
        * preserve white space and new lines in conversation view (40e23317)

2020-04-06 Lionel Duboeuf

        * fix bad display of mms long text (18cf07e8)

2020-03-25 Lionel Duboeuf

        * remove "received" label and use "sent" now ref:
          https://github.com/ubports/history-service/pull/13
          (06164c7f)

2020-07-05 Florian Leeber

        * Merge pull request #175 from lduboeuf/xenial_-_fixjumpingOSK
          (e2f36cad)

2020-07-04 Kugi Eusebio

        * Update messaging-app.desktop.in.in (34af45f3)

2020-05-31 Florian Leeber

        * Merge pull request #205 from
          ubports-weblate/weblate-ubports-messaging-app (747c85f0)

2020-05-26 Weblate

        * Merge branch 'origin/xenial' into Weblate. (a16b9c39)

2020-05-26 Florian Leeber

        * Merge pull request #201 from
          ubports-weblate/weblate-ubports-messaging-app (d632d9c3)

2020-05-24 Somnuk Limsiroratana

        * Translated using Weblate (Thai) (14957724)

2020-05-18 Pavel Borecki

        * Translated using Weblate (Czech) (d40b68c7)

2020-05-13 Lionel Duboeuf

        * remove disable style for groupchat thread As chatEntry.active is
          only used for IRC protocol ( which is not supported
          anymore on messaging-app ) we can remove that check
          (c29ee22f)

2020-05-09 Federico Turbino

        * Translated using Weblate (Italian) (a48a4971)

2020-05-07 Florian Leeber

        * Merge pull request #198 from lduboeuf/xenial_-_updateReadme
          (33ba56aa)

2020-04-30 Lionel Duboeuf

        * fix typo (982585dd)
        * update MMS infrastructure link (fb4992a1)

2020-04-26 Florian Leeber

        * Merge pull request #195 from
          ubports-weblate/weblate-ubports-messaging-app (a22a6908)

2020-04-22 Adrià

        * Translated using Weblate (Sardinian) (24b405bb)

2020-04-20 Florian Leeber

        * Merge pull request #190 from
          ubports-weblate/weblate-ubports-messaging-app (5b6d4310)

2020-04-16 Josué

        * Translated using Weblate (Spanish) (05770349)

2020-04-16 Federico Turbino

        * Translated using Weblate (Italian) (2438ccea)

2020-04-11 Neutrum N

        * Translated using Weblate (Galician) (fd9b1550)

2020-04-12 Florian Leeber

        * Merge pull request #186 from
          ubports-weblate/weblate-ubports-messaging-app (2ad9e3ce)

2020-04-09 Neutrum N

        * Translated using Weblate (Galician) (9de3d4d1)

2020-04-06 Neutrum N

        * Translated using Weblate (Galician) (3baa52d5)

2020-04-05 Florian Leeber

        * Merge pull request #184 from
          ubports-weblate/weblate-ubports-messaging-app (43183405)

2020-04-04 Lionel Duboeuf

        * merge translations (79fb233e)
        * Merge remote-tracking branch 'upstream/xenial' into
          xenial_-_fixjumpingOSK (9c93499f)

2020-03-31 Neutrum N

        * Translated using Weblate (Galician) (c66c597f)

2020-03-30 Pavel Borecki

        * Translated using Weblate (Czech) (446e16f6)

2020-03-31 Florian Leeber

        * Merge pull request #181 from cibersheep/LinkColor (c5d346e4)
        * Merge pull request #180 from
          ubports-weblate/weblate-ubports-messaging-app (f4f1c18f)

2020-03-27 Weblate

        * Merge branch 'origin/xenial' into Weblate. (736da268)

2020-03-27 Florian Leeber

        * Merge pull request #174 from lduboeuf/xenial (f69beee1)

2020-03-27 Joan CiberSheep

        * Use proper textFormat for linkColor (75b8f621)

2020-03-22 Adrià

        * Translated using Weblate (Sardinian) (5a00f1a2)

2020-03-23 Joan CiberSheep

        * Add link color for SuruDark (ae724d06)

2020-03-18 Guglielmo Felici

        * Translated using Weblate (Italian) (ab043789)

2020-03-16 Weblate

        * Merge branch 'origin/xenial' into Weblate. (450c9776)

2020-03-16 Florian Leeber

        * Merge pull request #177 from
          ubports-weblate/weblate-ubports-messaging-app (e64bb109)

2020-03-15 Mohamed Sayed

        * Translated using Weblate (Arabic) (dbaaae55)

2020-03-13 Eugene Markoff

        * Translated using Weblate (Russian) (a76553eb)

2020-03-12 Lionel Duboeuf

        * ensure Textarea draft is visible in landscape (7a8a823b)

2020-03-11 Neutrum N

        * Translated using Weblate (Galician) (3f00dd2a)

2020-03-11 Lionel Duboeuf

        * code review fix (be7fb75b)

2020-03-10 Lionel Duboeuf

        * replace not working animations QTBUG-49868 by some (bb47d0d3)
        * don't dismiss keyboard while opening attachment popup, and removing
          an attachment (39206cc1)

2020-03-09 Lionel Duboeuf

        * fix item being displayed at wrong position when updating a Thread.
          This is a known bug with Transition animations when having
          sections https://bugreports.qt.io/browse/QTBUG-49868, for
          now remove animation. (adde6e0f)

2020-03-09 Florian Leeber

        * Merge pull request #173 from
          ubports-weblate/weblate-ubports-messaging-app (a04ee4a8)

2020-03-04 Josué

        * Translated using Weblate (Spanish) (c04ff3bf)

2020-03-05 Neutrum N

        * Translated using Weblate (Galician) (d9a59d3b)

2020-03-02 Weblate

        * Merge branch 'origin/xenial' into Weblate. (9edf956f)

2020-03-02 Pavel Borecki

        * Translated using Weblate (Czech) (2710d465)

2020-03-02 Florian Leeber

        * Merge pull request #171 from
          ubports-weblate/weblate-ubports-messaging-app (458b8ec4)

2020-02-29 dano6

        * Translated using Weblate (Slovak) (cdd3ac91)

2020-02-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (f603ccb1)

2020-02-29 dano6

        * Translated using Weblate (Czech) (06013b9f)

2020-02-28 Pavel Borecki

        * Translated using Weblate (Czech) (20788064)

2020-02-26 Milan Korecký

        * Translated using Weblate (Czech) (d09635af)

2020-02-27 Joan CiberSheep

        * Translated using Weblate (Catalan) (5004fe68)

2020-02-23 dano6

        * Translated using Weblate (Slovak) (ce529c4d)

2020-02-24 Florian Leeber

        * Merge pull request #169 from
          ubports-weblate/weblate-ubports-messaging-app (30c68cf2)

2020-02-17 Riccardo Riccio

        * Translated using Weblate (Slovenian) (7abdf40d)

2020-02-16 HSN80

        * Translated using Weblate (Persian) (86f160c2)

2020-02-16 dano6

        * Translated using Weblate (Slovak) (744e60b6)

2020-02-16 Florian Leeber

        * Merge pull request #168 from
          ubports-weblate/weblate-ubports-messaging-app (b9b0dcb6)

2020-02-14 HSN80

        * Translated using Weblate (Persian) (49ca3d93)

2020-02-14 dano6

        * Translated using Weblate (Slovak) (60b7404e)

2020-02-13 Weblate

        * Merge branch 'origin/xenial' into Weblate. (709909b2)

2020-02-12 Dalton Durst

        * Merge pull request #164 from
          ubports-weblate/weblate-ubports-messaging-app (47972580)

2020-02-12 Weblate

        * Merge branch 'origin/xenial' into Weblate. (70ab22cd)

2020-02-12 Lionel Duboeuf

        * hide OSK whe previewing images (#166) (5f5538bd)

2020-02-09 Oi Suomi On!

        * Translated using Weblate (Finnish) (f29827e6)

2020-02-10 HSN80

        * Translated using Weblate (Persian) (ad79a362)

2020-02-09 Rodrigo Benedito

        * Translated using Weblate (Portuguese (Brazil)) (98297056)

2020-02-06 Emanuele Sorce

        * Translated using Weblate (Italian) (eb1ad963)

2020-02-04 nathangiovannini3

        * Translated using Weblate (Italian) (eb2ea844)

2020-01-30 Lionel Duboeuf

        * fix #4 :Dual sim account name  (#162) (061f05fc)
        * Load messages on  contact selection (#150) (556d39e1)

2020-01-29 Lionel Duboeuf

        * Rewriting of Draft management (#149) (527397f8)

2020-01-28 Florian Leeber

        * Merge pull request #160 from
          ubports-weblate/weblate-ubports-messaging-app (3d3678b1)

2020-01-25 Weblate

        * Merge branch 'origin/xenial' into Weblate. (d5988314)

2020-01-26 Florian Leeber

        * Merge pull request #159 from cibersheep/IconFix (de3c6400)

2020-01-25 Joan CiberSheep

        * Fix icon not visible on SuruDark + margin (da931791)

2020-01-25 Weblate

        * Merge branch 'origin/xenial' into Weblate. (59da937a)

2020-01-25 Florian Leeber

        * Merge pull request #155 from cibersheep/ColorTweaks (af3d9de4)

2020-01-25 Joan CiberSheep

        * Revert test checks for MessageBubble (54ca1291)
        * Bubble color fix (b50958a1)

2020-01-23 Weblate

        * Merge branch 'origin/xenial' into Weblate. (39414a4f)

2020-01-23 Florian Leeber

        * Merge pull request #152 from cibersheep/ColorTweaks (20d1a99d)

2020-01-23 Joan CiberSheep

        * Fix MessageBubble test color (8cdc1990)

2020-01-21 Joan CiberSheep

        * Update translation strings (5b47a067)
        * UbuntuColors to theme, bumped version (c87c5053)

2020-01-14 Adrià

        * Translated using Weblate (Sardinian) (81f26ba7)

2019-12-20 M.Sugahara

        * Translated using Weblate (Japanese) (fa2bea74)

2019-12-12 Sami Törmänen

        * Translated using Weblate (Finnish) (ebea44e8)

2019-12-19 Eugene

        * Translated using Weblate (Russian) (0e76eea0)

2020-01-15 Mike

        * Translated using Weblate (Italian) (24225ad8)

2019-12-27 Moo

        * Translated using Weblate (Lithuanian) (5638f097)

2019-12-29 Florian Leeber

        * Merge pull request #147 from lduboeuf/xenial (5e6a4478)

2019-12-29 Lionel Duboeuf

        * fix missing title when Selecting threads, remove UbuntuNAnimations
          (395e4bf8)

2019-12-28 Florian Leeber

        * Merge pull request #145 from lduboeuf/xenial (6dddaed2)

2019-12-09 Florian Leeber

        * Merge pull request #146 from lduboeuf/readme (49038825)

2019-12-09 Lionel Duboeuf

        * Readme: add informations (abbc81aa)

2019-12-04 Lionel Duboeuf

        * fix #131 : handle threads multi selection (5dfafea1)

2019-12-03 Lionel Duboeuf

        * don't open thread on click if in selection mode (01aadb4f)

2019-12-02 Florian Leeber

        * Merge pull request #144 from lduboeuf/xenial (abb1669b)

2019-12-02 Lionel Duboeuf

        * (fixes #66) avoid multiple model reload (00dc9187)

2019-11-28 Lionel Duboeuf

        * fix minor warning messages (#143) (37b54d1e)

2019-11-17 Christian

        * Merge pull request #141 from
          ubports-weblate/weblate-ubports-messaging-app (e370887b)

2019-11-10 Moo

        * Translated using Weblate (Lithuanian) (a2b10eaa)

2019-11-10 Weblate

        * Merge branch 'origin/xenial' into Weblate. (ce70adf9)

2019-11-10 Adrià

        * Translated using Weblate (Sardinian) (557e5689)

2019-11-10 Florian Leeber

        * Merge pull request #140 from
          ubports-weblate/weblate-ubports-messaging-app (8b7b7e1d)

2019-11-10 Adrià

        * Added translation using Weblate (Sardinian) (de8bb39d)

2019-11-02 Ege Öz

        * Translated using Weblate (Turkish) (165ef662)

2019-11-03 Florian Leeber

        * Merge pull request #139 from
          ubports-weblate/weblate-ubports-messaging-app (73b3940c)

2019-10-31 Kristoffer Grundström

        * Translated using Weblate (Swedish) (95167a2f)

2019-10-28 enolp

        * Translated using Weblate (Asturian) (aaa3d21f)

2019-10-27 enolp

        * Translated using Weblate (Asturian) (fb997ccb)

2019-10-21 Florian Leeber

        * Merge pull request #138 from
          ubports-weblate/weblate-ubports-messaging-app (dd7dbfc5)

2019-10-17 Weblate

        * Merge branch 'origin/xenial' into Weblate. (d64c1455)

2019-10-17 Marius Gripsgard

        * Also test on arm64 (742b40fe)
        * Also test on arm64 (5837ee33)
        * Revert "Remove autopilot" (f361df38)
        * Update Jenkinsfile (51d303d0)

2019-10-13 Christian

        * Merge pull request #137 from
          ubports-weblate/weblate-ubports-messaging-app (7c34ae92)

2019-10-09 Weblate

        * Merge branch 'origin/xenial' into Weblate. (83690218)

2019-10-09 Lionel Duboeuf

        * add link to mms infrastructure / update link (2be39d52)

2019-10-06 Sami Törmänen

        * Translated using Weblate (Finnish) (c98066d8)

2019-10-06 Eran

        * Translated using Weblate (Hebrew) (8ec9c383)

2019-10-04 Sami Törmänen

        * Translated using Weblate (Finnish) (31dba69e)

2019-10-03 Milan Korecký

        * Translated using Weblate (Czech) (4436b354)

2019-09-29 Christian

        * Merge pull request #134 from
          ubports-weblate/weblate-ubports-messaging-app (308b33e2)

2019-09-26 Eran

        * Translated using Weblate (Hebrew) (ac3f82fb)

2019-09-24 Moo

        * Translated using Weblate (Lithuanian) (184727bd)

2019-09-22 Christian

        * Merge pull request #133 from
          ubports-weblate/weblate-ubports-messaging-app (30f67059)

2019-09-20 Moo

        * Translated using Weblate (Lithuanian) (1a7e4c9d)

2019-09-18 Samson

        * Translated using Weblate (Amharic) (ec531190)

2019-09-16 Daniel Frańczak

        * Translated using Weblate (Polish) (f4f4741f)

2019-09-15 Florian Leeber

        * Translated using Weblate (German) (8cdbcc54)

2019-09-15 Christian

        * Merge pull request #132 from
          ubports-weblate/weblate-ubports-messaging-app (c29bc35d)

2019-09-08 Weblate

        * Merge branch 'origin/xenial' into Weblate. (47855c6a)

2019-09-08 Christian

        * Merge pull request #130 from gwado/xenial (5489e3c6)

2019-09-08 Raphaël Fery

        * Fix width for message bubble for all sms/mms (d644a267)

2019-09-08 Weblate

        * Merge branch 'origin/xenial' into Weblate. (ebce8787)

2019-09-07 Moo

        * Translated using Weblate (Lithuanian) (465305b6)

2019-09-08 Christian

        * Merge pull request #129 from parksjr/group-messaging-issues
          (d97df3ea)

2019-09-07 Raphaël Fery

        * Fix div width that causes display problems for text/plain MMS.
          (adbb7a12)

2019-09-05 Moo

        * Translated using Weblate (Lithuanian) (2e0887f5)

2019-09-04 Michael Parks

        * Attachments property swipeLocked was always true. updated to always
          return false unless an attachment item swipeLocked
          property specifies true. (ddc5e215)

2019-09-03 Florian Leeber

        * Merge pull request #127 from
          ubports-weblate/weblate-ubports-messaging-app (74fc59a7)

2019-08-30 Jiri Grönroos

        * Translated using Weblate (Finnish) (9c3deb3b)

2019-08-27 M.Sugahara

        * Translated using Weblate (Japanese) (6a3ba4ce)

2019-08-27 Tom Dom

        * Translated using Weblate (Dutch) (921f341a)

2019-08-18 Christian

        * Merge pull request #122 from
          ubports-weblate/weblate-ubports-messaging-app (ffba3eff)

2019-08-15 Anne Onyme

        * Translated using Weblate (French) (4d6dae6f)

2019-08-13 Emanuele Sorce

        * Translated using Weblate (Italian) (eebc1695)

2019-08-13 Joan CiberSheep

        * Translated using Weblate (Catalan) (e4be84fe)

2019-08-10 Moo

        * Translated using Weblate (Lithuanian) (0bc2682b)

2019-08-11 Florian Leeber

        * Merge pull request #120 from
          ubports-weblate/weblate-ubports-messaging-app (a4d4bf45)

2019-08-04 vokaliz

        * Translated using Weblate (Russian) (d9b65bca)

2019-08-04 Anne Onyme

        * Translated using Weblate (French) (d19ed2db)

2019-08-04 Christian

        * Merge pull request #119 from
          ubports-weblate/weblate-ubports-messaging-app (67adbf0c)

2019-07-31 Moo

        * Translated using Weblate (Lithuanian) (f3774e58)
        * Added translation using Weblate (Lithuanian) (d704b519)

2019-07-28 Christian

        * Merge pull request #118 from
          ubports-weblate/weblate-ubports-messaging-app (309ada3b)

2019-07-22 Moshe Lazar

        * Translated using Weblate (Russian) (c8a0ed66)

2019-07-21 Christian

        * Merge pull request #117 from
          ubports-weblate/weblate-ubports-messaging-app (328bb6be)

2019-07-16 Jiri Grönroos

        * Translated using Weblate (Finnish) (e32357a5)

2019-07-13 Moshe Lazar

        * Translated using Weblate (Russian) (2de56354)

2019-07-14 Christian

        * Merge pull request #116 from
          ubports-weblate/weblate-ubports-messaging-app (885f5a40)

2019-07-11 Eran

        * Translated using Weblate (Hebrew) (94ef671d)

2019-07-05 Daniel Frańczak

        * Translated using Weblate (Polish) (059ad7d7)

2019-07-05 Florian Leeber

        * Translated using Weblate (German) (a1b88efe)

2019-07-05 Aitzol Berasategi

        * Translated using Weblate (Basque) (69cf75b2)

2019-07-07 Christian

        * Merge pull request #115 from
          ubports-weblate/weblate-ubports-messaging-app (9c499954)

2019-07-02 Moshe Lazar

        * Translated using Weblate (Russian) (4764cfc4)

2019-06-27 Samson

        * Translated using Weblate (Amharic) (9b90c108)

2019-06-30 Brian Douglass

        * Merge pull request #107 from ubports/SystemThemeSupport (5cbac111)

2019-06-30 Florian Leeber

        * Merge pull request #114 from
          ubports-weblate/weblate-ubports-messaging-app (94e0b25e)

2019-06-24 Weblate

        * Merge branch 'origin/xenial' into Weblate. (b70c66cf)

2019-06-24 Christian

        * Merge pull request #113 from
          ubports-weblate/weblate-ubports-messaging-app (c0e33113)

2019-06-22 Samson

        * Translated using Weblate (Amharic) (2598e7f8)

2019-06-21 lxdb

        * Translated using Weblate (Russian) (f04920ff)

2019-06-16 Christian Pauly

        * Check theme using name property (ae4af203)

2019-06-09 Christian

        * Merge pull request #112 from
          ubports-weblate/weblate-ubports-messaging-app (79360218)

2019-06-04 Milan Korecký

        * Translated using Weblate (Czech) (19807ab7)

2019-06-05 P.-H. Lin

        * Translated using Weblate (Chinese (Traditional)) (21789863)

2019-06-05 Christian

        * Merge pull request #109 from ubports/fixTextAreaDestruction
          (5ceb1b95)

2019-06-05 Christian Pauly

        * Fix #108 (4bf8185d)

2019-06-03 Christian

        * Merge pull request #106 from ubports/contextClickFix (aeb4ba87)

2019-06-02 Christian Pauly

        * Add an option to use the system theme. Fixes #89 (7c80742f)
        * Fixes #84 (2da99b4c)

2019-06-02 Christian

        * Merge pull request #103 from ubports/FixAccountRegex (33795f24)
        * Use DraftTextArea for sms drafts (#102) (198503d6)

2019-06-02 Christian Pauly

        * use accountRegex only when the selfContactId isn't a phone number
          (35a483a6)

2019-05-26 Christian

        * Merge pull request #101 from
          ubports-weblate/weblate-ubports-messaging-app (b546e579)

2019-05-24 Weblate

        * Merge branch 'origin/xenial' into Weblate. (fd65a1bd)

2019-05-24 Christian

        * Merge pull request #87 from ubports/fixWrongChatTitle (207567be)

2019-05-20 Ari Börde Kröyer

        * Translated using Weblate (Norwegian Bokmål) (795a3f9a)

2019-05-19 Christian

        * Merge pull request #99 from
          ubports-weblate/weblate-ubports-messaging-app (0f3a0adb)

2019-05-15 louies0623

        * Translated using Weblate (Chinese (Hong Kong)) (4f711601)

2019-05-12 Christian

        * Merge pull request #97 from
          ubports-weblate/weblate-ubports-messaging-app (13032a10)

2019-05-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (84493f90)

2019-05-08 louies0623

        * Translated using Weblate (Chinese (Hong Kong)) (b33819b9)

2019-05-06 Christian

        * Merge pull request #95 from
          ubports-weblate/weblate-ubports-messaging-app (f56d8162)

2019-05-04 Daniel Frańczak

        * Translated using Weblate (Polish) (df1c7483)

2019-05-04 Milan Korecký

        * Translated using Weblate (Czech) (92493e2b)

2019-05-04 Christian

        * Merge pull request #94 from
          ubports-weblate/weblate-ubports-messaging-app (d2d4cd4d)

2019-04-29 Mike

        * Translated using Weblate (Italian) (fc4b4059)

2019-04-30 louies0623

        * Translated using Weblate (Chinese (Traditional)) (9ed3722b)

2019-04-29 Joan CiberSheep

        * Translated using Weblate (Catalan) (45954fb8)

2019-04-27 Jiri Grönroos

        * Translated using Weblate (Finnish) (63c4769d)

2019-04-25 Florian Leeber

        * Merge pull request #93 from
          ubports-weblate/weblate-ubports-messaging-app (12c81aa7)

2019-04-25 Vinícius F

        * Translated using Weblate (Portuguese (Brazil)) (fda5bffe)

2019-04-24 Florian Leeber

        * Merge pull request #92 from
          ubports-weblate/weblate-ubports-messaging-app (ca1940d0)

2019-04-23 Anne Onyme

        * Translated using Weblate (French) (ed311d28)

2019-04-24 不朽正义

        * Translated using Weblate (Chinese (Simplified)) (2bc05344)

2019-04-23 不朽正义

        * Translated using Weblate (Chinese (Simplified)) (7a50c1f6)

2019-04-16 Weblate

        * Merge branch 'origin/xenial' into Weblate (5ff46b42)

2019-04-16 Florian Leeber

        * Merge pull request #91 from ubports/ChristianPauly-patch-1
          (2ca5eb7a)

2019-04-16 Christian Pauly

        * Remove old send icon (574137fc)

2019-04-15 Weblate

        * Merge branch 'origin/xenial' into Weblate (ec839416)

2019-04-15 Florian Leeber

        * Merge pull request #90 from ubports/nicerSMScounter (f4a45166)

2019-04-15 Christian

        * Use the system icon for sending (bb1e1371)

2019-04-15 Christian Pauly

        * Fix magic numbers (2584fc1e)
        * Show counter only when user is going to send multiple sms
          (c789dd53)

2019-04-08 Erik L

        * Translated using Weblate (Norwegian Bokmål) (9755c5b4)

2019-04-09 Peter keck

        * Translated using Weblate (German) (c68a9fc5)

2019-04-11 Tom Dom

        * Translated using Weblate (Dutch) (eb1f413d)

2019-04-08 Weblate

        * Merge branch 'origin/xenial' into Weblate (a2e73265)

2019-04-03 Tom Dom

        * Translated using Weblate (Dutch) (bb69bb30)

2019-04-08 Florian Leeber

        * Merge pull request #88 from ubports/smscounter (46f8cd79)

2019-04-05 Christian Pauly

        * Fix SMS counter (47183a44)

2019-03-27 Ettore Atalan

        * Translated using Weblate (German) (5496086c)

2019-03-26 Tom Dom

        * Translated using Weblate (Dutch) (6548f439)

2019-03-27 louies0623

        * Translated using Weblate (Chinese (Traditional)) (6db768b2)

2019-03-25 Weblate

        * Merge branch 'origin/xenial' into Weblate (717d932b)

2019-03-23 maor26

        * Translated using Weblate (Hebrew) (b3bf6531)

2019-03-25 Christian

        * Merge pull request #86 from ubports/warningFixes (7769e3d7)

2019-03-24 Christian Pauly

        * Fix some Qml warnings and binding loops. (5e745883)

2019-03-23 Florian Leeber

        * Merge pull request #85 from
          ubports-weblate/weblate-ubports-messaging-app (6059f857)

2019-03-23 Christian Pauly

        * Possible fix for the wrong chat title. (47fa6490)

2019-03-14 Weblate

        * Merge branch 'origin/xenial' into Weblate (8ac1609b)

2019-03-12 Rúben Carneiro

        * Translated using Weblate (Portuguese) (b8a5c2d5)

2019-03-12 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (8a3e6d38)

2019-03-12 Anne Onyme

        * Translated using Weblate (French) (d57bd8f5)

2019-03-12 Milan Korecký

        * Translated using Weblate (Czech) (47fae3f4)

2019-03-12 Joan CiberSheep

        * Translated using Weblate (Catalan) (69c72577)

2019-03-14 Christian

        * Merge pull request #80 from ubports/ChristianPauly-patch-1
          (0ce4d49e)

2019-03-13 Christian

        * Translated using Weblate (German) (4bb583b4)

2019-03-12 Joan CiberSheep

        * Translated using Weblate (Catalan) (2eebbfd2)

2019-03-12 Milan Korecký

        * Translated using Weblate (Czech) (6fbea7cb)

2019-03-12 Anne Onyme

        * Translated using Weblate (French) (f56e9d8d)

2019-03-12 advocatux

        * Translated using Weblate (Spanish) (e95d8b42)

2019-03-12 Daniel Frańczak

        * Translated using Weblate (Polish) (c4ac9944)

2019-03-12 Ivo Xavier

        * Translated using Weblate (Portuguese) (4e0d9e7c)

2019-03-12 Daniel Frańczak

        * Translated using Weblate (Polish) (09067234)

2019-03-12 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (aaf24ca1)

2019-03-12 Weblate

        * Repair commit (723e9342)

2019-03-12 Christian

        * Merge pull request #81 from ubports/xenial_-_fix-pot-file
          (70e1f535)

2019-03-12 Brian Douglass

        * Always build the pot file in cmake and updated the pot file
          (3b69bbb1)

2019-03-11 Christian

        * Remove add account button (90b46426)
        * Merge pull request #78 from kugiigi/xenial_-_lastmsg (adfb3825)

2019-03-11 Florian Leeber

        * Merge pull request #79 from kugiigi/xenial_-_contactfield
          (5008aaee)

2019-03-11 Kugi Eusebio

        * Update Messages.qml (a5cd4213)

2019-03-05 Kugi Eusebio

        * Update ThreadDelegate.qml (7294b9fa)
        * Update Messages.qml (0ae67374)

2019-02-12 Brian Douglass

        * Merge pull request #73 from jezek/clickable-build (1625a331)

2019-02-12 jEzEk

        * README.md delete clickable NOTE, cause it's fixed (63ff1c43)

2019-02-12 Kugi Eusebio

        * Remove unnecessary list item highlights (#57) (e6b11d10)

2019-02-11 Florian Leeber

        * Merge pull request #75 from
          ubports-weblate/weblate-ubports-messaging-app (1dc81cdf)

2019-02-10 Anne Onyme

        * Translated using Weblate (French) (9b7a2d0b)

2019-02-03 jEzEk

        * update README.md, turn off tests in clickable.json (2886678e)
        * turn tests building in cmake back on (f73e371f)
        * tweak click cmake & manifest (4a28f684)
        * set uncoffined apparmor, remove profile file (d241b570)

2019-02-02 jEzEk

        * clickable build args, CLICK_MODE in CMakeLists (85234669)
        * clickable own directory ./click (ce65484a)

2019-01-30 jEzEk

        * use ubports instead of yourname (f46412a2)
        * apparmor profile with full rights (8accea69)

2019-01-28 jEzEk

        * use APP_DIR eviroment variable as app path, ... (20bb6252)

2019-01-27 jEzEk

        * use path to click dirty fix, app launches (194439e3)
        * build tests off, reset version counter (a3ccd35b)

2019-01-24 jEzEk

        * modified CMakeLists,... to build valid click pkg (7c6ea40c)

2019-01-23 jEzEk

        * added clickable manifest files (e0cd636b)
        * clickable build dir added to .gitignore (1fcd51e5)

2019-01-22 Weblate

        * Merge branch 'origin/master' into Weblate (ce9fc5d6)

2019-01-20 louies0623

        * Translated using Weblate (Chinese (Traditional)) (6a52a412)

2019-01-22 Florian Leeber

        * Merge pull request #71 from
          ubports-weblate/weblate-ubports-messaging-app (7789aba7)

2019-01-20 louies0623

        * Translated using Weblate (Chinese (Simplified)) (a3ad9f03)

2019-01-16 Weblate

        * Merge branch 'origin/master' into Weblate (83d46696)

2019-01-16 Florian Leeber

        * Merge pull request #70 from
          ubports-weblate/weblate-ubports-messaging-app (53f5a293)

2019-01-12 Adrià

        * Translated using Weblate (Sardinian) (f7a209b5)

2019-01-09 Tom Rausner

        * Translated using Weblate (Danish) (dd5844e7)

2019-01-03 Ennio Lavagnini

        * Translated using Weblate (Italian) (8ad152d7)

2019-01-02 Tom Rausner

        * Translated using Weblate (Danish) (6eb17ec3)

2019-01-01 Jaume Angrill

        * Translated using Weblate (Catalan) (f85f3136)

2018-12-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (8ecaa8ef)

2018-12-26 Weblate

        * Merge branch 'origin/master' into Weblate (b6e02930)

2018-12-17 Rondy Andersson

        * Translated using Weblate (Swedish) (40cb0889)

2018-12-22 ierihon

        * Translated using Weblate (Belarusian) (7279c5f5)

2018-12-26 Florian Leeber

        * Merge pull request #69 from
          ubports-weblate/weblate-ubports-messaging-app (95f8463d)

2018-12-18 ierihon

        * Translated using Weblate (Russian) (92eb2441)

2018-12-16 Anne Onyme

        * Translated using Weblate (French) (e152c78a)

2018-12-18 Sander

        * Translated using Weblate (Dutch) (632a8381)

2018-12-19 Hussain Hashem Aljafri

        * Translated using Weblate (Arabic) (392b3223)

2018-12-18 Louies

        * Added translation using Weblate (English (United States))
          (ae044433)

2018-12-16 Max Libre

        * Translated using Weblate (French) (1c2c9a1f)

2018-12-07 Florian Leeber

        * Merge pull request #64 from
          ubports-weblate/weblate-ubports-messaging-app (4a07266c)

2018-11-30 Dmytro Gladkyi

        * Translated using Weblate (Ukrainian) (7b05e3de)

2018-11-29 Max Libre

        * Translated using Weblate (French) (79aae9f4)

2018-11-26 Florian Leeber

        * Merge pull request #62 from
          ubports-weblate/weblate-ubports-messaging-app (14712669)

2018-11-26 Dalton Durst

        * Really remove the leadingActions for real (#63) (cb12cf1f)

2018-11-19 ierihon

        * Translated using Weblate (Russian) (50ad3e45)

2018-11-22 Louies

        * Translated using Weblate (Chinese (Traditional)) (11717b53)
        * Translated using Weblate (Chinese (Hong Kong)) (905151e3)

2018-11-19 Weblate

        * Merge branch 'origin/master' into Weblate (79fa485d)

2018-11-12 Samson

        * Translated using Weblate (Amharic) (eccf3684)

2018-11-18 Brian Douglass

        * Merge pull request #61 from
          ubports-weblate/weblate-ubports-messaging-app (6f2fb5ae)

2018-11-11 Louies

        * Translated using Weblate (Chinese (Traditional)) (6c332080)

2018-11-16 Milan Korecký

        * Translated using Weblate (Czech) (0808c696)

2018-11-11 Weblate

        * Merge branch 'origin/master' into Weblate (f4bcc374)

2018-11-10 Sander

        * Translated using Weblate (Dutch) (2c689682)

2018-11-10 Brian Douglass

        * Merge pull request #60 from
          ubports-weblate/weblate-ubports-messaging-app (8fb5c8b5)

2018-11-05 Daniel Frost

        * Translated using Weblate (German) (06fd4084)

2018-11-05 Louies

        * Translated using Weblate (Chinese (Traditional)) (20e2f01c)

2018-11-05 Milan Korecký

        * Translated using Weblate (Czech) (54e678bc)

2018-11-05 Louies

        * Translated using Weblate (Chinese (Traditional)) (f054db59)

2018-11-04 Florian Leeber

        * Merge pull request #59 from
          ubports-weblate/weblate-ubports-messaging-app (37c95d7e)

2018-11-02 honigwald

        * Translated using Weblate (German) (4fa37e5c)

2018-11-01 Anne Onyme

        * Translated using Weblate (French) (38710652)

2018-10-29 Louies

        * Translated using Weblate (Chinese (Traditional)) (724b60f3)

2018-10-28 Florian Leeber

        * Merge pull request #58 from
          ubports-weblate/weblate-ubports-messaging-app (c0f79422)

2018-10-25 M.Sugahara

        * Translated using Weblate (Japanese) (b50f8eff)

2018-10-25 Louies

        * Translated using Weblate (Chinese (Traditional)) (8c8c150c)

2018-10-22 Louies

        * Translated using Weblate (漢語（正體字）) (8f930f3e)

2018-10-18 Florian Leeber

        * Merge pull request #56 from kugiigi/xenial_settings (3e657b9c)
        * Remove whitspaces (720a38a6)

2018-10-18 Kugi Eusebio

        * Update SettingsPage.qml (b68c652e)
        * Update MessagingContactViewPage.qml (42cc75ce)
        * Removed leadingActions (a654f575)
        * Merge pull request #1 from ubports/xenial (744eb166)

2018-10-14 Florian Leeber

        * Merge pull request #49 from
          ubports-weblate/weblate-ubports-messaging-app (ad9f4ef9)

2018-09-08 SongInseo

        * Translated using Weblate (Koreanisch) (f7e8bbf6)

2018-09-05 ArashiHino

        * Translated using Weblate (Japanisch) (8d6e7a5e)

2018-10-04 Neutrum N

        * Translated using Weblate (Galicisch) (4e3674b9)

2018-10-05 Milan Korecký

        * Translated using Weblate (Tschechisch) (d88e778a)
        * Translated using Weblate (Czech) (4fa9b55c)

2018-10-04 Weblate

        * Merge branch 'master' of https://github.com/ubports/messaging-app
          (e2de5ba6)

2018-09-29 Jonatan Hatakeyama Zeidler

        * Replace Music App in README (48bed5dd)

2018-09-15 Tom Rausner

        * Translated using Weblate (Danish) (92e94458)

2018-09-14 Alberto Mardegan

        * Update changelog (2e885deb)

2018-09-13 Alberto Mardegan

        * NewRecipientPage: populate phone number on contact added
          (69898f55)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/878

2018-09-13 jonnius

        * Fix building with crossbuilder (#42) (77d292d9)

2018-09-09 Florian Leeber

        * Merge pull request #41 from
          ubports-weblate/weblate-ubports-messaging-app (a4d32113)

2018-09-02 Rondy Andersson

        * Translated using Weblate (Swedish) (22c62ebb)

2018-09-02 Weblate

        * Merge remote-tracking branch 'origin/master' (b4c91cba)

2018-08-21 P_E_T_O

        * Translated using Weblate (Slovak) (ef8b65dc)

2018-08-31 Simone

        * Translated using Weblate (Italian) (87023228)

2018-09-02 Florian Leeber

        * Merge pull request #39 from
          ubports-weblate/weblate-ubports-messaging-app (885a9e03)

2018-08-26 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (3aaa7519)

2018-08-27 Ahmed Suliman

        * Translated using Weblate (Arabic) (383df090)

2018-09-01 Weblate

        * Merge branch 'master' of https://github.com/ubports/messaging-app
          (d2397549)

2018-08-19 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (8892bd90)

2018-08-19 Florian Leeber

        * Merge pull request #38 from kugiigi/xenial (ca08d09d)

2018-08-19 Kugi Eusebio

        * Update SettingsPage.qml (53458433)
        * Update MessageBubble.qml (5427d7f9)
        * Update messaging-app.qml (e79e7354)
        * Added black message bubble background image (902c5600)

2018-08-18 Kugi Eusebio

        * Update messaging-app.qml (cf6cc12c)
        * Update SettingsPage.qml (199fed81)
        * Update MessageBubble.qml (b548141b)

2018-08-18 Florian Leeber

        * Merge pull request #37 from kugiigi/xenial (99582b16)

2018-08-18 Kugi Eusebio

        * Update ThreadDelegate.qml (eb59d89a)

2018-08-08 ierihon

        * Translated using Weblate (Belarusian) (e4e25ff3)

2018-08-12 ubports-weblate

        * Update from Weblate. (#36) (e76e165a)

2018-07-30 thanakit srisearmpok

        * Translated using Weblate (Thai) (332b230b)

2018-08-03 joseph

        * Translated using Weblate (Japanese) (1b21cb86)

2018-08-03 Florian Leeber

        * Translated using Weblate (German) (726a665f)

2018-08-04 Anne Onyme

        * Translated using Weblate (French) (9dd2244e)

2018-08-05 Tom Rausner

        * Translated using Weblate (Danish) (acc4cbfd)

2018-08-03 Tom Rausner

        * Translated using Weblate (Danish) (8c22a17b)

2018-08-05 ubports-weblate

        * Update from Weblate. (#34) (10cd618d)

2018-07-22 ubports-weblate

        * Translated using Weblate (Dutch) (#33) (fd1e55f0)

2018-07-07 ubports-weblate

        * Update from Weblate. (#32) (3b722a80)

2018-06-01 ubports-weblate

        * Update from Weblate. (#30) (aabb7276)

2018-04-29 ubports-weblate

        * Update from Weblate. (#29) (82cc93e2)

2018-03-18 ubports-weblate

        * Update from Weblate. (#26) (59a32ba2)

2018-03-04 ubports-weblate

        * Update from Weblate. (#24) (d61e9f9e)

2018-02-25 ubports-weblate

        * Update from Weblate. (#23) (4934a674)

2018-02-22 Marius Gripsgard

        * Update Jenkinsfile (1e977a97)
        * Merge branch 'xenial' (a0ba05ba)

2018-02-18 Florian Leeber

        * Merge pull request #22 from
          ubports-weblate/weblate-ubports-messaging-app (fb7c0fde)

2018-02-18 Weblate

        * Repair commit (037423bd)

2018-02-11 Florian Leeber

        * Merge pull request #21 from
          ubports-weblate/weblate-ubports-messaging-app (c94b07ce)

2018-02-11 Weblate

        * Merge remote-tracking branch 'origin/master' (0b69e45c)

2018-02-09 Eran

        * Translated using Weblate (Hebrew) (36c56619)

2018-02-08 Florian Leeber

        * Merge pull request #20 from
          ubports-weblate/weblate-ubports-messaging-app (f506eaff)

2018-02-08 Weblate

        * Merge remote-tracking branch 'origin/master' (b111beb7)

2018-01-18 Noock

        * Translated using Weblate (Portuguese (Brazil)) (33d53ca4)
        * Translated using Weblate (Interlingua) (22406d8d)

2018-01-23 hensip

        * Translated using Weblate (Galician) (761e3095)

2018-01-17 Jiri Grönroos

        * Translated using Weblate (Finnish) (60c65f69)

2018-02-05 ubports_arabic

        * Translated using Weblate (Arabic) (5c0cee53)

2018-01-18 Noock

        * Translated using Weblate (Portuguese (Brazil)) (0b7caee5)

2018-01-07 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (c0c5c504)

2018-01-07 Florian Leeber

        * Merge pull request #19 from
          ubports-weblate/weblate-ubports-messaging-app (0c9d2176)

2018-01-05 Marius Gripsgard

        * Fix qml files not found on qt5.9 (1d7bd698)

2018-01-04 Marius Gripsgard

        * Remove autopilot (4b1f9401)
        * Release for xenial (4a34b969)
        * Add Jenkinsfile (f525bc58)

2017-12-26 Eran

        * Translated using Weblate (Hebrew) (97722f86)

2017-12-24 Samson

        * Translated using Weblate (Amharic) (50bed244)

2017-12-21 Eran

        * Translated using Weblate (Hebrew) (e2f7a77f)

2017-12-10 Eran

        * Translated using Weblate (Hebrew) (1358e861)

2017-12-03 Florian Leeber

        * Merge pull request #16 from
          ubports-weblate/weblate-ubports-messaging-app (ff2ad04f)

2017-12-03 Weblate

        * Merge remote-tracking branch 'origin/master' (0e5cb229)

2017-11-26 advocatux

        * Translated using Weblate (Spanish) (7fc7f315)

2017-11-30 Joeke de Graaf

        * Translated using Weblate (Dutch) (495c746e)

2017-11-26 Arda Canbolat

        * Translated using Weblate (Turkish) (adafa7ef)

2017-11-26 Florian Leeber

        * Merge pull request #15 from
          ubports-weblate/weblate-ubports-messaging-app (01d759de)

2017-11-22 Alexey Balmashnov

        * Translated using Weblate (Russian) (054aa020)

2017-11-20 Ivo Xavier

        * Translated using Weblate (Portuguese) (90aac25b)

2017-11-25 Taka Turgut

        * Translated using Weblate (Turkish) (c74e3d12)

2017-11-23 Pablo Foche

        * Translated using Weblate (Esperanto) (8b7d92e9)

2017-11-21 Alexey Balmashnov

        * Translated using Weblate (Russian) (e624bdca)

2017-11-12 Florian Leeber

        * Merge pull request #14 from
          ubports-weblate/weblate-ubports-messaging-app (c424a878)

2017-11-12 Weblate

        * Merge remote-tracking branch 'origin/master' (c7ca6a03)

2017-11-06 Brînzariu Cristian

        * Translated using Weblate (Romanian) (3c1bd286)
        * Translated using Weblate (Romanian) (500fa997)

2017-11-05 Florian Leeber

        * Merge pull request #12 from
          ubports-weblate/weblate-ubports-messaging-app (591279fb)

2017-10-30 Brînzariu Cristian

        * Translated using Weblate (Romanian) (d7e5f32f)

2017-11-03 Ivo Xavier

        * Translated using Weblate (Portuguese) (204e2f75)

2017-11-01 Terence Sambo

        * Translated using Weblate (Dutch) (9b59d12c)

2017-11-01 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (c09bd427)

2017-10-29 Aitzol Berasategi

        * Translated using Weblate (Basque) (25feaed0)

2017-10-24 Florian Leeber

        * Merge pull request #11 from
          ubports-weblate/weblate-ubports-messaging-app (90a8e33e)

2017-10-22 Weblate

        * Merge remote-tracking branch 'origin/master' (e8a1bc9d)

2017-10-21 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (b577f606)

2017-10-15 Ivan Semkin

        * Translated using Weblate (Russian) (e10ec613)

2017-10-18 Ivo Xavier

        * Translated using Weblate (Portuguese) (dd461315)

2017-10-15 Florian Leeber

        * Merge pull request #10 from
          ubports-weblate/weblate-ubports-messaging-app (946876ca)

2017-10-15 Weblate

        * Merge remote-tracking branch 'origin/master' (9cb399f9)

2017-10-14 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (717672f5)

2017-10-08 Florian Leeber

        * Merge pull request #8 from
          ubports-weblate/weblate-ubports-messaging-app (452a6b30)

2017-10-08 Weblate

        * Merge remote-tracking branch 'origin/master' (ac4462cc)

2017-09-30 Francisco Molinero

        * Translated using Weblate (Spanish) (4c83a48c)

2017-09-30 Nelly Simkova

        * Translated using Weblate (Russian) (5f8b85ce)

2017-10-05 Jonasz Potoniec

        * Translated using Weblate (Polish) (5d84cf51)

2017-10-06 Twinkybot

        * Translated using Weblate (German) (fa1afda9)

2017-10-05 RedXXIII

        * Translated using Weblate (French) (848b5a4c)

2017-10-03 Milan Korecký

        * Translated using Weblate (Czech) (13368ec0)

2017-09-30 Stefano Melchior

        * Translated using Weblate (Catalan) (1e881a60)

2017-10-05 Florian Leeber

        * Translated using Weblate (German) (5a2ca96f)

2017-10-05 Twinkybot

        * Translated using Weblate (German) (ea32bb3f)

2017-10-02 Paweł Cieniek

        * Translated using Weblate (Polish) (015e4057)

2017-10-05 RedXXIII

        * Translated using Weblate (French) (e5de14fc)

2017-10-01 Florian Leeber

        * Translated using Weblate (German) (91008fed)
        * Merge pull request #7 from
          ubports-weblate/weblate-ubports-messaging-app (6a891294)

2017-09-29 Peter Valachovič

        * Translated using Weblate (Slovak) (45ca5e91)

2017-09-27 Daniel Frańczak

        * Translated using Weblate (Polish) (488ab5af)

2017-09-28 Stefano Melchior

        * Translated using Weblate (Italian) (210f8838)

2017-09-28 Philipp Leibelt

        * Translated using Weblate (German) (1ab2d50a)

2017-09-28 Henrik Holm

        * Translated using Weblate (Danish) (8e311373)

2017-09-29 Jeff

        * Translated using Weblate (Albanian) (394f7f61)

2017-03-27 Tiago Salem Herrmann

        * Check if 'callback' is undefined to avoid crashing the app
          (8e651866)
        * check if callback is undefined to avoid crashing the app (eac105fa)

2017-03-22 Tiago Salem Herrmann

        * Add apparmor rules to access dri. (6884e86a)
        * Adapt to fetch the participants when needed. (b3fc8274)
        * - Add a configuration option to disconnect from server on
          application exit. - Allow to favorite a channels and store
          it on settings. - Mark thread as not connected (opacity =
          0.5) (814b138b)
        * Improve participants screen performance (29de1793)
        * Allow user to select the sort field for conversation list.
          (3dc56d7b)
        * Mark entire threads as read when opening a channel (60cbb499)
        * Disable contact matching dynamically depending on the addressable
          fields. (cb9428c1)
        * Close channels when threads are removed. (c33cd512)
        * Use message delegates based on protocol if that exists. (0c42bfff)
        * Add fallback to nicknames (1f41862f)
        * Use 'Tab' to auto-complete nicknames. (d3262e9d)
        * Refactory focus and keyboard navigation (5a72d38d)
        * Leave room channels on close (a90e8663)
        * Select first account if no phone accounts exist and generic
          accounts are available (311fbe7c)
        * Change some strings to match protocol specific terms. (95368168)
        * Enable rejoin button when channel isn't active. (405d41b0)
        * Hide attachment options when requested. (4354a936)
        * Fix attachments previewer. (c25ab635)
        * Enable return key to send messages. (06d515b8)
        * Always show generic accounts, even when there is only one account.
          (d1da7b88)
        * Fix argument parsing with the messaging:number pattern. (f74d4dc6)
        * Register messaging-app on online-accounts as IRC application.
          (dd78c8c2)
        * Allow join existing channels. (4878b5e0)

2017-03-22 Renato Araujo Oliveira Filho

        * Removed empty function. (dbf70ff5)
        * Remove changes about 'disconnectOnQuit' this is not necessary this
          will be handled by server side. (3ce6b7eb)

2017-03-22 Tiago Salem Herrmann

        * remove comments (2abbddd5)
        * remove comments (dc8a427c)
        * remove deprecated code (8b2ae75b)
        * remove unused code (da90f35f)
        * add FIXME to irc specific stuff (067cccca)
        * Send message when enter is pressed as well (3a5c46aa)

2017-03-20 Tiago Salem Herrmann

        * Use same rules as webbrowser-app for /dev and dri (198b477d)
        * merge parent branch (91d641ba)

2017-03-15 Tiago Salem Herrmann

        * do not iterate participants (ee15b1fb)

2017-03-10 Gustavo Pichorim Boiko

        * Get rid of one annoying warning. (941d05a4)

2017-03-08 Tiago Salem Herrmann

        * merge parent branch (2023cbbf)
        * merge parent branch (40dbfdf7)
        * merge parent branch (b967609f)
        * merge parent branch (4d973608)
        * merge parent branch (f77a6471)
        * merge parent branch (5d905aa1)
        * merge parent branch (21731802)
        * merge parent branch (1bccb34c)
        * merge parent branch (5ca1b961)
        * merge parent branch (799fb046)
        * merge parent branch (367d7e72)
        * merge parent branch (c1a7c82b)
        * merge parent branch (ba3c5737)
        * merge parent branch (989b4ddc)
        * merge parent branch (4e8a52c2)
        * merge parent branch (ab47d715)
        * merge parent branch (26702405)
        * merge parent branch (1f2ee350)
        * merge parent branch (068b8d9d)
        * merge parent branch (95589248)

2017-03-08 Gustavo Pichorim Boiko

        * Adapt to fetch the participants when needed. (fcee5c01)

2017-03-07 Tiago Salem Herrmann

        * only show call button for tel protocols (2eb6c789)

2017-03-07 Renato Araujo Oliveira Filho

        * Add necessary profile entry on application file. (598991aa)

2017-03-06 Tiago Salem Herrmann

        * merge parent (cde93971)
        * fix other typos (5efec768)
        * merge parent (5d773074)
        * fix missing , (2735e01f)
        * merge parent branch (1c064499)
        * merge parent (3d8d7215)
        * show connecting state when threads sorted by accounts (21369370)

2017-03-06 Renato Araujo Oliveira Filho

        * Fixed typo. (2bb9a5c6)

2017-03-06 Tiago Salem Herrmann

        * Allow dbus service registration on dbus (024e4fd8)

2017-03-03 Tiago Salem Herrmann

        * fix variable name (d559390c)
        * handler will disconnect the account. we don't need to request leave
          the channels (ea5a31a1)
        * Register service to notify handler the app was launched (6876b8b6)

2017-02-24 Renato Araujo Oliveira Filho

        * Do contact match using server address. (da98e11a)

2017-02-23 Renato Araujo Oliveira Filho

        * Re-designe contact info page. (439d504a)
        * Enter in "newMessage" when no threadId is set. (c60ae31f)
        * Remove debug message. (61b34231)

2017-02-22 Renato Araujo Oliveira Filho

        * Does contact match on 1-1 conversation. (408c18ab)
        * Update contact view variable type. (89d8ded4)

2017-02-22 Tiago Salem Herrmann

        * fix broken test (b5b8a5bb)
        * fix conflict (72708dbc)
        * merge parent branch (ef4a6570)
        * merge parent branch (ec67ab11)

2017-02-22 Gustavo Pichorim Boiko

        * Adapt the test to the new approach of acknowledging messages
          (292fb5d5)

2017-02-21 Tiago Salem Herrmann

        * fix first participant when contact matching is disabled (d74b4fe4)
        * merge parent branch (8e16660a)
        * merge parent branch (2a3d8aa6)

2017-02-21 Renato Araujo Oliveira Filho

        * Allow create contacts with IRC accounts from messaging app.
          (4917e70f)
        * revert changes setting organization name (Fixed on SDK). (85ac1443)

2017-02-17 Gustavo Pichorim Boiko

        * Merge parent branch (14250ba8)
        * Remove debug leftover (7eff2f41)
        * Change messaging-app to only acknowledge entire threads and not
          individual messages anymore. (cfa04121)

2017-02-17 Renato Araujo Oliveira Filho

        * reconnect with favorite channels on app startup. (01aab920)

2017-02-16 Renato Araujo Oliveira Filho

        * Does not set appliaction name more than once. Disable favorite
          auto-connection until fix the server. (5f058860)

2017-02-16 Gustavo Pichorim Boiko

        * Adapt to the model API change. (91732a6e)

2017-02-16 Renato Araujo Oliveira Filho

        * merged. (cf3755f9)
        * Fixed favorites settings. (ca405763)

2017-02-16 Tiago Salem Herrmann

        * merge parent branch (f7ba291a)
        * remove warnings (43c6f063)
        * remove warnings (be2b49aa)

2017-02-16 Renato Araujo Oliveira Filho

        * Removed deprecated code. (fb2272c5)

2017-02-16 Tiago Salem Herrmann

        * merge parent branch (5fa51c3b)
        * use participants model to render participant list (370f8f06)

2017-02-15 Tiago Salem Herrmann

        * merge parent branch (f630f03b)
        * merge parent branch (643e4028)
        * merge parent branch (57cca3bc)
        * merge parent branch (eb430260)
        * merge parent branch (4d503b1e)
        * merge parent branch (c741a829)
        * merge parent branch (85882a41)

2017-02-15 Renato Araujo Oliveira Filho

        * Avoid auto-connect on channels. (a27e1578)
        * Show unread count on compact view. (c3c9c52c)
        * Use ChatEntry object on delegates to check if the channel is
          connected or not. (883344c2)

2017-02-14 Renato Araujo Oliveira Filho

        * Revert changes related with disabling unactive channels. (c57ab728)
        * Save favorite channes by account. (a3c9c185)
        * Allow to favorite a channels and store it on settings. (06405eab)
        * Add a configaration option to disconnect from server on application
          exit. (4630b8ae)

2017-02-13 Renato Araujo Oliveira Filho

        * Added 'qtdeclarative5-ubuntu-keyboard-extensions0.1' as app dep.
          (bc4d7e49)
        * Parent merged. (8263d397)

2017-02-10 Renato Araujo Oliveira Filho

        * Parent merged. (21b381e8)
        * Parent merged. (58e37926)
        * Parent merged. (4cb1b965)
        * Parent merged. (be497b74)
        * Parent merged. (3f5f49fd)
        * Parent merged. (76215780)
        * Parent merged. (d44c5978)
        * Fixed more problems with 'startChat' (868e69cd)
        * Avoid to call 'startChatLate' multiple times. (22b236b0)

2017-02-10 Tiago Salem Herrmann

        * Enable chat states dinamically (b2f4031c)

2017-02-10 Renato Araujo Oliveira Filho

        * Fixed thread selection on application startup; (eeede621)

2017-02-10 Tiago Salem Herrmann

        * merge parent branch (a54c42b6)
        * merge parent branch (92b5bc2d)
        * merge parent branch (2d6c5ef7)
        * merge parent branch (d767c7c6)
        * merge parent branch (54b0c034)
        * merge parent branch (0dcd19b9)
        * merge parent branch (36a17d1f)
        * merge parent branch (6e404581)

2017-02-10 Renato Araujo Oliveira Filho

        * Make sure that private chats are selected on thread list after
          creation. (a01c9d75)
        * Fixed item selection after create a group chat. (400e4314)
        * Added missing dep. (b71c0664)

2017-02-09 Renato Araujo Oliveira Filho

        * Mark conversation as bold when it contains unread messages.
          (443abbb6)

2017-02-09 Tiago Salem Herrmann

        * merge parent branch (d345ad46)
        * merge parent branch (3b991860)
        * merge parent branch (c53bf2aa)
        * merge parent branch (3dfb5457)
        * merge parent branch (09812a21)
        * merge parent branch (94eefe5e)
        * merge parent branch (34dcaaee)
        * merge parent branch (8d871071)

2017-02-09 Renato Araujo Oliveira Filho

        * Select thead on thread list after send a private message. (if
          thread already exists) (84a31b74)

2017-02-09 Tiago Salem Herrmann

        * merge parent branch (9e01d84f)
        * merge parent branch (a115b0a6)
        * merge parent branch (a2b222d6)
        * merge parent branch (0264fc21)
        * merge parent branch (643c4d1a)
        * merge parent branch (4a1907b4)
        * merge parent branch (e4109782)
        * merge parent branch (8bf521a6)

2017-02-08 Renato Araujo Oliveira Filho

        * Parent branch merged. (113452d8)
        * Branch merged. (fee04460)
        * Does not show unread message count on compact view. (6677b5e4)
        * Does not show the participant list on message info dialog.
          (a33834a6)

2017-02-08 Tiago Salem Herrmann

        * merge parent (f13572d7)
        * call method on the right object (13323a61)
        * Improve participants screen (15f707d9)
        * merge parent (eaf7806e)

2017-02-08 Renato Araujo Oliveira Filho

        * Implement compact view for thread list. (0e8337ad)
        * Fixed sort order for timestamp sort. (ab81ceee)

2017-02-08 Tiago Salem Herrmann

        * also acknowledge messages to remove them from the indicator
          (cb578877)

2017-02-08 Renato Araujo Oliveira Filho

        * Fix currentIndex lost duing the sort order value change. (ec2da702)
        * Allow user to hide conversation icon using settings. (52ea7e15)
        * Merged 'lp:~phablet-team/messaging-app/mark_threads_as_read'
          (6463ca82)
        * Keep track of settings change for thread sort. (104a0fc0)

2017-02-07 Renato Araujo Oliveira Filho

        * Create shortcut to close info dialog. (b5d3e91f)
        * Use black timestamp. (43ea90d7)
        * Fixed info message dialog for IRC messages. (ef29f31b)

2017-02-07 Tiago Salem Herrmann

        * Mark entire threads as read when opening a channel (09163878)

2017-02-07 Renato Araujo Oliveira Filho

        * Sort threads by name when requested. (a0961968)

2017-02-06 Tiago Salem Herrmann

        * merge parent (aa8eb357)

2017-02-06 Renato Araujo Oliveira Filho

        * Implement support for option selection on settings page. (26442e65)
        * Fixed "Info" and  "forward" message, actions. (2d45e0c7)

2017-02-04 Renato Araujo Oliveira Filho

        * Show back button on "new message" screen. (f155617c)

2017-02-03 Tiago Salem Herrmann

        * Disable contact matching for accounts without any addressable field
          (d3109a12)
        * merge parent (d8957ce9)

2017-02-03 Renato Araujo Oliveira Filho

        * Disable "back" button on messages page if column === 1. (11fa6585)
        * Fixed blank messages. (ac94adcc)
        * Refactory settings page. (f4d402c5)
        * Unselect message on "settings" action. (16d392e6)

2017-02-02 Renato Araujo Oliveira Filho

        * Parent merged. (10c6136c)
        * Move focus to message field after create a new group. (e37877c1)
        * Unselect conversation on "new message" action. (e66a6878)
        * Add support for url in IRC delegate. (1b1ef6ec)
        * Show message timestamp for irc style. (9fba4c1b)
        * Make only the user nickname bold. Fix delete icon size. (7bf99bac)

2017-02-02 Tiago Salem Herrmann

        * Close channels when threads are removed (b3c319a8)
        * merge parent (6df8a655)

2017-02-02 Renato Araujo Oliveira Filho

        * Mark message as read after display it. (777579da)
        * Fine tunning on the IRC ui. (c2a566bc)
        * Update unit test. (a894384b)

2017-02-01 Renato Araujo Oliveira Filho

        * Mark messages that contains the  username in the text bold.
          (3bc06e51)
        * Merged : lp:~phablet-team/messaging-app/fix-nickname-in-bubbles
          (858fd86c)
        * Parent merged. (b7cb7a16)
        * Use message delegates based on protocol if that exists. (5333fe6b)

2017-02-01 Tiago Salem Herrmann

        * hide nickname from outgoing messages (57d72b96)
        * implement a fallback when display name is not available (69b1a4db)
        * merge trunk (e45be164)

2017-02-01 Renato Araujo Oliveira Filho

        * Fixed message sender set. (6536a77a)
        * Avoid warnings if channel is not open. (f59bd1e8)

2017-01-31 Renato Araujo Oliveira Filho

        * Parent merged. (ad44c0e9)

2017-01-30 Renato Araujo Oliveira Filho

        * Keep focus on conversation list on click event. (60824ece)
        * Move focus to next page if click on conversation. (aba5bf7a)
        * Highlight only self user nickname on messages. (54f04a2f)

2017-01-26 Renato Araujo Oliveira Filho

        * Do not show conversation contents while using keyboard navigation
          in single column mode. (ea936150)

2017-01-24 Renato Araujo Oliveira Filho

        * Parent merged. (accacfb4)
        * Use dow/up arrow to navigate on new message screen. (b9e2505f)
        * highlight participants names on message bubble. (4c108aab)
        * Parent merged. (7ee23fb0)
        * Initial implementation for visual auto-completion. (65c173e3)

2017-01-23 Renato Araujo Oliveira Filho

        * Move focus to Messages header on new message event. (06be73cd)
        * Keep focus on thread list while using arrow keys. (90dfe09c)
        * Implement username auto-completion with "tab". (1c5aa1be)
        * Merged : lp:~phablet-team/messaging-app/leave-rooms-on-close
          (b8a94d2b)
        * Allow user "enter" or "return" to confirm the new group name.
          (733510ca)

2017-01-22 Renato Araujo Oliveira Filho

        * Do not focus on messaging list when using tab navigation.
          (55dc85ce)
        * More shortcut fixes. (cadef10b)

2017-01-20 Renato Araujo Oliveira Filho

        * Fixed focus  and keyboard navigation for NewGroupPage. (a11779a3)

2017-01-19 Renato Araujo Oliveira Filho

        * Refactory MultiRecipientInput to work with keyboard navigation.
          (ff1ed6d7)
        * Force focus on listem item on app startup. (430e07bc)
        * Fix back button for Settings and New Message page. (c5adadd2)
        * Force focus on entry field if a message is selected. (81698ac4)

2017-01-19 Tiago Salem Herrmann

        * Leave room channels on close (dc521176)
        * merge parent branch (8167984a)

2017-01-19 Renato Araujo Oliveira Filho

        * Avoid crashes when changin states. (2f70f611)

2017-01-18 Renato Araujo Oliveira Filho

        * Refactory SettingsPage to work with keyboard navigation. (5c91eefd)
        * Make sure that page got focus on activation. Register "Esc"
          shortcut to go back from any page. (1110bc12)

2017-01-18 Tiago Salem Herrmann

        * merge parent branch (fb7f641c)
        * fix popover positioning (3df6d6f2)

2017-01-18 Renato Araujo Oliveira Filho

        * Draw focus border on TransparentButton if it has activeFocus.
          (e95b9c8a)

2017-01-17 Tiago Salem Herrmann

        * merge parent branch (1d45d378)
        * Change text labels and hits for the irc protocol (8945f50a)
        * merge parent branch (8c736ddf)
        * only add MMS option if phone accounts are available (2c0a659d)
        * pre select first account if no phone accounts and generic accounts
          are available (9d1f20a6)

2017-01-17 Renato Araujo Oliveira Filho

        * Define shortcuts for main actions. (041eb0f7)

2017-01-17 Tiago Salem Herrmann

        * merge parent branch (0fcaf311)

2017-01-13 Tiago Salem Herrmann

        * Add change some strings to match the protocol common terms
          (6b5acc04)
        * merge parent branch (5e8a4896)

2017-01-12 Tiago Salem Herrmann

        * Enable sending private messages (3561607d)
        * Allow rejoin only if the account is connected (ba6e331a)

2017-01-11 Tiago Salem Herrmann

        * merge parent branch (361c94f3)
        * merge parent branch (4b9360db)
        * merge parent branch (4aac7652)
        * merge parent branch (87011351)
        * merge parent branch (cd7e638d)
        * merge parent branch (437cc2ef)
        * merge settings-create-account branch (87f93c75)
        * enable rejoin button when channel isn't active (526a7c7c)

2017-01-11 Renato Araujo Oliveira Filho

        * Update settings item visual. (f061ea8b)
        * Allow create online accounts from settings page. (31f2d3b4)
        * Add an option to create a new account from settings page.
          (62c2e936)

2017-01-10 Tiago Salem Herrmann

        * merge parent branch (bdc1bc9e)

2017-01-10 Renato Araujo Oliveira Filho

        * Does not install service file. (1831bdc1)

2017-01-09 Tiago Salem Herrmann

        * Hide attachment options when requested (6ffd01b3)
        * merge parent branch (54c390a1)
        * Use our own MouseArea to track clicks as we need the mouse event
          (d1011e45)
        * merge parent branch (00519141)

2017-01-05 Tiago Salem Herrmann

        * accept event when return is pressed (c1b756b4)
        * remove changelog entry (3068cc21)
        * check for returnToSend first (893a1ad5)
        * enable return key to send messages (e01ab69f)
        * merge parent branch (6199980f)
        * always show generic accounts, even when there is only one account
          (ef140c84)
        * merge parent branch (c018c2f7)
        * merge parent branch (b4ae096d)
        * merge parent branch (622b29f6)

2017-01-04 Tiago Salem Herrmann

        * use irc instead of idle (911b9fea)
        * fix version (d7d9d16c)
        * clone trunk to a stable branch (260099f2)

2017-01-03 Tiago Salem Herrmann

        * Fix argument parsing with the messaging:number pattern (26d65555)

2016-12-21 Renato Araujo Oliveira Filho

        * [debina] Added online accounts files into debian package.
          (19ef0b44)
        * Register messaging-app on online-accounts as IRC application.
          (c011eda3)

2016-12-16 Tiago Salem Herrmann

        * Allow join existing channels (60eaea86)
        * merge staging (bdb3b1cf)

2016-12-16 Gustavo Pichorim Boiko

        * Sync with trunk (2f2dab70)

2016-12-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (91e29eb6)

2016-12-05 Renato Araujo Oliveira Filho

        * Use ubuntu-app-platform snap plugin. (5038d699)

2016-12-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a3bca182)

2016-12-02 Bileto Bot

        * Resync trunk. (4d82b852)

2016-12-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (faf4f29b)

2016-11-30 Bileto Bot

        * Releasing 0.1+17.04.20161130-0ubuntu1 (388d6ee7)

2016-11-30 Gustavo Pichorim Boiko

        * Add support for group chats. (5e317126)

2016-11-24 Bileto Bot

        * Releasing 0.1+17.04.20161124.2-0ubuntu1 (73581f51)

2016-11-24 Renato Araujo Oliveira Filho

        * Append "SNAP" path into the base application path, when that var is
          set. (LP: #1629009) (e29bf4f7)
        * QtFeedback is already present on ubuntu-app-platform. Remove
          duplicated entry 'usr/lib/*/libtelepathy-qt5.so.*'
          (55761468)
        * List files to be snaped to avoid duplicate files with
          ubuntu-app-platform (11615d99)
        * Remove deps present on ubuntu-app-platform. (9acda50a)

2016-11-23 Renato Araujo Oliveira Filho

        * Added gsettings needed plug and qtdeclarative5-gsettings1.0
          dependency (d478d6b2)

2016-11-23 Roberto Mier Escandon

        * added gsettings dependency (1e91dd58)

2016-11-22 Gustavo Pichorim Boiko

        * Make it possible to enable MMS directly from the group creation
          actions (721ea257)
        * Align function bracket (214ffd0f)
        * Make it possible to enable MMS directly from the group creation
          actions (22e9da28)
        * Fix the alignment of the subtitles, and show the chat type icon for
          groups too. (348bce9a)

2016-11-21 Gustavo Pichorim Boiko

        * Change the way validation is done when sending messages to allow
          adding more validation in the future if needed. (99ce670a)

2016-11-19 Renato Araujo Oliveira Filho

        * Use ubuntu-app-platform snap plugin. (aa677702)

2016-11-18 Gustavo Pichorim Boiko

        * Remove commented code (c92659b8)
        * Create the threads when writing SIM changes and failed messages
          (cd0fa090)
        * Make it possible to execute commands after the message is sent
          (b7ede7a5)
        * Make it possible to enable MMS support when sending messages
          (2b9b1e00)
        * Move more validations to the validator class. (068219c1)

2016-11-17 Gustavo Pichorim Boiko

        * Merge parent branch (180fd3f7)
        * Start refactoring the way we handle the validation steps for
          sending a message (fbf8b917)
        * Add threads that are not in the history filter yet. This fixes the
          case where messages won't appear after sending sms's in
          the same conversation using a different sim card.
          (3f42a746)
        * In case the message is an MMS broadcast, show a dialog asking for
          the user to confirm the operation. (b6b03213)
        * Show initials for group names (0d8fb484)
        * Warn that the user might be charged. (84b71871)
        * For broadcasts and unnamed groups show the initials of the first
          recipient or the avatar when available. (8cf5595c)

2016-11-17 Tiago Salem Herrmann

        * no need to check threads length (fa66cbd8)

2016-11-17 Gustavo Pichorim Boiko

        * Increase touch area of plus button. (01b26f2e)

2016-11-17 Tiago Salem Herrmann

        * Add threads that are not in filter yet. (af5b60f1)

2016-11-17 Gustavo Pichorim Boiko

        * Check that any of the possible account overloads is active
          (ea4b123c)

2016-11-17 Tiago Salem Herrmann

        * Increase touch area of plus button (06ee2e71)

2016-11-17 Renato Araujo Oliveira Filho

        * Convert QByteArray to QString to avoid problems with function
          signature. (36ed0f06)
        * Fix check for installed app. (06d4bad6)

2016-11-17 Gustavo Pichorim Boiko

        * If the message is properly sent, reset the composeBar (773d5bcc)

2016-11-17 Renato Araujo Oliveira Filho

        * Append "SNAP" path into the base path, when that var is set.
          (e1efbee8)

2016-11-17 Gustavo Pichorim Boiko

        * In case the message is an MMS broadcast, show a dialog asking for
          the user to confirm the operation. (271b62fd)

2016-11-14 Gustavo Pichorim Boiko

        * And get the text from the correct place now (02ec7889)
        * Show initials for group names (751e503c)
        * Refactor the single SIM test to not rely on PageWrappers (dca3750e)
        * Remove leftover debug print (7bf11aef)
        * Refactor the single SIM test to not rely on PageWrappers (c7275bb2)

2016-11-11 Gustavo Pichorim Boiko

        * Add missing mock function to fix QML test (8fe45336)
        * Add missing mock function to fix QML test (8e2c8822)
        * Replace the MMS group chat option by the Enable MMS one. (dfa4d365)

2016-11-10 Gustavo Pichorim Boiko

        * Check the account type before iterating through the overload.
          (f522a64a)
        * Revert po/ changes (1ecdb869)
        * Move plus icon to MultiRecipientWidget to avoid conflict of
          MouseAreas. (37dbf9f6)
        * One more case to check for MMS (67d29742)
        * Check if MMS is enabled before allowing to create an MMS group
          (bc1c07c3)
        * Add sanity checks around MMS being enabled (0ae92b88)

2016-11-10 Tiago Salem Herrmann

        * Move plus icon to MultiRecipientWidget to avoid MouseArea's
          conflicts (f50dee29)

2016-11-10 Gustavo Pichorim Boiko

        * Fix number of participants on main view and conversation view.
          (4040b437)
        * Show the chat type icon for groups too (12f085f1)
        * Fix subtitle alignment and reduce the space between broadcast icon
          and title (281be23a)

2016-11-10 Tiago Salem Herrmann

        * merge staging (3c03392e)
        * Fix number of participants (96f4d7d8)

2016-11-09 Gustavo Pichorim Boiko

        * Replace the MMS group chat option by the Enable MMS one. (6e80bd5f)
        * Use new writeTextInformationEvent() api. (4b6ce49d)
        * Show recipients instead of 'Group' on MMS groups. (bc874591)
        * Prevent the listview from enabling selection mode when swiping up
          from the bottom (5f8134d8)
        * Add visual representation of broadcast conversations (fe9d777b)

2016-11-09 Tiago Salem Herrmann

        * Use new writeTextInformationEvent() api (f6da4d97)

2016-11-09 Gustavo Pichorim Boiko

        * Don't highlight thread items (0ead5a1c)

2016-11-09 Tiago Salem Herrmann

        * remove blank space (28431fef)
        * Fallback to participant names if no room name is provided
          (4c6a0d63)
        * Show recipients instead of 'Group' on MMS groups (8ed9b1a9)

2016-11-09 Roberto Mier Escandon

        * disable threads view while dragging up bottomEdge component
          (d1758b60)

2016-11-08 Gustavo Pichorim Boiko

        * Prevent the listview from enabling selection mode when swiping up
          from the bottom (b370c197)
        * Fix the horizontal alignment of the text and the broadcast icon.
          (2801020b)
        * Fix the sizing of the broadcast icon. (5bf6b0f0)

2016-11-07 Gustavo Pichorim Boiko

        * Remove typo. (e83ecdd8)
        * Add visual representation of broadcast conversations (2ed3743e)

2016-11-04 Gustavo Pichorim Boiko

        * Remove the dependency on upstart so that it builds on s390x
          (12fb0ceb)
        * Change the way the message ack test works by having the messages
          view instantiated directly (0c445a9e)
        * Change the way the message ack test works by having the messages
          view instantiated directly (d95d904a)

2016-11-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e173a14d)

2016-10-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (597040d5)

2016-10-29 Gustavo Pichorim Boiko

        * Fix some references and show a notification when MMS group messages
          are not available. (6e135772)

2016-10-28 Gustavo Pichorim Boiko

        * Show a notification when MMS group messages are not possible.
          (bf8d484d)
        * Group Title, Leave and End group buttons not shown for phone
          accounts in group details (737e93ca)

2016-10-28 Roberto Mier Escandon

        * fixed MMS group showing title and leave/end group buttons
          (dca9b8ed)

2016-10-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b521fbe7)

2016-10-28 Gustavo Pichorim Boiko

        * Print at least a message in the logs saying the sim card number is
          empty (d8bb845a)

2016-10-27 Gustavo Pichorim Boiko

        * Fix some references. (0758af72)
        * Never disable mms group chat. (0937f18f)
        * Performance improvements made by Florian (dfdc69cf)

2016-10-26 Gustavo Pichorim Boiko

        * Depend on upstart to avoid building on s390x (95a92e0c)

2016-10-26 Bileto Bot

        * Resync trunk. (50ac78f7)

2016-10-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1ab92355)

2016-10-25 Gustavo Pichorim Boiko

        * Notifies group title change failure (f3754edf)

2016-10-24 Roberto Mier Escandon

        * notify-group-title-change-failure (a256812d)

2016-10-21 Tiago Salem Herrmann

        * merge performance improvement branch: list_item (bde2c8e9)
        * merge performance improvement branch (78cfb698)
        * Merge staging (8fd39d96)

2016-10-20 Bileto Bot

        * Releasing 0.1+17.04.20161020-0ubuntu1 (ff6ec0c1)

2016-10-20 Renato Araujo Oliveira Filho

        * Snap package. (7227eba8)

2016-10-19 Tiago Salem Herrmann

        * never disable mms group chats (6a6f2f37)

2016-10-19 Gustavo Pichorim Boiko

        * Update messaging-app to access and handle accounts using the latest
          telephony-service. (0e542a90)
        * Add participant info screen to group chat. (e2f52926)
        * Fix the logic for hiding the selector accounts. (37ea55ab)
        * Fix comments (bf294ea3)

2016-10-19 Tiago Salem Herrmann

        * simplifying the logic (0c07d816)

2016-10-19 Gustavo Pichorim Boiko

        * Added InformationTypeGroupGone option to draw message when group is
          dissolved. Updated text for group dissolve message and for
          message in textbox when group does not exist anymore
          (1e4bb8da)

2016-10-18 Gustavo Pichorim Boiko

        * Using sender parameter in history model to write the info event
          complete text using subjectAsAlias new role for having
          already translated recipient alias (3765834b)
        * Remove contact invitation. This feature is hold by history-service.
          (3d0abb64)
        * Show alert dialog when trying to remove the last active participant
          in a group for a Multimedia account. In this case server
          could dismantle the group when found no more active
          members (89f80f8a)
        * Removes not needed event information (ef800212)
        * Do not allow changing the group title for users that are not
          capable of doing so. (9d62f1a1)
        * Add dialog to create new group chats. (94bb3adb)
        * Remove leftover debug and add a FIXME to replace some hardcoded
          values (43740d32)
        * Remove debug leftover (e94eabc2)
        * Use the palette color instead of a hardcoded one (cb59aba2)
        * Add support for add and remove participants. (36d57c04)
        * Make it possible to delete chat rooms. (02765670)
        * Send typing notification. (39ac4868)
        * Use the new ChatEntry from telephony-service. (dd987b91)

2016-10-17 Gustavo Pichorim Boiko

        * Add a new screen to show information about groups. Also, update
          colors and bubbles. (220eef22)
        * Merge parent branch (d4027c69)
        * Initial group chat support. (65b68735)
        * Update copyright headers (c047a1fe)

2016-10-14 Florian Boucault

        * Merged startup_time_group2 (ad7a0b33)
        * MessageDelegate: cleaner attachmentsLoader (9dc28390)
        * dateUtils.js: fix switch to .pragma library (2c37863c)
        * Make sure HistoryModel.get() is called only once (9232d5a6)
        * MessageDelegate: conditionally load ContactAvatar (3411e49e)
        * MessageBubble: useless smooth, make sure parseText is quick when
          there is no text (251f54c9)

2016-10-12 Florian Boucault

        * MessageDelegate: use standard ListItem from toolkit (2bd61387)
        * More efficient conversation section headers. (5aba3b7a)
        * Fixed height of ListItemDemo (dddf192a)

2016-10-12 Renato Araujo Oliveira Filho

        * Snap package. (4b90f999)

2016-10-11 Tiago Salem Herrmann

        * merge parent branch (2d700662)
        * fix participant aliases when offline (af287912)

2016-10-11 Florian Boucault

        * Merged lp:~phablet-team/messaging-app/refactor_fallback (b988822f)

2016-10-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (23132baa)

2016-10-10 Tiago Salem Herrmann

        * Use HistoryThreadModel.ChatTypeRoom also for MMS group chats
          (0f7ef87e)

2016-10-10 Florian Boucault

        * MessageDelegate: fix incorrect reference to selectMode (00f1faac)
        * MessageDelegate: only load message status icon if necessary
          (504a0315)
        * DeliveryStatus: asynchronously load images (ccdaf289)
        * MessageBubble: ensure images are loaded only once (53b3c111)
        * MessagesListView: ensure delegate bindings are set as soon as
          possible (41e0a2b4)
        * Much smaller bubble images (ca4a2eb3)
        * Lighter dateUtils.js and ba-linkify.js (e05bdb54)
        * Merged lp:~phablet-team/messaging-app/refactor_fallback (82d9cd1b)
        * Fix selectMode (6dd184ac)

2016-10-07 Gustavo Pichorim Boiko

        * Merge parent branch (dae709d4)
        * Fix thread finding (82bea2e4)

2016-10-07 Tiago Salem Herrmann

        * fix avatar (98379c75)

2016-10-07 Gustavo Pichorim Boiko

        * Use the QList<QObject*> variants of overload and fallback functions
          (efdce72b)

2016-10-07 Florian Boucault

        * Merged lp:~phablet-team/messaging-app/refactor_fallback (3e69ef2a)

2016-10-06 Gustavo Pichorim Boiko

        * Merge parent (c83cc19f)

2016-10-06 Tiago Salem Herrmann

        * merge parent branch (0f1c6f71)
        * merge parent branch (733b9848)
        * merge parent branch (863c4843)
        * merge parent branch (3023f0bc)
        * merge parent branch (887d4e59)
        * merge parent branch (80dac603)
        * merge parent branch (91442f4e)
        * merge parent branch (96616638)
        * merge parent branch (0391d3ea)
        * merge parent branch (c15c770b)
        * merge parent branch (f9530811)
        * set paused state before composing again to avoid plugins to expire
          the previous composing signal (6ab523f9)
        * track updates to me contact (9b67c10a)

2016-10-06 Gustavo Pichorim Boiko

        * Disable test until it is fixed (d79f0f84)
        * Add some more mock methods (5e3693ab)
        * Fix some more QML errors (1279a511)

2016-10-06 Tiago Salem Herrmann

        * Get self contact from addressbook when available (fb42e1fb)

2016-10-06 Florian Boucault

        * Added missing import in ParticipantsPopover (731a9c45)

2016-10-05 Gustavo Pichorim Boiko

        * Fix the population of create group actions and also fix some other
          QML errors. (0eb1768f)
        * Fix some QML errors (ae1bd022)
        * Just reorganize things (d68f0a62)

2016-10-04 Gustavo Pichorim Boiko

        * Update messaging-app to access and handle accounts using the latest
          telephony-service. (faf05d41)
        * Update the TODO file. (ff40f805)

2016-10-04 Florian Boucault

        * Delay compiling bottom edge (2f1c6f8f)
        * Threads list: use new standard ListItem instead of custom
          ListItemWithActions: faster to instantiate and allows for
          disabling cacheBuffer (fc52ec8e)
        * Compile and instantiate threads scrollbar asynchronously (a2ac7d18)
        * Do not use inline Component for SwipeItemDemo (187b01c6)
        * Do not use inline Component for ThreadsSectionDelegate (48baa262)
        * Do not use inline Components for the empty page state (36cfbd1a)
        * Do not use inline Components for dialogs and popovers. (f324a124)

2016-09-30 Tiago Salem Herrmann

        * Add support to add new contacts from group info screeb (1ed7bf7f)
        * merge parent branch (c3003938)
        * merge parent branch (926f1b62)
        * merge parent branch (30236115)
        * merge parent branch (f6369648)
        * merge parent branch (0257b2f7)
        * merge parent branch (4a31980d)
        * merge parent branch (2220976b)
        * merge parent branch (0727ef4e)
        * merge parent branch (8449e61f)
        * merge parent branch (6e321d4c)
        * merge parent branch (f7e8bea3)
        * merge parent branch (e26cda89)
        * merge parent branch (cd4ff16a)
        * Fix message forwarding (df368357)

2016-09-29 Tiago Salem Herrmann

        * merge parent branch (b923f98e)
        * merge parent branch (bc71d91b)
        * merge parent branch (43df55cb)
        * merge parent branch (6a68b554)
        * merge parent branch (8a810738)
        * merge parent branch (32d39efc)
        * merge parent branch (13ac82af)
        * merge parent branch (cff96baf)
        * merge parent branch (b41e0fdd)
        * merge parent branch (313a6636)
        * merge parent branch (27525e80)
        * merge parent branch (075620d4)
        * merge parent branch (a0355166)
        * merge parent branch (2f13ba39)
        * merge parent branch (e55e8d72)
        * improve typing signal emission (f8e5017f)

2016-09-28 Tiago Salem Herrmann

        * fix spacing (32bda0d4)
        * add participant info screen (6af5b25a)
        * merge parent branch (7d15302e)

2016-09-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c42e64f0)

2016-09-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b082b8e5)

2016-09-20 Tiago Salem Herrmann

        * merge parent branch (a10a45cc)
        * merge parent branch (b2d78131)
        * merge parent branch (d253435d)
        * merge parent branch (bab662a9)
        * merge parent branch (3367340a)
        * merge parent branch (1f43015d)
        * merge parent branch (4462839b)
        * merge parent branch (7c6c5941)
        * merge parent branch (279f716b)
        * merge parent branch (8be8ffb8)
        * merge parent branch (68b87a26)
        * merge parent branch (59c491a9)
        * accountsForType does not work in qml, iterate over all accounts
          (2d463639)

2016-09-19 Roberto Mier Escandon

        * fixed (33fc3de7)

2016-09-16 Tiago Salem Herrmann

        * merge parent branch (e73d8a0f)
        * merge parent branch (969e8865)
        * remove wrong line (4e2d59e6)
        * merge parent branch (12696b4e)
        * merge parent branch (a5f9c4d9)
        * change messages and behavior (111a85ac)

2016-09-16 Roberto Mier Escandon

        * covered all cases for info events using history model
          subjectAsAlias role to get the recipient alias already
          translated (this avoid having in UI the identifier for
          some milliseconds) (c5eb1296)
        * set all cases for info events (b79ce456)

2016-09-15 Tiago Salem Herrmann

        * merge parent branch (32cf559a)
        * merge parent branch (50755824)
        * merge parent branch (e762caf3)
        * merge parent branch (bb90593f)
        * merge parent branch (31e76730)
        * Avoid changing threads in messages or filters will be generated on
          every change to the model (e523ae14)
        * merge parent branch (3d1740e4)
        * merge parent branch (b4692c5b)
        * merge parent branch (c687cd3b)
        * merge parent branch (f5d2735d)
        * merge parent branch (a8c74da8)
        * Disable compose bar on inactive groups (6a859ec9)
        * merge parent branch (e47fd7ff)
        * merge parent branch (ac502f7f)
        * merge parent branch (0575d57c)

2016-09-15 Roberto Mier Escandon

        * removed invitation information event adding for new group members.
          This will be added by history-service (62560a33)
        * merged prereq branch (77ec19fe)
        * merged prereq branch (93739330)
        * fixed case of title change without actor (8af3fa56)
        * added warning dialog when trying to remove last active participant
          in group (1d6aa426)

2016-09-14 Roberto Mier Escandon

        * merged parent branch (9fe3614e)
        * added HistoryThreadModel.InformationTypeSelfKicked (27546d76)
        * include actor in group title message (ebd2a2bc)

2016-09-12 Tiago Salem Herrmann

        * merge parent branch (d1563dd8)
        * merge parent branch (31e12e72)
        * merge parent branch (5224ec03)
        * Add self contact to participants list (5f73d901)

2016-09-09 Tiago Salem Herrmann

        * merge parent branch (9210022b)
        * merge parent branch (6d4fd7ee)
        * merge parent branch (789d670a)
        * Handle information event with new api (150011fe)

2016-09-08 Tiago Salem Herrmann

        * merge parent branch (c5270136)
        * merge parent branch (acaed7bc)
        * merge parent branch (13bd7013)
        * Do not display leave button for admins (87e17a3d)
        * merge parent branch (235ce356)
        * merge parent branch (778edea4)
        * merge parent branch (2ba05b13)
        * merge parent branch (bd8b5bcb)
        * merge parent branch (e4126c11)
        * merge parent branch (37f6ed23)
        * merge parent branch (d7bd6d4b)
        * merge parent branch (97d68b11)
        * merge parent branch (fed6da16)
        * Do not mark messages as read if view is not active (9d6c3525)
        * merge parent branch (d7981b44)
        * merge parent branch (545a5f15)
        * merge parent branch (8073085e)
        * merge parent branch (0c5c6fca)
        * merge parent branch (c9504f97)
        * merge parent branch (60e66480)
        * merge parent branch (b6e38cd9)
        * merge parent branch (1d32fa0b)
        * merge parent branch (92e75fb9)
        * merge parent branch (ba1f37b5)

2016-09-06 Roberto Mier Escandon

        * disable edit group title button if updateConfiguration flag is set
          to false (a87aa138)

2016-09-05 Roberto Mier Escandon

        * graying remote pending. Disable action list for pending (5fd220e3)

2016-09-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ff455b62)

2016-09-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (468451b2)

2016-09-02 Roberto Mier Escandon

        * removed bad message when kicking somebody from group (37f93506)

2016-08-31 Bileto Bot

        * Releasing 0.1+16.10.20160831-0ubuntu1 (591a4017)

2016-08-31 Pat McGowan

        * The character count logic is much more complex and needs to account
          for escape characters and different encoding schemes that
          change the counts. For now this hides the elements that
          were added. Anyone who turned it on will no longer see
          them. (LP: #1618917) (53b4dde3)
        * Revert character count option and display (cc2df2d3)

2016-08-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2c7aef24)

2016-08-30 Tiago Salem Herrmann

        * merge parent branch (4d0121ca)
        * adapt api (4475bed9)

2016-08-29 Tiago Salem Herrmann

        * merge parent branch (7bc553a9)
        * add button to leave chat (a87d4cb2)
        * merge parent branch (27f4b43d)
        * use group flags to determine capabilities of self user (3944fe61)

2016-08-26 Gustavo Pichorim Boiko

        * Disable the edit button when can't edit (2c54fde8)

2016-08-26 Tiago Salem Herrmann

        * merge parent branch (2316eea7)
        * refactor participants management (8fc66b3a)

2016-08-25 Tiago Salem Herrmann

        * More visuals update. New contact search on group info. Display
          Roles in the group info. (3318d499)

2016-08-24 Gustavo Pichorim Boiko

        * Do not allow changing the group title for user that are not capable
          of doing so (b2c3d32d)

2016-08-24 Tiago Salem Herrmann

        * merge trunk (8e70a5c1)
        * merge trunk (1f73ebba)
        * merge trunk (dd905dd4)
        * merge trunk (f3411255)
        * merge trunk (102b69b0)
        * merge trunk (d4cb1751)
        * merge trunk (b626767e)

2016-08-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d07178e9)

2016-08-23 Bileto Bot

        * Resync trunk. (6a53cb1c)

2016-08-23 Tiago Salem Herrmann

        * update visuals per spec (3016b34d)

2016-08-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (565083c3)

2016-08-19 Tiago Salem Herrmann

        * update visuals per spec (0f858c15)

2016-08-19 Bileto Bot

        * Releasing 0.1+16.10.20160819-0ubuntu1 (f0a15c01)

2016-08-19 Tiago Salem Herrmann

        * Share text only if there is no url in the content-hub transfer.
          (LP: #1613338) (cbb85a4d)

2016-08-19 Devid Antonio Filoni

        * Preserve empty lines and leading spaces. (LP: #1366592) (9c60c735)

2016-08-19 Pat McGowan

        * This adds support for showing the current character count and
          number of messages to be sent via SMS. It includes a new
          label on top of the text area showing number of characters
          / 160 (number of messages). It is shown once the message
          is over 1 line in length, per other systems. A new
          settings option is added to enable the feature which is
          off by default. Emojis are counted as two characters. I
          did not test with multibyte character sets but expect that
          QML TextArea does the correct thing. See lp:1278790 (LP:
          #1278790) (2327dffc)

2016-08-16 Tiago Salem Herrmann

        * Only share text if there is no url in the content-hub transfer
          (a7392453)

2016-08-13 Devid Antonio Filoni

        * qml/MessageBubble.qml: wrap text in a div to keep whitespaces and
          new lines from collapsing (LP: #1366592) (3248a3c0)

2016-08-12 Pat McGowan

        * add a space per mockup (c5a6e483)

2016-08-12 Tiago Salem Herrmann

        * merge parent branch (ad398bfd)
        * merge parent branch (9ef95e2e)
        * merge parent branch (b80d3f4d)
        * merge parent branch (e78afe82)
        * merge parent branch (1e61f344)
        * merge parent branch (3d561ca6)
        * merge parent branch (20f1f19c)
        * set thread id correctly in Messages.qml (d463e083)

2016-08-12 Pat McGowan

        * Match UX design specs, don't show the 160 limit, move to lower
          right, always show the message count (6e4958c8)

2016-08-11 Tiago Salem Herrmann

        * disable create button when creation is in progress (2f78bbf4)

2016-08-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ed5cd6ff)

2016-08-05 Tiago Salem Herrmann

        * use service display name (0b419cf6)

2016-08-04 Tiago Salem Herrmann

        * fix errors caused by merge from trunk (1fefe7b1)
        * merge parent branch (b600552d)
        * merge parent branch (c96494bf)
        * merge parent branch (cfe58965)
        * merge parent branch (d9004ef1)
        * merge parent (a4a2e471)
        * merge parent branch (d588ce82)
        * merge parent branch (20bc2cdf)

2016-08-04 Gustavo Pichorim Boiko

        * Remove obsolete APL stuff (94f5c473)
        * Merge parent (b88a801a)
        * Merge bottom edge and AdaptivePageLayout fixes (17d35ac4)
        * Merge trunk (924db82f)

2016-08-04 Tiago Salem Herrmann

        * hide group name entry for mms groups (4e1a8c89)

2016-08-04 Pat McGowan

        * MMS needs to be translated (691bd811)
        * cleanup (b3737479)
        * Indicate when using MMS, show partial composition with italics,
          only show message count when more than 1 (0cdbee6a)

2016-08-03 Pat McGowan

        * Add option to display SMS character and message count (bc24c3a7)

2016-08-03 Tiago Salem Herrmann

        * hide header on single sim devices (9a07b907)

2016-08-02 Tiago Salem Herrmann

        * remove back button (764272cf)
        * fix accountId (fc7d6389)
        * - Check conectivity before triggering the new group chat view -
          improve visuals (f8911e5b)

2016-08-01 Tiago Salem Herrmann

        * Make contact serach expansible (ecc1bdc5)

2016-07-29 Bileto Bot

        * Releasing 0.1+16.10.20160729.1-0ubuntu1 (269d4760)

2016-07-29 Gustavo Pichorim Boiko

        * Do not use bottom edge when in two columns mode and preserve the
          views when alternating between one and two columns. (LP:
          #1599184) (0eaf9487)
        * Now that AdaptivePageLayout supports loading pages synchronously
          and that the memory management bugs are fixed, remove the
          workarounds from the app. (b7aea012)
        * Disable failing tests. (f6c1708b)

2016-07-28 Gustavo Pichorim Boiko

        * Make sure the recipients field gets focused when opening bottom
          edge (8cbd200d)
        * Fix all cases for showing the new conversation entry (e9fdc2f3)

2016-07-25 Gustavo Pichorim Boiko

        * Merge parent (c5fe6734)
        * Merge parent (16b37d9d)
        * Update the new message status. (3765d9f2)

2016-07-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (74ce1fba)

2016-07-23 CI Train Bot

        * Resync trunk. (3f5d19d6)

2016-07-22 Gustavo Pichorim Boiko

        * Fix displaying the new message item. (dbe3e0cc)
        * Preload the bottom edge page to avoid visual glitches. (e9899d61)

2016-07-22 Tiago Salem Herrmann

        * General improvements to the new group chat screen (3b8f8b4c)

2016-07-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4d0761c6)

2016-07-21 Tiago Salem Herrmann

        * first round of changes to match the design spec (c91c7367)

2016-07-21 Gustavo Pichorim Boiko

        * Fix QML tests (02ab1f71)

2016-07-21 Bileto Bot

        * Releasing 0.1+16.10.20160721-0ubuntu1 (dd9c9a64)

2016-07-21 Renato Araujo Oliveira Filho

        * Register app as "destination" for "contacts", "pictures", "links",
          "text", "videos"; (131d5c4c)

2016-07-21 Gustavo Pichorim Boiko

        * In one column, don't show empty state (c060e398)
        * Merge parent (b75e33bb)
        * Fix height (3e650e5b)
        * Do not destroy the bottom edge instance in two columns, instead
          just make it disabled. (94b0b2c8)
        * Merge trunk (fc4fe0a9)
        * Clip the Flickable. (be3e5b99)
        * SDK's page wrapper doesn't set the QObject parent property on
          pages, so we can't rely on QObject::findChild(), use the
          QQuickItem::childItems() instead. (1445cc80)
        * Remove custom back button, not needed anymore (f2b0a8bb)

2016-07-21 Tiago Salem Herrmann

        * merge parent branch (0c3484da)
        * merge parent branch (ab643341)
        * merge parent branch (c1b00e36)
        * merge parent branch (e95401f9)
        * merge parent branch (cc769502)
        * merge parent branch (9f4872eb)
        * merge parent branch (d7476e3b)
        * force filter generation even when no threads are passed (3ea74246)
        * Update pot file. (5e9a315e)

2016-07-20 Gustavo Pichorim Boiko

        * Remove the input info, it was never really implemented and is
          obsolete by now. (90d7c4cf)
        * Remove the custom back action, we don't need it anymore. (dce90e92)
        * Remove obsolete function (f9984f30)
        * Merge parent branch (ab9214f4)
        * Start changing the bottom edge behavior (7bc4a0cc)
        * merge async_bottom_edge branch (02163636)

2016-07-19 Gustavo Pichorim Boiko

        * Fix loading the contacts pages and remove one obsolete function.
          (fe9d58c6)

2016-07-18 Gustavo Pichorim Boiko

        * Now that AdaptivePageLayout supports loading pages synchronously
          and that the memory managemente bugs are fixed, remove the
          workarounds from the app. (4c566084)

2016-07-18 Bileto Bot

        * Releasing 0.1+16.10.20160718-0ubuntu1 (831bb3ed)

2016-07-18 Florian Boucault

        * Fix packaging for crossbuilding. (4e85f164)
        * Always load MessagingBottomEdge asynchronously. Saves around 1000ms
          at startup. (94586540)

2016-07-15 Renato Araujo Oliveira Filho

        * handle 'onImportRequested'. (513b61ad)
        * Register app as "destination" for "contacts", "pictures", "links",
          "text",  "videos"; (cf2961c9)

2016-07-14 Florian Boucault

        * Conditionally install build dependencies only used for testing.
          (516f251e)

2016-07-13 Bileto Bot

        * Releasing 0.1+16.10.20160713.1-0ubuntu1 (27a6cb86)

2016-07-13 Tiago Salem Herrmann

        * Improve error messages. Inform users the real reason why messages
          are failing to get sent. (f66cf3fd)
        * try to fix tests (8e75c083)
        * Improve error messages (56e35c12)

2016-07-12 Florian Boucault

        * Merged from trunk (53b40b04)
        * Document queuing behaviour (d663b16c)

2016-07-11 Gustavo Pichorim Boiko

        * Use the newly defined timestamp role from the threads model.
          (897e3b46)

2016-07-11 Tiago Salem Herrmann

        * merge parent branch (f474052a)
        * merge parent branch (96fd9d0d)
        * merge parent branch (e47f55b8)
        * merge parent branch (fb3d6879)
        * merge parent branch (607e3e65)
        * merge parent branch (19f0cedb)
        * force filter generation even when no threads are passed (c94162ac)

2016-07-11 Florian Boucault

        * Simplified bottom edge queue (97d0a279)
        * ensure that bottomEdge is set only when a single instance exists
          (0b9e1ab7)
        * more robust tests (fbcd265b)

2016-07-08 Tiago Salem Herrmann

        * do not show number of participants as Room title (9d9b58e2)

2016-07-08 Florian Boucault

        * reverted latest commit (a45a1268)

2016-07-08 Tiago Salem Herrmann

        * merge parent branch (08af849f)
        * merge parent branch (83e62e12)
        * merge parent branch (f6959fce)
        * merge parent branch (2a03c76b)
        * merge parent branch (0035dccc)
        * merge parent branch (8ee57f1a)
        * merge parent branch (625ca6ff)
        * Remove string that's not used (79d088a9)
        * merge parent branch (75d59786)

2016-07-08 Florian Boucault

        * reverted latest commit (2bed47a4)

2016-07-08 Gustavo Pichorim Boiko

        * Fix displaying messages in empty groups. (2e96fba3)

2016-07-08 Florian Boucault

        * Clear the reference to the bottomEdge in the main page if it about
          to be destroyed. (506e5dd3)
        * Do not show an empty page if we know another page will be loaded
          right after (7241d4a3)
        * Do not call emptyStack too often as it is slower (c5920ff2)
        * Revert delaying QML compilation as it triggers a bug in QtQuick
          (b3a01491)

2016-07-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b3f9a7cd)

2016-07-08 Tiago Salem Herrmann

        * notify is group creation fails (c79d4672)
        * Open conversation view after chat is created (e159d6c0)

2016-07-07 Tiago Salem Herrmann

        * Add dialog to create new group chats (b2af1bd7)
        * merge parent branch (cbd95073)

2016-07-06 Gustavo Pichorim Boiko

        * Make sure we update participants on group chat info page when they
          accept the invitation. (2fa02e52)

2016-07-06 Florian Boucault

        * Merged lp:~osomon/messaging-app/python3-flake8 (e73b3963)
        * Do not run tests on s390x architecture. (ed9c9968)
        * Merged from trunk (cdbb6a99)

2016-07-06 Gustavo Pichorim Boiko

        * Merge parent (db8dca4d)
        * Use participants from ChatEntry. (7c68827e)
        * Merge parent (efc9094a)
        * Merge parent (2871a526)
        * Merge parent (d2e1e488)
        * Merge parent branch (7dfc587d)
        * Remove obsolete code. (8af0c4f7)
        * Merge trunk. (e26c9fe1)

2016-07-05 Florian Boucault

        * Fix packaging for crossbuilding. (3009676b)

2016-07-01 Gustavo Pichorim Boiko

        * Remove divider. (ef217255)
        * Use the participants from the messages view. (12dcddfc)

2016-06-30 Gustavo Pichorim Boiko

        * Share the eventModel from the messages view. (28d53aa4)
        * Switch to use new ListItem with layouts. (77b1deaa)
        * Fix crop in attachments. (cfdcbc84)
        * Merge parent (b33b303c)
        * Move the delete button to the bottom of the screen per design.
          (441b54a5)
        * Merge parent (2e7ef877)
        * Merge parent (ec5260cf)
        * Merge parent (d615ac77)
        * Update the title correctly. (f286e89a)
        * More design fixes. (85161ff5)

2016-06-30 Bileto Bot

        * Releasing 0.1+16.10.20160630-0ubuntu1 (5a6ce78f)

2016-06-30 Tiago Salem Herrmann

        * Implement support for message forwarding. (LP: #1461873) (972795cf)

2016-06-29 Gustavo Pichorim Boiko

        * Merge parent branch. (47de56d9)

2016-06-29 Tiago Salem Herrmann

        * merge parent branch (ae6544b0)
        * merge parent branch (38d18a1b)
        * merge parent branch (7f330c2d)
        * merge parent branch (1335eb41)
        * merge parent branch (e82d3517)
        * rename variable (a8b08d58)

2016-06-29 Gustavo Pichorim Boiko

        * Update message bubble delegates according to the spec. (ce188a0f)

2016-06-29 Tiago Salem Herrmann

        * use transfer to set the initial text (08b9339a)
        * Check if voice memo was manually recorded to display the playback
          bar (b07725e0)

2016-06-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5d2e2547)

2016-06-28 Tiago Salem Herrmann

        * add support for forwarding multiple messages (1da7ee65)
        * implement initial support for messages forward (97003795)

2016-06-28 Gustavo Pichorim Boiko

        * Move the add participant button to the same row as the label.
          (4d6fedc7)

2016-06-28 Olivier Tilloy

        * Fix makefile syntax. (5884a141)
        * Merge the latest changes from trunk and resolve a conflict.
          (eafeef50)

2016-06-27 Tiago Salem Herrmann

        * merge parent branch (4b59e9c5)
        * merge parent branch (c747b091)
        * add contact name to typing notification (6a1585b9)
        * merge parent branch (fd4513a7)
        * merge parent branch (a7ef91ab)
        * merge parent branch (28cea69e)
        * merge parent branch (3964428a)
        * merge parent branch (38a98219)
        * fix spacing between messages (3db0e4e3)
        * merge parent branch (292c0323)
        * merge parent branch (ceb29394)
        * merge parent branch (bf305fa1)
        * merge parent branch (fd0db5f9)
        * merge parent branch (98b48a65)
        * fix typo in delegate file name (66f8e13a)
        * merge parent branch (7420d5b6)
        * merge parent branch (8e0e57d3)
        * fix typing notification (1d11be65)
        * merge parent branch (78467bf9)
        * merge parent branch (44e46b1e)
        * merge parent branch (cffae6ef)
        * merge parent branch (09ef4e49)
        * merge parent branch (eac775e5)
        * merge parent branch (4bda2e2d)

2016-06-24 Florian Boucault

        * showBottomEdgePage(): support case when bottom edge is not loaded
          yet. (15bc752e)

2016-06-24 Bileto Bot

        * Releasing 0.1+16.10.20160624.1-0ubuntu1 (7cb7bbeb)

2016-06-24 Tiago Salem Herrmann

        * Don't run tests when cross compiling and don't use xvfb. (b3290d4d)
        * Avoid text overlap in the main view. (LP: #1582630) (a84912b0)

2016-06-24 Michael Terry

        * Center contact name in the page header. (LP: #1547581) (4b31cd24)

2016-06-24 Gustavo Pichorim Boiko

        * Update colors, sizes and message bubbles to the latest spec. (LP:
          #1581206) (90883a91)

2016-06-24 Tiago Salem Herrmann

        * merge trunk (46813168)

2016-06-24 Gustavo Pichorim Boiko

        * Merge trunk. (b40cf402)

2016-06-23 Gustavo Pichorim Boiko

        * Fix alignment (1380cab7)

2016-06-22 Olivier Tilloy

        * Fix build dependency: flake8 doesn’t exist in vivid. (8d5a7c99)

2016-06-21 Bileto Bot

        * Releasing 0.1+16.10.20160621.4-0ubuntu1 (9c91bbf7)

2016-06-21 Renato Araujo Oliveira Filho

        * overwrite "applicationId" used by online accounts. (LP: #1583014)
          (f0921ada)
        * Make sure that the placeholder text is visible for Contact Editor
          Page. (LP: #1592422) (195afe20)
        * Fixed rules syntax. (29491823)
        * Skip tests for arch arm64 due bug #1585942 (d02a5809)

2016-06-20 Renato Araujo Oliveira Filho

        * Use the correct APP ID. (b690758e)
        * Update application id the same used on uri handler. (31d9ed6d)
        * overwrite "applicationId" used by online accounts. (ee31f660)
        * Make sure the place holder text is visible for Contact Editor Page.
          (784ada1e)

2016-06-17 Tiago Salem Herrmann

        * add temporary workaround (aac83d2a)

2016-06-16 Tiago Salem Herrmann

        * merge parent branch (750d0590)
        * merge parent branch (378ac1cf)
        * merge parent branch (ead7bfe9)
        * merge parent branch (68bea07b)
        * merge parent branch (7a7dc71b)
        * merge parent branch (a12339f2)
        * merge parent branch (22a075a0)
        * merge parent branch (405f4c6d)
        * Add support for adding and removing participants (f9058ebe)

2016-06-16 Gustavo Pichorim Boiko

        * Show notifications when deleting groups. (8ead9d42)

2016-06-15 Gustavo Pichorim Boiko

        * Fix adding new threads to the filter. (3a388fb3)

2016-06-14 Tiago Salem Herrmann

        * merge parent branch (65310aa4)

2016-06-14 Florian Boucault

        * Do not expect mainView.bottomEdge to be valid from the start.
          (d6d31dfb)
        * Delay QML compilation too (1f6bb74b)
        * Always load MessagingBottomEdge asynchronously. (3b426ec8)

2016-06-14 Gustavo Pichorim Boiko

        * OSK does not emmit onEnterPressed, so use onAccepted (63919490)

2016-06-13 Gustavo Pichorim Boiko

        * Make it possible to rename groups. (265c6e10)

2016-06-08 Gustavo Pichorim Boiko

        * Make it possible to delete chat rooms (0337806d)

2016-06-08 Tiago Salem Herrmann

        * remove also ppc64le from tests (6d35519f)
        * try another arch string (5017493f)
        * don't run tests on arm64 and ppc64 (985bfe07)
        * fix variable name (34517168)
        * add xvfb back, as it is still needed (09dceae1)
        * add xvfb back (2b7b6c59)
        * Don't run tests when cross compiling and don't use xvfb (0c224f85)

2016-06-07 Tiago Salem Herrmann

        * fix delivery reports into chats (4eb030db)
        * do not show online status of multimedia accounts (3576e0e2)
        * merge parent branch (dc55c26e)
        * Avoid text overlap in the main view (60ac1fd8)

2016-06-06 Tiago Salem Herrmann

        * update mock in qml tests (3052f081)
        * Send typing notification (b51b20c9)

2016-06-06 Gustavo Pichorim Boiko

        * Try multiple times to find the messages view as in some cases it
          takes a bit longer to create. (bf0691c6)

2016-06-06 Tiago Salem Herrmann

        * Fix qml tests (ac45b8be)

2016-06-03 Tiago Salem Herrmann

        * Fix incoming mms bubble anchors (d2ad4571)

2016-06-01 Gustavo Pichorim Boiko

        * Remove some debug. (a3576c2d)
        * Merge parent (41ac5a3a)
        * Use the new ChatEntry from telephony-service. (004567ac)
        * Merge parent. (ec27e1db)

2016-06-01 Tiago Salem Herrmann

        * set chatType before sending to history (c50af58d)

2016-06-01 Gustavo Pichorim Boiko

        * Update per design changes. (caa958aa)

2016-05-31 Tiago Salem Herrmann

        * fallback chatType to Contact when needed (216f45ef)

2016-05-31 Gustavo Pichorim Boiko

        * Update some more designs per review. (0a8d1ab4)

2016-05-30 Gustavo Pichorim Boiko

        * Merge parent branch (b5d36b47)

2016-05-30 Michael Terry

        * Center contact name in header (fa99a835)

2016-05-30 Tiago Salem Herrmann

        * Use new api to ack messages (4700e615)

2016-05-24 Tiago Salem Herrmann

        * merge parent trunk (249154f7)
        * check if chatType was set (719e97c1)
        * merge parent trunk (f63aec0e)
        * set watermark correctly (9bb81e0d)

2016-05-23 Tiago Salem Herrmann

        * merge parent branch (a5baae49)
        * don't use the workaround if not a rcs group chat (e30d65f3)
        * merge parent branch (e3902137)
        * use macros (e326613e)
        * fix typo (1b34cf07)
        * fix typo (ef03d4d2)
        * fix typo (a7624ef8)

2016-05-23 Gustavo Pichorim Boiko

        * Fix refresh icon. (be519a47)
        * And a few more color changes. (96d19d1e)
        * Update the bubble assets without the pointing arrow (507dc2b1)
        * Update font colors and sizes. (5d97790b)

2016-05-20 Tiago Salem Herrmann

        * Use first thread to appear as filter (214db605)

2016-05-20 Gustavo Pichorim Boiko

        * In 1-1 chats started via multimedia accounts, still show the SIM
          selector, because if the multimedia account is offline, we
          should use regular SMS as a fallback, and thus need to
          select which SIM to use. (e04d0c4a)
        * Fix packaging. (71504a90)
        * Merge parent branch (f909ab65)
        * Fix some more colors and sizes. (396a0f19)
        * Fix installation of the attachment delegates and cleanup unused
          stuff. (b1c0b8e7)

2016-05-16 Gustavo Pichorim Boiko

        * Update copyright headers. (17a31419)

2016-05-15 Gustavo Pichorim Boiko

        * Replace bubbles by the new ones without pointing arrows (c84f661c)
        * Add one extra divider to match specs. (9a2966a5)
        * Uncomment visibility of components and fix header positioning.
          (1d34df75)
        * Implement the participant delegate according to designs. (4d5998c7)

2016-05-13 Gustavo Pichorim Boiko

        * Start implementing the group chat details view. (64b255c6)
        * Start updating the color schemes in messaging-app. (b5dba2b8)

2016-05-13 Tiago Salem Herrmann

        * don't fallback for multimedia group chats (30dd2c98)

2016-05-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (015d5603)

2016-05-09 Tiago Salem Herrmann

        * use new api on qml tests (9ef99d53)
        * track presence of all participants (87f9ebc1)
        * merge trunk (c3df27d3)

2016-05-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (98b0dada)

2016-05-06 Tiago Salem Herrmann

        * request presence of participants manually typed (4d0d4d83)
        * fix test name (f4170343)
        * merge trunk (1e99f7c8)

2016-05-06 CI Train Bot

        * Releasing 0.1+16.04.20160506-0ubuntu1 (f7561afd)

2016-05-06 Tiago Salem Herrmann

        * Do not pre-select sim 1. Prompt users to select one instead.
          Fixes:
          #1571686 (8665a125)
        * update sim card when default sim changes (f6a3e57b)

2016-05-05 Tiago Salem Herrmann

        * use waitForRendering() instead of wait() (eaf2df23)
        * increase wait time (93094129)
        * fix case for single sim devices and add tests (efdeda47)

2016-05-04 Tiago Salem Herrmann

        * add tests (11bad865)
        * Do not pre-select sim 1. Prompt users to select one instead
          (44b51ac1)

2016-05-04 CI Train Bot

        * Releasing 0.1+16.04.20160504-0ubuntu1 (547af8b7)

2016-05-04 Tiago Salem Herrmann

        * Do not use bindings on sections model to avoid the index getting
          reset.
          Fixes: #1571686 Approved by: Gustavo Pichorim Boiko
          (11c65b0a)

2016-05-02 Tiago Salem Herrmann

        * fix tests (9fe35413)
        * dismiss swipe demo if displayed (c2e36691)
        * add missing copyright headers (cdc46780)
        * add qml test (0dd97433)

2016-04-29 CI Train Bot

        * Releasing 0.1+16.04.20160429-0ubuntu1 (acf3e097)

2016-04-29 Gerry Boland

        * Tweaks to support dynamic grid units better: MainView implicit
          sizing and min/max size change on GU update (3bdbc3a3)

2016-04-29 Tiago Salem Herrmann

        * change logic of startChat() (ff9665d6)

2016-04-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0426c8cd)

2016-04-28 Tiago Salem Herrmann

        * dont use binding on sections model to avoid the index getting reset
          (6cc12e75)

2016-04-27 Tiago Salem Herrmann

        * reuse thread properties (83449624)

2016-04-26 Tiago Salem Herrmann

        * rename variables (c7858d4c)
        * fix other places calling startChat (701fc8ed)
        * fix qml test (1d1263a2)

2016-04-25 Gustavo Pichorim Boiko

        * Fix the Attachment delegate QML test. (f7706fec)

2016-04-25 Tiago Salem Herrmann

        * pass participantIds into participants for the query (946f8e92)

2016-04-21 CI Train Bot

        * Releasing 0.1+16.04.20160421-0ubuntu1 (389147e1)

2016-04-21 Renato Araujo Oliveira Filho

        * Fixed vcard preview header.
          Fixes: #1572758 (f50fec2d)
        * Fixed vcard preview header. (f01df9a0)

2016-04-20 Tiago Salem Herrmann

        * Initial change of signature of startChat() (0e74f4ee)

2016-04-20 Gustavo Pichorim Boiko

        * Rename the attachment delegates: they are not specific to MMS
          anymore. (8ef96d87)

2016-04-20 Michał Sawicz

        * Merge trunk (7ad769dc)

2016-04-19 Tiago Salem Herrmann

        * expose chatRoomInfo to qml (5079445f)

2016-04-19 Gustavo Pichorim Boiko

        * Start refactoring the message delegates to make them more generic.
          (5cf08d49)

2016-04-18 Tiago Salem Herrmann

        * Display room name instead of participants for group chats
          (965b749b)
        * Show participant name on group chat (386b5bb6)

2016-04-15 Tiago Salem Herrmann

        * Initial group chat support (48936035)

2016-04-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cfdc0454)

2016-04-12 CI Train Bot

        * Resync trunk. (68554e27)

2016-04-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (596516d0)

2016-04-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3d97d67f)

2016-03-28 CI Train Bot

        * Releasing 0.1+16.04.20160328-0ubuntu1 (167331d3)

2016-03-28 Tiago Salem Herrmann

        * Move properties from gsettings to accounts service,
          Fixes: #1418040
          (1f0061d8)

2016-03-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (74b68c0a)

2016-03-25 CI Train Bot

        * Resync trunk. (60b1ce75)

2016-03-24 Tiago Salem Herrmann

        * fix flake8 on vivid (1ca8f227)
        * fix flake8 (c7ef58be)
        * merge trunk (2e9141eb)
        * fix autopilot test (dcb5e2c6)

2016-03-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8ff28b74)

2016-03-23 CI Train Bot

        * Releasing 0.1+16.04.20160323-0ubuntu1 (dfdd4b02)

2016-03-23 Tiago Salem Herrmann

        * Use new flag defined to set fullscreen with convergence mode
          (60896ae5)
        * Hide header when previewing mms full screen. (227b002a)
        * use macro while we don't have a proper enum name (5c13ab66)
        * merge trunk (7840f290)

2016-03-22 Tiago Salem Herrmann

        * merge trunk (26fa7942)

2016-03-18 Tiago Salem Herrmann

        * Hide header when previewing mms full screen (b249e3dd)

2016-03-17 CI Train Bot

        * Releasing 0.1+16.04.20160317.2-0ubuntu1 (19c3d48b)

2016-03-17 Ken VanDine

        * Bump Ubuntu.Content import to 1.3 to fix theme issue
          Fixes:
          #1554621 (38ed22b0)

2016-03-17 Gustavo Pichorim Boiko

        * Hide and disable the Section object when it is not in use.
          (e6d9f568)
        * Fix handling of header sections. (d5dcd378)
        * Keep the "New conversation" header action visible all the time.
          Approved by: Tiago Salem Herrmann (203cb614)

2016-03-17 Tiago Salem Herrmann

        * Fix active focus management of multi recipient component.
          Fixes:
          #1555146 (e2addcce)

2016-03-17 Gustavo Pichorim Boiko

        * Do not display the "new conversation" item when in single panel as
          this makes the header scroll. Approved by: Tiago Salem
          Herrmann (399d1c75)

2016-03-17 Tiago Salem Herrmann

        * Show notification when the the record icon is only clicked.
          Approved by: Gustavo Pichorim Boiko (b97af586)
        * Animate microphone icon only while recording.
          Fixes: #1548696
          Approved by: Gustavo Pichorim Boiko (7a691983)

2016-03-17 Gustavo Pichorim Boiko

        * Fix sharing data from other apps. (b4886b34)

2016-03-17 Tiago Salem Herrmann

        * - Fix some memory leaks - Use another approach to decide when to
          display the empty state view - Avoid removing pages when
          resizing the AdaptivePageLayout
          Fixes: #1549352 Approved
          by: Gustavo Pichorim Boiko (d28b39e0)
        * only display 2 columns when width > units.gu(90) (344443a1)
        * merge trunk (a6b877ae)
        * Fix osk focus on new message screen (898ec412)
        * force destroy previewer views (7b55a4ad)

2016-03-16 Gustavo Pichorim Boiko

        * Adapt to parent branch. (239fd637)
        * Merge parent branch. (083790ab)
        * Fix a reference error. (99bc10cc)
        * Fix sharing data from other apps. (3b0672c5)
        * Update copyright header. (21ba8f26)
        * Fix more head sections handling. (b7d46862)
        * Fix switching between all and favorite contacts. (018a760d)

2016-03-16 Ken VanDine

        * Bump Ubuntu.Content import to 1.3 to fix theme issue (2db1dbab)

2016-03-15 Tiago Salem Herrmann

        * avoid redundant call (0a966593)
        * add 1ms delay to destroy (bdb97726)
        * fix id of item (599ea122)
        * remove settings page from the stack (ab689391)
        * destroy is asynchronous, so change the objectName (c03264a4)

2016-03-15 Gustavo Pichorim Boiko

        * Do not show the selection if no keyboard attached. (9a05768a)

2016-03-15 Tiago Salem Herrmann

        * move properties from gsettings to accounts service (6cebdfaf)

2016-03-15 Gustavo Pichorim Boiko

        * Invert the order of the deps. (62de837b)
        * flake8 is in its own package in xenial, fix the build dep
          accordingly. (540498dd)
        * Keep the "New conversation" header action visible all the time.
          (2f6d2178)

2016-03-14 Gustavo Pichorim Boiko

        * Hide and disable the Section object when it is not in use.
          (10559616)

2016-03-11 Tiago Salem Herrmann

        * focus: true is breaking an internal binding (41e9a20d)

2016-03-10 Tiago Salem Herrmann

        * reimplement findChild() to avoid test failure (9d7767cf)
        * use a different name to avoid collision (dc71457e)
        * avoid name collision (3918edfc)
        * fix active focus management of multi recipient component (37d03c7f)

2016-03-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (db2f4497)

2016-03-08 CI Train Bot

        * Releasing 0.1+16.04.20160308-0ubuntu1 (84a61896)

2016-03-08 Tiago Salem Herrmann

        * Use sequential animation for transition between send and microphone
          icons. (4b3c022c)
        * - Increase microphone icon size on AudioRecordingBar - Increase
          font size of recording elapsed time label on
          AudioRecordingBar (9025ca9a)
        * increase icon size (5d990bb6)
        * increase timer font size (600c266a)

2016-03-07 Tiago Salem Herrmann

        * Use sequential animation for transition between send and mic icons
          (2a51c8f6)
        * revert patch (34b1dded)
        * increase icon size when pulsating (23f63188)

2016-03-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4ef52776)

2016-03-04 Gustavo Pichorim Boiko

        * Fix tryCompare usage (a4bcdb4b)
        * Fix a test flakiness (a985d92b)
        * Do not scroll the list up when in single panel mode. (ab2bc298)
        * Do not display the "new conversation" item when in single panel as
          this makes the header scroll. (1349be89)

2016-03-04 Tiago Salem Herrmann

        * Close popup when text changes (b1fd733a)
        * Avoid dismissing the osk (4034fba7)

2016-03-02 Tiago Salem Herrmann

        * Use popover instead of notification (ec9a831b)

2016-03-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (663e7974)

2016-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (01366e3d)

2016-03-01 CI Train Bot

        * Resync trunk. (662c0164)

2016-02-26 Tiago Salem Herrmann

        * fix qml test (624bad06)

2016-02-25 Tiago Salem Herrmann

        * - Fix some memory leaks - Use another approach to decide when to
          display the empty state view (f029a845)
        * Show notification when the the record icon is only clicked
          (9db1e3ec)
        * Disable icon pulsation while not recording (139f4c90)

2016-02-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2d72fe80)

2016-02-24 CI Train Bot

        * Releasing 0.1+16.04.20160224-0ubuntu1 (4abf3af8)

2016-02-24 Tiago Salem Herrmann

        * Set width based on the screen size to avoid removing views from the
          stack when the app is resized.
          Fixes: #1549352 (a67ee297)
        * Enable receiving multiple files from content-hub.
          Fixes: #1523573
          Approved by: Gustavo Pichorim Boiko (2bc968fd)
        * Makes text in the swipe demo use relative positioning instead of
          absolute.
          Fixes: #1518344 Approved by: Gustavo Pichorim
          Boiko (a411deb9)
        * Remove all line breaks from the text message preview and set a
          maximum line count, so the Text component correctly
          respect the elide property.
          Fixes: #1532895 Approved by:
          Gustavo Pichorim Boiko (599838c6)
        * Set width based on the screen size (47bfa91b)

2016-02-23 Tiago Salem Herrmann

        * merge trunk (b14185f5)
        * merge original branch (558f5698)

2016-02-22 Tiago Salem Herrmann

        * merge trunk (a0ccc2ce)

2016-02-18 Gerry Boland

        * Fix typo (be483a71)
        * Tweaks to support dynamic grid units better: MainView implicit
          sizing and min/max size change on GU update (df3face6)

2016-02-17 CI Train Bot

        * Releasing 0.1+16.04.20160217.2-0ubuntu1 (2bcfb75d)

2016-02-17 Tiago Salem Herrmann

        * Allow read access to dconf files, otherwise mms group chat toggle
          won't work, and the default sim for messages won't be
          pre-selected in the messaging view.
          Fixes: #1546094
          Approved by: Gustavo Pichorim Boiko (7914214f)

2016-02-17 CI Train Bot

        * Releasing 0.1+16.04.20160217-0ubuntu1 (dd8628fa)

2016-02-17 Gustavo Pichorim Boiko

        * Implement convergent layout for messaging-app. Approved by: Tiago
          Salem Herrmann (f45368a8)
        * In dual panel mode, always hide the empty state label. (5bba6ba9)

2016-02-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7654f0b9)

2016-02-16 Tiago Salem Herrmann

        * allow reading dconf files (e9dc8f12)

2016-02-15 Gustavo Pichorim Boiko

        * Make the readme more clear (7e00168c)

2016-02-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (112347d1)

2016-02-12 Gustavo Pichorim Boiko

        * Merge trunk. (96715f64)

2016-02-12 CI Train Bot

        * Resync trunk. (1b44f5ab)

2016-02-12 Arthur Mello

        * Use new flag defined to set fullscreen with convergence mode
          (41e48f3b)
        * Merge with lp:~phablet-team/messaging-app/side_panel (69caca2d)

2016-02-12 Gustavo Pichorim Boiko

        * Add a scrollbar to the Messages view. (dd2f7507)

2016-02-12 Tiago Salem Herrmann

        * Fix multiple attachments (7adc1b8c)

2016-02-12 Gustavo Pichorim Boiko

        * Make the header fixed in two column mode (ff29c07f)

2016-02-11 Tiago Salem Herrmann

        * merge parent branch (9c11a7e2)
        * Enable receiving multiple files from content-hub (8df451d3)

2016-02-10 Gustavo Pichorim Boiko

        * Show the group chat participants popup anchored to the right
          (5e87950d)
        * Hide the new message list item once the message is sent. (77e89bd9)
        * Make it landscape by default on windowed environments (fe28596f)
        * Set a minimum window size. (7dcfe4a8)
        * Messaging-app doesn't belong to side stage anymore (e7a0f2d1)
        * Hide the bottom edge bar in the empty state screen. (d0a46372)

2016-02-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (320af419)

2016-02-05 Gustavo Pichorim Boiko

        * Fix loading pages by source (800d58be)
        * Remove duplicated code. (e36894b1)

2016-02-05 CI Train Bot

        * Releasing 0.1+16.04.20160205-0ubuntu1 (4dfccc8c)

2016-02-05 Gustavo Pichorim Boiko

        * Fix the swipe to cancel audio recording. (b94bbfac)

2016-02-05 Arthur Mello

        * Add a thumbnail to MMS previewer after video has ended to reduce
          visual issues Approved by: Gustavo Pichorim Boiko
          (c0ea9ee2)

2016-02-05 Tiago Salem Herrmann

        * Add apparmor profile and enable app confinement.
          Fixes: #1528625
          Approved by: Jamie Strandboge (3e248e5c)

2016-02-05 Gustavo Pichorim Boiko

        * Do not reload the history filters when just the active accounts
          have changed. Approved by: Arthur Mello (f4743e77)

2016-02-05 Arthur Mello

        * During audio playback bar pause instead of stop Approved by:
          Gustavo Pichorim Boiko (a29bf863)

2016-02-05 Gustavo Pichorim Boiko

        * Add audio attachments text to ThreadDelegate Approved by: Gustavo
          Pichorim Boiko (d311c3dc)
        * Load audio and sticker components asynchronously. Approved by:
          Arthur Mello (fa829003)
        * Enable document attachments. Approved by: Arthur Mello (e4eedec7)
        * Update the bubble to match the designs. Approved by: Arthur Mello
          (7d295b83)
        * Add delivery status indication on bubbles. Approved by: Arthur
          Mello (948132fe)
        * Add fallback accountId to the history filter. Approved by: Gustavo
          Pichorim Boiko (61e68285)
        * Implement swipe-to-cancel for audio recording, and change the UI to
          be compliant with the designs. Approved by: Arthur Mello
          (fde516ff)
        * Display dialog to warn users that the maximum file size was
          reached. Approved by: Arthur Mello (32ed4502)
        * Disable tests that are currently failing. Approved by: Arthur Mello
          (24d10d33)
        * Add initial QML test for voice recording Approved by: Gustavo
          Pichorim Boiko (347b9b2e)
        * Refactor MMSAudio delegate Approved by: Arthur Mello (4a8fd988)
        * Prototype implementation for stickers support. Approved by: Gustavo
          Pichorim Boiko (9db65478)
        * Show an overlay icon and a background image depending on the
          protocol used. Approved by: Gustavo Pichorim Boiko
          (cdad86a5)
        * Add initial voice recording support. Most of the code was
          originally written by Arthur Renato Mello. Approved by:
          Gustavo Pichorim Boiko (ba614578)

2016-02-05 Tiago Salem Herrmann

        * Add video attachment delegates Approved by: Gustavo Pichorim Boiko
          (c6f41535)

2016-02-05 Gustavo Pichorim Boiko

        * Make it possible to share contacts and extra content types
          (disabled for now). Approved by: Arthur Mello (bb6751dd)
        * Move the bottom part of Messages view to a separate QML file for
          better code readability. Approved by: Arthur Mello
          (e4f3a22f)

2016-02-04 Gustavo Pichorim Boiko

        * Merge swipe to cancel fix. (8492b1f3)
        * Fix a visual glitch of the "Swipe to cancel" label when cancelling
          a recording. (241b52b7)
        * Fix the swipe to cancel audio recording. (0e92c036)

2016-02-02 Tiago Salem Herrmann

        * add maximum line count (a0c30e1d)
        * Remove all line breaks from the text message preview (095eca3a)

2016-02-01 Gustavo Pichorim Boiko

        * Move the custom page layout functions to a separate QML file.
          (06ed0e6c)

2016-02-01 Tiago Salem Herrmann

        * anchor previewer to header (4baffe73)
        * check before destroying instance (0a2df2a0)
        * Only set properties once during object creation implement
          removePage() that destroy instances when needed (79ab481a)

2016-02-01 Arthur Mello

        * Change previewer fillMode to wk better with landscape mode
          (4304c95a)

2016-02-01 Tiago Salem Herrmann

        * Empty stack before adding SettingsPage to the stack (9ebb8fb4)
        * fix anchors in the settings page (10fa9ce3)

2016-01-29 Gustavo Pichorim Boiko

        * Make it possible to launch the new message view from settings.
          (65a350d8)

2016-01-29 Tiago Salem Herrmann

        * Push all views synchronously (b7e8ca40)
        * Implement back button to destroy dynamically created pages
          (b8e1a06f)

2016-01-29 Gustavo Pichorim Boiko

        * Make sure pages get destroyed when hitting back (3d9987c6)

2016-01-29 Arthur Mello

        * Rename property (246ae145)
        * Add a thumbnail to MMS previewer after video has ended to reduce
          visual issues (0ab4e4d0)
        * Merge with lp:~phablet-team/messaging-app/add-apparmor-profile
          (87d6c079)

2016-01-28 Gustavo Pichorim Boiko

        * Create pages manually before pushing to the AdaptivePageLayout as
          it is very slow to create the pages by itself. (7bbe2c49)

2016-01-28 Tiago Salem Herrmann

        * Fix ListView anchors also on NewRecipientPage (e12674b6)

2016-01-28 Gustavo Pichorim Boiko

        * Make sure the page has a height when loading. (3f8a35b9)
        * Clear some warnings. (3065dfba)
        * Fix the header in the messages view. (a252c07e)
        * Make it possible to unselect all too in the main view. (f7078944)
        * Set the title correctly. (9316ea14)

2016-01-28 Tiago Salem Herrmann

        * Fix ListView anchors to avoid hide the content under the header
          (f852632c)
        * merge apparmor branch (b6a41add)

2016-01-27 Gustavo Pichorim Boiko

        * Keep the bottom edge down arrow (back action) visible after sending
          the first message. (5d49c49f)
        * Pages loaded in the bottom edge are not in the layout, so we need
          to use the underneath page as the parent to push new pages
          to the stack. (af46c3d8)
        * Make sure the To: field gets focus when composing a new message.
          (010bdb5e)

2016-01-27 Tiago Salem Herrmann

        * add messaging-app as a share destination for videos (df158b4a)
        * create link only when playing the file and remove it afterwards
          (ef9a0628)
        * Create directory if it doesn't exist (4d904e64)
        * Add missing import (51f13e5f)

2016-01-27 Gustavo Pichorim Boiko

        * Fix loading the contact viewing page. (20821d54)
        * Make pep8 happy. (1a9589a7)

2016-01-26 Tiago Salem Herrmann

        * allow access to dconf file (d22041b1)

2016-01-25 Gustavo Pichorim Boiko

        * Start fixing the interaction with header actions and the bottom
          edge in autopilot tests. (3c277ce7)
        * Fix sending audio files. (a913ed3c)
        * Fix one more pagestack interaction (41aa511c)
        * Fix one more page header. (b43ce4f6)

2016-01-22 Gustavo Pichorim Boiko

        * Make sure we get the view on the test before proceeding. (34f2c49b)
        * Another attempt at scrolling the list to the new item. (b051292d)

2016-01-21 Gustavo Pichorim Boiko

        * Show a new item on listview when the bottom edge page is visible.
          (6999619e)
        * Remove debug leftover. (5502dc3e)
        * Remove the dependency on unity8-private (52b210e6)
        * Skip the header height from the contacts popup. (48d74383)

2016-01-21 Tiago Salem Herrmann

        * use Status instead of State to detect recording (b9308a78)
        * allow access to app cache dir (2ba55185)

2016-01-20 Tiago Salem Herrmann

        * revert hack to close osk (a4061897)
        * allow subdirectory access (50cf42d9)

2016-01-20 Gustavo Pichorim Boiko

        * Move the bottom edge action to the header on dual panel
          environments (40dc27d1)

2016-01-20 Tiago Salem Herrmann

        * add content-hub directory to apparmor profile (4e3cf7ef)

2016-01-19 Daniyaal Rasheed

        * Makes text in the swipe demo use relative positioning instead of
          absolute (5bf784c9)

2016-01-19 Gustavo Pichorim Boiko

        * Increase the waiting time even more. (4d42b05b)
        * Increase the waiting (87c6b746)
        * Fix qml tests. (b5853ef8)
        * Merge trunk. (2b342544)
        * Fix exposing the bottom edge page with arguments. (b9d1190c)
        * Add a cancel action to the new message state to be used in the
          bottom edge pages. (5219ae0b)
        * Make it possible to create the bottom edge page using different
          properties. (82c3554b)

2016-01-18 Gustavo Pichorim Boiko

        * Use the bottom edge from SDK. (204ff528)

2016-01-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (06f510ba)

2016-01-15 Gustavo Pichorim Boiko

        * Make sure we always have a view on the right side of the screen so
          that we can add a bottom edge gesture there. (1b10ae39)

2016-01-14 Gustavo Pichorim Boiko

        * Update messaging-app to use the new SDK header in preparation to
          migrate to the new bottom edge. (0b7397c2)

2016-01-13 Tiago Salem Herrmann

        * remove useless rules (4bc98fea)

2016-01-12 Tiago Salem Herrmann

        * change profile name (f62ae979)
        * close keyboard before trust prompt (7fd15b55)
        * Handle permission errors (1c1bb179)
        * Store temporary files on the cache dir (a907a5b9)

2016-01-11 Gustavo Pichorim Boiko

        * Merge latest IM changes. (757b1980)

2016-01-11 Tiago Salem Herrmann

        * allow messaging app to place notifications (ac7fffa5)

2016-01-09 CI Train Bot

        * Releasing 0.1+16.04.20160109.1-0ubuntu1 (98cdbec8)

2016-01-09 Renato Araujo Oliveira Filho

        * Use the new Addressbook header. (a33ba59b)

2016-01-08 Renato Araujo Oliveira Filho

        * Fixed python syntax. (727bddae)

2016-01-08 Tiago Salem Herrmann

        * Add telephony, urfkill and history changes locally (95d4992a)

2016-01-08 Renato Araujo Oliveira Filho

        * Fix ap tests. (dd00e856)
        * Does not overwrite user env variable while testing settings page.
          (ad0b913d)
        * Fixed autopilot tests. (fe14e798)

2016-01-08 Tiago Salem Herrmann

        * rename profile so media-hub works (59723457)
        * revert wrong po update (d0fecbe7)

2016-01-07 Renato Araujo Oliveira Filho

        * Avoid show swipe message demo while running autopilot tests.
          (f133faae)

2016-01-07 Tiago Salem Herrmann

        * allow 3rd party assets (8478ad9a)

2016-01-06 Tiago Salem Herrmann

        * Add apparmor profile (b648dc23)

2016-01-06 Renato Araujo Oliveira Filho

        * Use the new Addressbook header. (d16baca6)

2016-01-06 Tiago Salem Herrmann

        * merge parent branch (953f61db)

2015-12-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (480e4bd9)

2015-12-18 Arthur Mello

        * Set slider position also at binding function (21b055a3)

2015-12-17 Arthur Mello

        * Make sure position is set to 0 if player is stopped (20c89d64)
        * Stay showing current position when audio is paused at compose bar
          (7efc1f06)
        * Make sure to always set maximumValue (79f8da52)

2015-12-17 Gustavo Pichorim Boiko

        * Merge parent (00f71901)

2015-12-17 Arthur Mello

        * During audio playback bar pause instead of stop (adf0d094)
        * Merge with lp:~phablet-team/messaging-app/add_text_thread_delegate
          (adafcd01)

2015-12-17 Gustavo Pichorim Boiko

        * Do not reload the history filters when just the active accounts
          have changed. (80acb2f1)
        * Merge parent (73029995)
        * Use "audio clip" in the singular translation too. (aded907f)
        * Merge parent (9454af5c)
        * Merge parent (1142c617)
        * Merge parent (b41f0ddb)
        * There is no side arrow, so attachments don't need the margins at
          the right and left sides. (0d7afe75)
        * Rename the property from status to messageStatus to avoid
          conflicting with Image's properties. (c017ceee)
        * Remove empty lines (fa79082f)
        * Add missing assets (eedede0b)

2015-12-17 Arthur Mello

        * Add missing import used for FileOperations (aaa7eaa8)

2015-12-16 Gustavo Pichorim Boiko

        * Use grey, not gray as per asset naming. (a947b47f)

2015-12-16 Arthur Mello

        * Change "audios" to "audio clips" (fbf8548f)
        * Add audio attachments text to ThreadDelegate (120790a0)
        * Merge with lp:~phablet-team/messaging-app/load-components-on-demand
          (d440270e)

2015-12-16 Gustavo Pichorim Boiko

        * Disable document sharing. (fc79d5ce)
        * Merge parent (97c4dc57)
        * Merge parent (13aeac00)
        * Merge parent (bcc0670d)
        * Merge parent (12dbcc69)
        * Merge parent (2e75852b)
        * Merge parent (70c2b7fc)
        * Merge parent (b2fb41ec)
        * Merge parent (a10e8307)
        * Merge parent (209f20cd)
        * Merge parent (fdeca0f8)
        * Merge parent (d936de28)
        * Merge parent (2bf2c15e)
        * Disable not implemented attachments. (696ae095)

2015-12-16 Arthur Mello

        * Move code for removing audio temp files to ComposeBar reset
          function (0f9153a4)
        * Delete not sent audio recorded file if messages back button is
          clicked (77cea949)
        * Delete temporary file used for audio recording if attachment is
          canceled (d69b5f5b)

2015-12-16 Gustavo Pichorim Boiko

        * Fix tests. (eef97814)

2015-12-15 Gustavo Pichorim Boiko

        * Update the bubbles according to the designs. (bb6e0b5c)

2015-12-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (333f3434)

2015-12-14 Tiago Salem Herrmann

        * set 0 instead of false (b35455cf)
        * load audio component asynchronously also on bubbles (a5c50750)
        * expose playbackStatus to make the handle appear (009ac857)
        * Load audio and sticker components asynchronously (bf4e5d35)
        * merge parent branch (f24272d2)

2015-12-11 Gustavo Pichorim Boiko

        * Merge changes from IM branches. (4d4574e8)
        * Merge trunk. (addc8188)

2015-12-10 Gustavo Pichorim Boiko

        * Suport transfering of documents. (85cc5935)
        * Do not hide the keyboard when there is audio attached. (dcd304d6)

2015-12-09 Gustavo Pichorim Boiko

        * Enable other types of attachments (not implemented yet though)
          (9bad3219)

2015-12-09 Tiago Salem Herrmann

        * add copyright back (8f900fb9)

2015-12-09 Gustavo Pichorim Boiko

        * Merge parent branch (1a2ddf4e)
        * Merge trunk. (e00bebd5)

2015-12-08 Tiago Salem Herrmann

        * Add delivery status indication on bubbles (7e5b6519)
        * merge parent branch (5bb21fef)
        * merge parent branch (ca343266)

2015-12-08 Gustavo Pichorim Boiko

        * Replace the sine curve image by a slider as per design. (7eb4e6d9)

2015-12-08 Tiago Salem Herrmann

        * merge parent branch (23849fff)
        * merge parent branch (f5be024c)

2015-12-08 Gustavo Pichorim Boiko

        * Merge parent (26a1864d)

2015-12-08 Tiago Salem Herrmann

        * merge parent branch (11a523f1)

2015-12-08 Gustavo Pichorim Boiko

        * Merge parent (a66a802a)

2015-12-08 Arthur Mello

        * Merge with parent branch (ecdefa18)

2015-12-08 Tiago Salem Herrmann

        * merge parent branch (b4886b14)

2015-12-08 Gustavo Pichorim Boiko

        * Merge latest changes from parent branch. (13e5f26a)
        * Merge parent (56b9ed16)
        * Merge parent (65826ed4)

2015-12-08 Arthur Mello

        * Merge with parent branch (de50c0a8)

2015-12-08 Gustavo Pichorim Boiko

        * Merge parent branch. (f0ff09b4)
        * Merge trunk. (28440207)

2015-12-08 Tiago Salem Herrmann

        * Add fallback accountId to the history filter (e8017657)
        * merge parent branch (95814b99)

2015-12-08 Gustavo Pichorim Boiko

        * Change the threshold back to 0.5 (d76391f3)

2015-12-07 Gustavo Pichorim Boiko

        * Implement swipe-to-cancel in the audio recording (891bbf14)
        * Move the audio playback to a separate QML file. (51f329f0)

2015-12-07 CI Train Bot

        * Releasing 0.1+16.04.20151207-0ubuntu1 (97d7c28f)

2015-12-07 Tiago Salem Herrmann

        * Do not allow the compose bar overlap the page header when in
          landscape mode.
          Fixes: #1518291 Approved by: Gustavo
          Pichorim Boiko (831d7d66)
        * add missing file (80b15916)
        * add warning (8a09f476)
        * merge parent branch (dc88ebaa)

2015-12-07 Gustavo Pichorim Boiko

        * Merge changes from parent branches. (85e4d5f7)

2015-12-07 Arthur Mello

        * Merge with parent branch (16c9e78e)

2015-12-07 Tiago Salem Herrmann

        * merge parent branch (39f712a2)

2015-12-07 Gustavo Pichorim Boiko

        * Merge parent. (89c76dae)
        * Merge parent (c93db900)
        * Merge parent (7315a278)
        * Merge parent. (d4c16ce3)

2015-12-07 Arthur Mello

        * Merge with parent branch (ff438f93)

2015-12-07 Gustavo Pichorim Boiko

        * Merge parent (39418ff3)
        * Merge trunk. (89bb3bcd)

2015-12-04 Arthur Mello

        * Use VideoOutput instead of Video QML component (3cdb89f6)

2015-12-04 Gustavo Pichorim Boiko

        * Only show the stickers button when there is a sticker pack around.
          (72cce35f)
        * Fix sending stickers. (0ef96519)

2015-12-03 Gustavo Pichorim Boiko

        * Merge parent (e9a32a74)
        * Merge parent (b04050ac)
        * Use the background from the currently selected account in messages.
          (7f40674f)
        * Merge parent. (5dcbf8a8)

2015-12-03 Arthur Mello

        * Show ActivityIndicator while loading thumbnail Fix thumbnail path
          (ee32a1d4)
        * Fix typo (40900c39)

2015-12-03 Gustavo Pichorim Boiko

        * Merge parent. (d57e47a4)
        * Fix the interaction between the attachments and stickers panels
          (05ee0cdf)

2015-12-03 Arthur Mello

        * Add Video Thumbnail (eda62e97)

2015-12-03 Gustavo Pichorim Boiko

        * Fix some interactions between the stickers panel and the OSK
          (41c35d89)

2015-12-02 Gustavo Pichorim Boiko

        * Save audio recordings to the app's data path instead of /tmp to
          avoid leaking data. (8efe0ae2)
        * Merge parent (ab225276)

2015-12-02 Arthur Mello

        * Merge with lp:~boiko/messaging-app/more_attachment_types (b08a2470)

2015-12-02 Gustavo Pichorim Boiko

        * Merge parent. (f2c546fd)
        * Add missing pressAndHold() signal and make use of it (72118dc6)

2015-12-01 Arthur Mello

        * Add initial QML test for voice recording (cdcdcf58)
        * Merge with lp:~tiagosh/messaging-app/audio_delegate_refactor
          (c65c1b95)

2015-12-01 Tiago Salem Herrmann

        * Set default swipeLocked to false (b7dfffea)
        * Refactor MMSAudio delegate (05149ec1)

2015-12-01 Gustavo Pichorim Boiko

        * Merge latest changes from parent branch. (138cc7ba)
        * Merge parent. (a173131a)
        * Rename to the correct property name. (60bfb2d0)
        * Move the background overlay to be displayed under the delegates.
          (07a19a26)
        * Fix the panel interaction with the rest of the screen and implement
          sending. (e31dc442)
        * Rename the property (ee18d150)

2015-11-30 Gustavo Pichorim Boiko

        * Revert pot file. (3c3efe85)
        * Merge parent (e41de829)
        * Merge parent (3a9187e5)
        * Fix the interaction between the audio recording and the attachments
          panel. (292da615)
        * Disable QML tests currently failing. (709d23aa)

2015-11-27 Gustavo Pichorim Boiko

        * Merge parent. (dbf15238)
        * Merge parent (23591477)
        * Expose the AudioRecorder to the QML tests too. (55407887)
        * Merge parent (e112bbd5)
        * Merge parent (312a7dc3)
        * Add missing file. (7e9914f4)
        * Merge parent. (ef455781)
        * Merge parent (e2be2347)
        * Merge parent (0af445f1)

2015-11-27 Arthur Mello

        * Add sample file (76e3b682)

2015-11-27 Gustavo Pichorim Boiko

        * Merge parent (d10d905d)
        * Merge parent (608ec196)
        * Merge parent. (e98669db)

2015-11-27 Arthur Mello

        * Fix QML tests (98256021)

2015-11-27 Gustavo Pichorim Boiko

        * Merge changes from parent branch. (42bf565a)

2015-11-27 Arthur Mello

        * Fix QML test (b20eb3d9)
        * Add build dep (9a9be55f)

2015-11-27 Gustavo Pichorim Boiko

        * Merge latest changes from parent. (5fefaf87)

2015-11-27 Arthur Mello

        * Add build dep (8fc3cf5f)

2015-11-27 Gustavo Pichorim Boiko

        * Merge latest from parent. (430d3ba3)

2015-11-27 Arthur Mello

        * Merge with parent (858863f0)

2015-11-26 Gustavo Pichorim Boiko

        * Remove KeyboardRectangle height workaround for now. (6fab9cdd)
        * Fix height of the bar. (3e560e04)
        * Merge parent changes. (e2469aeb)
        * Rename the presence item to fix page loading. (986fea43)
        * Re-add wrongly removed variable. (34ddb1fb)
        * Merge other IM related changes. (05414ac7)
        * Add missing copyright header. (d7a0bfee)
        * Merge latest changes from parent branch. (13a79155)
        * Add missing copyright. (8c98a9f5)
        * Merge latest changes from trunk. (bf684e7f)
        * Merge latest changes from parent branch. (9137b7fc)

2015-11-26 Arthur Mello

        * Add PreviewerVideo qml tests (2c701265)

2015-11-26 Gustavo Pichorim Boiko

        * Merge latest changes from parent branch. (e34e2f8c)

2015-11-26 Arthur Mello

        * Fix build (5a83f407)

2015-11-25 Arthur Mello

        * Change QML test structure so we could include messaingapp.private
          (c5891ea0)
        * Add TODO message for FileOperations Remove mimetype check used for
          testing (b5611b39)
        * Merge with lp:~boiko/messaging-app/more_attachment_types/
          (b77bce16)
        * Add PreviewerImage QML tests (edcb559d)

2015-11-25 Gustavo Pichorim Boiko

        * Show an overlay icon and a background image depending on the
          protocol used. (195d9e5b)
        * Fix import versions (2c0025d4)
        * Merge latest from parent. (1494c769)
        * Fix import version. (fc393f01)
        * Fix import version. (c2b824d3)

2015-11-25 Arthur Mello

        * Add QML tests for MMSDelegate (02ad1df0)
        * Change on MMSDelegate to look for participants from messageData
          (59d043c3)
        * Add initial qml test (77ab070f)

2015-11-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3580dec1)

2015-11-24 Arthur Mello

        * Update headers (9e31f0f0)

2015-11-24 Gustavo Pichorim Boiko

        * Add authors. (3eb3da06)
        * Add initial voice recording support. (42d8f7bd)
        * Update the bubble to match the designs. (0f3a3a90)
        * More attachment fixes. (85e9b327)

2015-11-24 Arthur Mello

        * Reenable video attachment button (9d326d51)
        * Merge with lp:~boiko/messaging-app/more_attachment_types (746337e5)
        * Merge with trunk (45555f3a)

2015-11-24 Gustavo Pichorim Boiko

        * Add assets. (b11e7d47)
        * Make it possible to share contacts and extra content types
          (disabled for now). (4073d83e)
        * Merge latest changes from trunk. (795a54f4)

2015-11-24 CI Train Bot

        * Resync trunk. (0965a1ea)

2015-11-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f66fe831)

2015-11-24 CI Train Bot

        * Releasing 0.1+16.04.20151124-0ubuntu1 (7bc2295c)

2015-11-24 Renato Araujo Oliveira Filho

        * Make sure that the search field receives focus when contact list
          page is active and in search mode.
          Fixes: #1511477
          Approved by: Tiago Salem Herrmann (aa3fa3b8)

2015-11-23 Renato Araujo Oliveira Filho

        * Trunk merged. (bc33c018)

2015-11-23 Gustavo Pichorim Boiko

        * Merge latest changes from trunk. (46cbcf59)
        * Add missing thumbnail files. (3e0a8db5)
        * Remove unused include. (136c5fcb)
        * Merge latest changes from trunk. (e4d65c30)

2015-11-23 CI Train Bot

        * Releasing 0.1+16.04.20151123.2-0ubuntu1 (990e6aa8)

2015-11-23 Renato Araujo Oliveira Filho

        * Extend contact preview page to show all details from contact vcard.
          (63a2dcf0)
        * Trunk merged. (a64ccc61)

2015-11-23 CI Train Bot

        * Resync trunk. (60955ea1)

2015-11-23 Renato Araujo Oliveira Filho

        * Trunk merged. (4b93e0d3)

2015-11-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b3e038eb)

2015-11-20 Gustavo Pichorim Boiko

        * Start moving the bottom part of Messages view to a separate QML
          file for better code readability. (6f05351d)

2015-11-20 Tiago Salem Herrmann

        * add return statement (253ee206)
        * Do not allow the compose bar overlap the page header when in
          landscape mode (29069e21)

2015-11-20 Arthur Mello

        * Update Image Previewer to toggle fullscreen in the same way as
          Video Previewer Add Zoom In and Zoom Out on Image
          Previewer Add black background for both previewers
          (96c94e33)

2015-11-20 Gustavo Pichorim Boiko

        * Merge latest changes from parent branch. (62d68420)

2015-11-20 CI Train Bot

        * Releasing 0.1+16.04.20151120-0ubuntu1 (ee863abd)

2015-11-20 Tiago Salem Herrmann

        * Update SIM dialogs according to design spec.
          Fixes: #1449778
          Approved by: Gustavo Pichorim Boiko (1249907d)
        * Add online and typing status to the conversation view. Approved by:
          Gustavo Pichorim Boiko (32a331db)

2015-11-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cdc97ee6)

2015-11-19 Arthur Mello

        * Fix typo (02ded8dc)
        * Change MMS video previewer Toggle fullscreen when entering video
          previewer Toggle header/toolbar when entering fullscreen
          (cff70cec)

2015-11-19 Tiago Salem Herrmann

        * Reenable default sim card watcher (5277fb58)

2015-11-19 Renato Araujo Oliveira Filho

        * Added timestamp into contact avatar message. (fcb7e7c8)

2015-11-18 Renato Araujo Oliveira Filho

        * Revert pagestack changes. (6255f7d5)

2015-11-18 Arthur Mello

        * Support videos when saving receving files (2bdfc82a)

2015-11-18 Tiago Salem Herrmann

        * merge parent branch (5b8d8f08)
        * Fix bindings (e12b14ce)

2015-11-18 Renato Araujo Oliveira Filho

        * Fixed typo. (7d4fdb7f)

2015-11-18 Tiago Salem Herrmann

        * Use participants from chatentry is a qstringlist. (f69fef42)

2015-11-18 Renato Araujo Oliveira Filho

        * Does not clear page stack while composing a new message from vcard
          preview page. (2c2ee63d)
        * Remove 'contactNameFromVCard' function. This function is not used
          anymore. (36e0d0e4)
        * Show empty string for contact name while parsing vcard. (a193ad80)

2015-11-17 Renato Araujo Oliveira Filho

        * Fixed scroll on single contact preview. (fd9195c9)
        * Fixed typo. (3ffab9ea)
        * Fixed typo. (11f6c36e)
        * Fixed multiple contacts preivew page title. (34b9bd10)
        * Code refactory to use less memory. (63cc50d9)

2015-11-17 Arthur Mello

        * Add initial supportfor video attachments (51f1cc84)

2015-11-17 Renato Araujo Oliveira Filho

        * Use one single VCardParser for all elements on vcard preview.
          (9cc1c66d)
        * Show contact avatar on message attachment. (a6527838)
        * Remove multi selection on vcard preview for multiple contacts.
          (527c7030)

2015-11-16 Renato Araujo Oliveira Filho

        * Make sure that the search field receives focus when contact list
          page is active and in search mode. (6995e757)
        * Added border to vcard message. (fae7aa4b)
        * Show contact avatar if it is present on vcard. (f6643b17)
        * Added missing page. (23c94cef)
        * Use 'MessagingContactViewPage' in silgeContact preview. (88f076c9)
        * Do not show actions on contact preview page header. (1d71298d)
        * Create a preview for single contacts. (84805a2f)
        * Use 'editable' property to disable contact edit actions. (4cd48b2a)

2015-11-16 Ugo Riboni

        * Add missing debian dependecy (f3da2c5c)
        * Fix interactions between OSK, stickers picker and the rest of the
          UI (1afca3ed)
        * Add stickers qml dir to the list of installed files in debian
          (8487daf5)
        * Fix .bzrignore to properly ignore test binaries, and remove
          mistakely added test binary (65828cd1)
        * Add a limit property to the model to set the maximum size of the
          history (ce9cc711)
        * The model is now a chronological list of the most recently used
          stickers (d220b419)
        * Add stickers directory to cmake (27d23f93)

2015-11-13 Renato Araujo Oliveira Filho

        * Set a title for contact preview page. (1597d2c4)
        * Export all contacts if the contact preview is not in selection
          mode. (7cd6998f)
        * Extend contact preview page to show all details from contact.
          (4dc289c2)

2015-11-13 Tiago Salem Herrmann

        * merge parent branch (6363d253)
        * merge trunk (78e5b87b)

2015-11-13 Ugo Riboni

        * Remove debug code (1a7cad8b)
        * Fix cmake script for unit tests which was failing for out of tree
          builds (92141993)

2015-11-12 Ugo Riboni

        * Add .bzrignore file (99116808)
        * Add unit tests, with c++ launcher (7840d56a)
        * Simplify model by not storing the last used time, as we don't use
          it (3cd9b47e)
        * Visual tweaks: selection, backgrounds (a473261a)

2015-11-12 CI Train Bot

        * Releasing 0.1+16.04.20151112-0ubuntu1 (12f0f874)

2015-11-12 Tiago Salem Herrmann

        * Update the selected section once the default sim card for text
          message changes.
          Fixes: #1515677 (c900971a)
        * Update the selected sim card once the default sim card for text
          message changes (d3531afe)

2015-11-12 Ugo Riboni

        * Adjust icons used to switch between keyboard and stickers picker
          (28fa9e07)
        * Display history list (233f62a1)
        * Simplify model code by leaving entries unsorted and sorting them in
          QML via SortFilterModel. (81ebe114)
        * Add stickers history model. Cleanup some code. (3efef382)
        * Initial implementation of stickers picker support (f156a083)

2015-11-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (39256f60)

2015-11-05 Tiago Salem Herrmann

        * dont create threads on startChat() (5e321e8f)
        * fix header in group chats (3ea7d4fd)

2015-11-05 CI Train Bot

        * Releasing 0.1+16.04.20151105-0ubuntu1 (9454c99c)

2015-11-05 Tiago Salem Herrmann

        * Enable cross compiling Approved by: Gustavo Pichorim Boiko
          (97be01a7)
        * merge parent branch (50dfc98d)
        * merge trunk (fffd0959)

2015-11-04 CI Train Bot

        * Releasing 0.1+16.04.20151104-0ubuntu1 (83c4afe9)

2015-11-04 Gustavo Pichorim Boiko

        * Update the autopilot tests to work with UITK 1.3 and also to work
          with the latest app changes. (8c23dc28)

2015-11-04 Tiago Salem Herrmann

        * Fix more autopilot tests: (52e05ace)

2015-11-04 Gustavo Pichorim Boiko

        * Update the autopilot tests to work with UITK 1.3 and also to work
          with the latest app changes. (24357e01)

2015-11-03 Tiago Salem Herrmann

        * remove unused code (b38856e0)
        * merge trunk (3f7489dd)
        * merge trunk (91d9c5ca)
        * merge trunk (10329f23)
        * merge trunk (5b302c8e)

2015-11-03 Gustavo Pichorim Boiko

        * Remove code added by mistake when resolving conflicts. (b5a8199d)
        * Re-add code removed by accident. (87b9e046)
        * Remove unused code. (13ab47cc)
        * Merge parent branch. (ea51a26c)

2015-11-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f4924efb)

2015-10-30 Tiago Salem Herrmann

        * Merge parent branch (ecb90759)
        * Merge trunk (3eead8ff)

2015-10-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a23c8d4c)

2015-10-26 CI Train Bot

        * Releasing 0.1+16.04.20151026-0ubuntu1 (57cb49c0)

2015-10-26 Tiago Salem Herrmann

        * Port messaging-app to sdk 1.3. (fbb4be68)

2015-10-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1291cc12)

2015-10-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (021dd3d0)

2015-10-23 Tiago Salem Herrmann

        * merge trunk (55e21469)

2015-10-22 Tiago Salem Herrmann

        * merge trunk (dc0e82e4)
        * Hide header of content picker (d5d820c1)

2015-10-21 Tiago Salem Herrmann

        * Fix toolbar in previewer (1fdcc72f)

2015-10-15 CI Train Bot

        * Releasing 0.1+15.10.20151015-0ubuntu1 (1d493d61)

2015-10-15 Gustavo Pichorim Boiko

        * Make use of the cached contact info from history-service when
          populating headers and popups. Approved by: Tiago Salem
          Herrmann (8f1c9e9c)

2015-10-15 Tiago Salem Herrmann

        * Use groupedThreads role from the model to generate history event
          filters. Approved by: Gustavo Pichorim Boiko (98e66df4)
        * Turn updateFilters() into a binding.
          Fixes: #1488988 Approved by:
          Gustavo Pichorim Boiko (d81d6813)

2015-10-15 Gustavo Pichorim Boiko

        * Disable actions that can't be performed on unknown and private
          numbers. (327d25d3)

2015-10-13 Gustavo Pichorim Boiko

        * Fix some more participants usage. (d184345c)
        * Rename participants to participantIds in sendMessage() to make it
          more clear. (f97f9d72)
        * wrap the expression in parenthesis. (5a48483f)
        * Make sure we only use the alias if there is any. (55b7afc5)

2015-10-13 Tiago Salem Herrmann

        * Enable cross compiling (4a0d533e)

2015-10-09 Gustavo Pichorim Boiko

        * More fixes related to participant and ID handling. (f8a299bc)
        * Fix re-sending messages. (3cf433ab)
        * Make sure the qml test does not try to get the thread from history
          when calling startChat(). (3b5c1eb2)

2015-10-09 Tiago Salem Herrmann

        * merge trunk (2d524e18)
        * merge trunk (ade72083)

2015-10-08 Gustavo Pichorim Boiko

        * Make use of the cached contact info from history-service when
          populating headers and popups. (c95f62a3)

2015-10-08 Tiago Salem Herrmann

        * revert pot changes (7105ac87)
        * use empty settings and remove text2html for now (d88ce6cf)
        * merge trunk (0da0f982)

2015-10-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (fe809661)

2015-10-07 CI Train Bot

        * Resync trunk. (ed82248f)

2015-10-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (19f7f4b8)

2015-10-06 Tiago Salem Herrmann

        * use string list as participants argument (9e343eab)

2015-10-06 CI Train Bot

        * Releasing 0.1+15.10.20151006.3-0ubuntu1 (0973a92b)

2015-10-06 Tiago Salem Herrmann

        * Revert patch that replaces empty spaces by &nbsp;, as it breaks
          word wrap.
          Fixes: #1503018 (02e1b847)
        * Replace each \n by one <br /> (e500bbad)
        * Revert patch that replaces empty spaces by &nbsp; (845c9945)

2015-10-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a7e89458)

2015-10-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9724c701)

2015-10-02 Tiago Salem Herrmann

        * use same string as other components (069d05f7)
        * check for unknown contacts (5c5c7297)

2015-10-01 Tiago Salem Herrmann

        * Use contact alias coming from history service (bf1fad18)
        * Fix thread removal and messaging-menu acknowledgement (b1c85b00)
        * fix tests identation (6f5fef81)

2015-09-30 Tiago Salem Herrmann

        * fix more tests (b999d13b)

2015-09-29 Tiago Salem Herrmann

        * add thread to filter if not there yet (e3a9a550)

2015-09-28 Tiago Salem Herrmann

        * use identifier only (b24e3f61)
        * fix empty header (4eea5fa4)
        * merge parent branch (8e7ed464)
        * merge trunk (a9cd23ce)
        * merge trunk (a9b1cb81)

2015-09-28 CI Train Bot

        * Releasing 0.1+15.10.20150928-0ubuntu1 (36d95c65)

2015-09-28 Gustavo Pichorim Boiko

        * Acknowledge pending messages before removing the threads.
          Fixes:
          #1488498 (8e48cc9e)

2015-09-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c9e3409c)

2015-09-24 Gustavo Pichorim Boiko

        * Also cover the case when multi-selecting the threads and removing
          them. (9b484baf)
        * Fix retrieving the participants whose messages should be
          acknowledge (54785199)

2015-09-23 Tiago Salem Herrmann

        * revert back to use grouped model (9bbf008a)

2015-09-23 CI Train Bot

        * Releasing 0.1+15.10.20150923.1-0ubuntu1 (5223a911)

2015-09-23 Tiago Salem Herrmann

        * Fix autopilot tests. (cfbd0e0e)

2015-09-23 Sebastien Bacher

        * display empty lines and leading spaces
          Fixes: #1366592 Approved by:
          Tiago Salem Herrmann (9fd094e9)

2015-09-23 Gustavo Pichorim Boiko

        * Increase the touch area of the send and attach buttons.
          Fixes:
          #1488984 Approved by: Tiago Salem Herrmann (c4ce788e)

2015-09-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (214d6505)

2015-09-21 Gustavo Pichorim Boiko

        * Increase the touch area of the send and attach buttons. (639f54a7)

2015-09-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3ff909e7)

2015-09-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (27095ece)

2015-09-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4182735b)

2015-09-18 Tiago Salem Herrmann

        * Fix delete from header action (babf807e)

2015-09-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7591cb21)

2015-09-17 Tiago Salem Herrmann

        * Fix message search (f4d964dc)
        * Use grouped threads property to generate history filters (0e659b36)

2015-09-14 Tiago Salem Herrmann

        * Port messaging-app to sdk 1.3 (e96d2f08)

2015-09-11 Tiago Salem Herrmann

        * remove unused imports (9f3d8d18)

2015-09-10 Tiago Salem Herrmann

        * fix autopilot tests (82c1e7fc)

2015-09-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2eecb8bc)

2015-09-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (16b9ff8d)

2015-09-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (01938609)

2015-09-03 Gustavo Pichorim Boiko

        * Acknowledge pending messages before removing the threads.
          (4ce3a974)

2015-08-28 Tiago Salem Herrmann

        * Turn updateFilters() into a binding (6eba5197)

2015-08-26 Gustavo Pichorim Boiko

        * Fix more page navigation. (c884ebf8)
        * Merge latest changes from trunk. (bfcc79df)

2015-08-26 Sebastien Bacher

        * display empty lines and leading spaces (ad96152b)

2015-08-26 Tiago Salem Herrmann

        * update theme version (3ace709c)
        * change more pop()'s by removePages() (007e5d60)

2015-08-26 Gustavo Pichorim Boiko

        * Fix some more page navigations (e377a60c)

2015-08-26 Tiago Salem Herrmann

        * reenable back button and use removePages() instead of pop()
          (4ce70012)

2015-08-26 Gustavo Pichorim Boiko

        * Enable bottom edge on single column layouts (cfbeb7f5)

2015-08-26 Tiago Salem Herrmann

        * Remove orange rectangle used for debug (2c3ff525)

2015-08-26 Gustavo Pichorim Boiko

        * Remove debug. (be44e9d9)

2015-08-25 Gustavo Pichorim Boiko

        * Add some debugs to figure out why multi recipient input is not
          working. (c46e3d1f)
        * Add a compose action. (37c574b2)
        * Disable bottom edge for now. (65f8840c)
        * Start porting to the AdaptivePageLayout to be able to show a side
          panel. (ab40bfe1)
        * Upgrade to Ubuntu.Components 1.3 (7b5b1d6c)

2015-08-20 Tiago Salem Herrmann

        * fallback to ofono if account is multimedia (809e200e)

2015-08-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7ea76984)

2015-08-19 Tiago Salem Herrmann

        * merge trunk (e42bde5a)

2015-08-18 Tiago Salem Herrmann

        * merge parrent branch (13416201)
        * [ Brendan Donegan ];  Remove component version from get_send_button
          (LP: #1482205) [ CI Train Bot ];  Resync trunk. [ Tiago
          Salem Herrmann ];  Allow closing dialogs while
          SwipeItemDemo is displayed. (LP:   #1461861);  Only mark
          messages as read when the application is active, and add a
            QML test to prevent regressions. The QML tests need some
          QML modules   available at build time in order to run
          properly, so those were   added as build deps. (LP:
          #1394971) (fc3a5490)

2015-08-18 CI Train Bot

        * Releasing 0.1+15.10.20150818-0ubuntu1 (1861de5d)

2015-08-18 Gustavo Pichorim Boiko

        * Add a stroke around the bubbles to make them appear on a white
          background. Approved by: Tiago Salem Herrmann (5a399a54)

2015-08-18 Tiago Salem Herrmann

        * Force threadId to be a string, otherwise Qt.createQmlObject() will
          convert operator names that match color names to QColor
          instead of QString.
          Fixes: #1478547 Approved by: Zsombor
          Egri, Gustavo Pichorim Boiko (15f5eea3)

2015-08-17 CI Train Bot

        * Releasing 0.1+15.10.20150817.2-0ubuntu1 (fd912884)

2015-08-17 Brendan Donegan

        * Remove component version from get_send_button
          Fixes: #1482205
          Approved by: Gustavo Pichorim Boiko (b1d48d58)

2015-08-17 Tiago Salem Herrmann

        * Allow closing dialogs while SwipeItemDemo is displayed.
          Fixes:
          #1461861 Approved by: Gustavo Pichorim Boiko (053649d6)
        * Only mark messages as read when the application is active, and add
          a QML test to prevent regressions. The QML tests need some
          QML modules available at build time in order to run
          properly, so those were added as build deps.
          Fixes:
          #1394971 Approved by: Gustavo Pichorim Boiko (50ddaae8)

2015-08-17 Gustavo Pichorim Boiko

        * Add a stroke around the bubbles to make them appear on a white
          background. (9349f1fb)

2015-08-17 Tiago Salem Herrmann

        * add test (bc73157f)

2015-08-14 Tiago Salem Herrmann

        * add missing build deps (712cf5c4)
        * add missing build deps (e9f7e666)
        * add missing build deps (ded6cce3)

2015-08-13 Tiago Salem Herrmann

        * add missing dependency (dcea4148)
        * fix flake8 (7d77e6d0)
        * invert logic (b72da22f)
        * Improve helpers (f14f92e2)
        * add test for marking messages as read (3e5e279b)
        * Wait for the dialog to disappear (95448e16)

2015-08-12 Tiago Salem Herrmann

        * add test to ensure the SwipeItemDemo is not stuck by the 'No
          Network' dialog (10415b28)
        * merge trunk (fc4f7ef6)

2015-08-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (391e8543)

2015-08-11 Tiago Salem Herrmann

        * merge parent branch (8c6748a6)
        * restore selectedIndex binding after sending messages (49e55ece)
        * merge parent branch (a9c8ce4d)
        * fix suru divider (9f5eb1ee)
        * merge parent branch (8a57dff9)
        * use accountsModel to generate filters (f64bfbad)
        * fix conflict (4d28cc8a)
        * set x-canonical-tmp-files when resending mms (6a9b1af7)
        * merge trunk (4c414492)

2015-08-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2a6cfee1)

2015-08-10 Tiago Salem Herrmann

        * remove events only after we make sure attachments are copied to a
          temporary location (9f3b34ae)
        * merge parent branch (5610d399)
        * don't show the suru divider if there is only one sim (771668d2)
        * update sim dialogs according to the spec (95da0d7a)

2015-08-06 Tiago Salem Herrmann

        * fix account selection (38e4174f)
        * merge trunk (35d2d01b)
        * add accountsModel to Messages (56356383)

2015-08-06 Brendan Donegan

        * Autopilot no longer needs to version of the component so just ask
          for Icon in get_send_button (1ebe29e6)

2015-08-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2a7323f7)

2015-08-05 Tiago Salem Herrmann

        * add one more check (02f25751)
        * don't add information event for previous multimedia events
          (846449de)
        * fix actions in conversation view for phone account (9fc5ce1a)
        * use ChatEntry instead of ChatState (fb1768a0)
        * improve multi account selector (94833fa9)

2015-08-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (eb5dfe91)

2015-08-04 Tiago Salem Herrmann

        * check for chatEntry when the chat list changes (f13c05df)

2015-08-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (78246a84)

2015-08-03 Tiago Salem Herrmann

        * Add online presence and typing status to the messages view
          (20ef77cd)

2015-08-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5fbf2063)

2015-07-31 Gustavo Pichorim Boiko

        * Add the missing changelog entry for the gcc5 rebuild. (abf7ffc1)

2015-07-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1e73d9b2)

2015-07-27 Tiago Salem Herrmann

        * Force threadId to be a string, otherwise Qt.createQmlObject() will
          convert operator names that match color names to QColor
          instead of QString (56defead)

2015-07-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2d3c9dfb)

2015-07-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (fb516e94)

2015-07-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (37509256)

2015-07-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0423ec48)

2015-07-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7ebb3876)

2015-07-20 CI Train Bot

        * Resync trunk. (b88c42fa)

2015-07-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (695445d4)

2015-07-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6ae0be92)

2015-07-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (43deb20f)

2015-07-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9637b579)

2015-07-15 Tiago Salem Herrmann

        * Only mark messages as read when the application is active
          (53aeac31)
        * Allow closing dialogs while SwipeItemDemo is displayed (b9dac02b)

2015-07-15 Gustavo Pichorim Boiko

        * Update pot file. (0f5d211d)

2015-07-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (13624046)

2015-07-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a067bf7f)

2015-07-10 CI Train Bot

        * Releasing 0.1+15.10.20150710.2-0ubuntu1 (a1c4519c)

2015-07-10 Gustavo Pichorim Boiko

        * Update messaging-app to use the correct icon to add a new contact.

          Fixes: #1473537 (ae4722bf)

2015-07-10 Tiago Salem Herrmann

        * Start conversation with individual participants of a group chat.

          Fixes: #1458914 (6a33f440)
        * Fix pressAndHold for all kinds of attachments
          Fixes: #1367457
          (111f4a8b)

2015-07-10 Ken VanDine

        * Handle sharing of ContentType.Text (a6a8ce4a)

2015-07-10 Gustavo Pichorim Boiko

        * Update the send icon per design request. (f7d95e13)
        * Include two objectNames as requested by QA. (24983741)
        * Update messaging-app to use the correct icon to add a new contact.
          (7dd9202f)
        * Fix autopilot test. (3bdc8016)
        * Update the send icon per design request. (69a88481)

2015-07-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ad978f92)

2015-07-08 CI Train Bot

        * Resync trunk. (fcfcfb0e)

2015-07-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (66d9679a)

2015-07-07 CI Train Bot

        * Releasing 0.1+15.10.20150707-0ubuntu1 (a0fa69f1)

2015-07-07 Tiago Salem Herrmann

        * Do not remove slash when uri format is message:+phone_number.

          Fixes: #1472221 (f28f6ea6)
        * Do not check for previous participants before generating history
          filters. Accounts might appear on demand and we need
          generate new filters even if the participant list is
          unchanged.
          Fixes: #1471335 Approved by: Gustavo Pichorim
          Boiko (72d5c78c)
        * Do not remove slash when uri format is message:+phone_number
          (018bad65)

2015-07-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d0465dc7)

2015-07-03 Tiago Salem Herrmann

        * Do not check for previous participants before generating history
          filters (5cf1a97a)

2015-07-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8f020605)

2015-06-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7bd651d9)

2015-06-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d619839e)

2015-06-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (29a33d57)

2015-06-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9bcbfffb)

2015-06-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d6b60d28)

2015-06-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (865233d8)

2015-06-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6ba40eed)

2015-06-18 CI Train Bot

        * Resync trunk. (dff11802)

2015-06-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (352a84ef)

2015-06-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2acdbee7)

2015-06-15 CI Train Bot

        * Releasing 0.1+15.10.20150615-0ubuntu1 (3927fd81)

2015-06-15 Renato Araujo Oliveira Filho

        * - Update application icon - Update screenshot
          Fixes: #1430004,
          #1457424 (4161a01c)
        * Shows the number of vcard in an attachment if this is greeter than
          1; Approved by: PS Jenkins bot (0079e629)

2015-06-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5c0e83a9)

2015-06-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bf234e15)

2015-06-10 Renato Araujo Oliveira Filho

        * Return count and contact name from vcard. (8f74a42f)
        * Increased vcard attachment right margin. (d0444f19)
        * return the correct value. (35451ae3)
        * Shows the number of vcard in an attachment if this is greeter than
          1; (98a75ce5)

2015-06-10 Tiago Salem Herrmann

        * merge trunk (6f32e37e)

2015-06-09 Tiago Salem Herrmann

        * merge trunk (2821ddb9)

2015-06-09 Renato Araujo Oliveira Filho

        * Fixed image permission. (63c0abdf)

2015-06-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0a203384)

2015-06-08 Renato Araujo Oliveira Filho

        * Update screenshot. (0877ba4c)
        * Update application icon. (a901b3c7)
        * Update screenshot. (2142b941)

2015-06-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e2572c01)

2015-06-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d6f6acee)

2015-06-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4c64c948)

2015-06-04 CI Train Bot

        * Resync trunk. (1ea4cfe6)

2015-06-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (78c22f75)

2015-06-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (daaccc03)

2015-06-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (59645ef0)

2015-06-01 CI Train Bot

        * Releasing 0.1+15.10.20150601.1-0ubuntu1 (7a34f58c)

2015-06-01 Gustavo Pichorim Boiko

        * Fix contact share. (e87183b8)

2015-06-01 Renato Araujo Oliveira Filho

        * Removed contact expansion.
          Fixes: #1368671 Approved by: Gustavo
          Pichorim Boiko (30de770f)
        * Implement address book interaction using the address book library
          instead of calling the app.
          Fixes: #1456782 Approved by:
          Gustavo Pichorim Boiko (db8ea4fb)
        * Trunk merged. (6e4001b2)
        * make sure that the model is empty (no extra contact loaded)
          (43483e31)

2015-06-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8a12472c)

2015-05-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d8f95f0b)

2015-05-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e3aef1a1)

2015-05-29 Sebastien Bacher

        * Update the translations template so new strings can be translated
          (3c680cf3)

2015-05-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (afc21354)

2015-05-26 Tiago Salem Herrmann

        * fix pep8 add comment to test (a308f96f)
        * Add autopilot test (bc5d5b29)
        * Use mock for the notification system (1e134538)
        * Open chat with individual participants of a group chat (69ef71a9)

2015-05-22 CI Train Bot

        * Releasing 0.1+15.04.20150522.1-0ubuntu1 (1085fdd5)

2015-05-22 Tiago Salem Herrmann

        * Do not anchor group participants popover to the keyboard.
          (0e7ae302)
        * Workaround a bug with ActivityIndicator. Approved by: PS Jenkins
          bot (39de5625)

2015-05-22 Gustavo Pichorim Boiko

        * Add autopilot tests for the settings page. Approved by: Tiago Salem
          Herrmann (6bb54eee)

2015-05-22 Tiago Salem Herrmann

        * Implement initial messaging settings page.
          Fixes: #1415458 Approved
          by: Gustavo Pichorim Boiko (dcc01d14)
        * Do not anchor group participants popover to keyboard (3de57000)

2015-05-21 Gustavo Pichorim Boiko

        * Merge latest changes from parent branch. (b06da236)

2015-05-21 Tiago Salem Herrmann

        * merge trunk (ee0fad9e)
        * Workaround a bug with ActivityIndicator (f3ca06e2)

2015-05-20 CI Train Bot

        * Releasing 0.1+15.04.20150520-0ubuntu1 (8cd25258)

2015-05-20 Tiago Salem Herrmann

        * Do not access data from the model onCountChanged. Use ListView
          onCountChanged instead.
          Fixes: #1449594, #1449598
          (d75c671a)
        * skip test while notifications are broken (a63cf3ac)

2015-05-20 Gustavo Pichorim Boiko

        * Fix contact share. (d4166805)

2015-05-15 Tiago Salem Herrmann

        * check message count before testing (a915a6d2)

2015-05-15 Renato Araujo Oliveira Filho

        * call external urls as ("<action>:<value>") instead of
          ("<action>:///<value>") (2b88c692)

2015-05-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (172b3557)

2015-05-14 Renato Araujo Oliveira Filho

        * Fixed flake8 (26368918)

2015-05-14 Ken VanDine

        * merged trunk (84e58a5b)

2015-05-14 Tiago Salem Herrmann

        * skip the new test while bug #1453958 isn't fixed (5c02d2a9)

2015-05-14 Gustavo Pichorim Boiko

        * Merge latest changes from parent branch. (931bd5a9)

2015-05-14 Tiago Salem Herrmann

        * merge trunk (e37436e5)
        * merge trunk (a47de9a3)

2015-05-14 Renato Araujo Oliveira Filho

        * Install test vcard on autopilot dir. (5bd5f38e)
        * Updated dep list. (5a43d56d)
        * Added 'address-book-app-autopilot' into autopilot dep list.
          (df683ae3)

2015-05-13 Renato Araujo Oliveira Filho

        * Parent merged. (d0a5e5f2)
        * Fixed flake8. (cb5705ed)
        * Avoid fetch the contact more than once. (3ce0ccaf)

2015-05-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e00e3fdd)

2015-05-12 Renato Araujo Oliveira Filho

        * Fixed autopilot. (8c213ca5)
        * Fixed debian package. (619efe65)
        * Fixed flake8. (7f63ac3d)
        * Update autopilot. (eaf7014b)
        * Parent merged. (d67ebfb1)
        * Removed contact expansion. (42ba2921)
        * Trunk merged. (3ae37312)
        * Added test to send a message from contact view page. (26ff5c74)

2015-05-12 CI Train Bot

        * Resync trunk. (9f4f1582)

2015-05-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5b561428)

2015-05-11 CI Train Bot

        * Releasing 0.1+15.04.20150511-0ubuntu1 (c7b9d10b)

2015-05-11 Renato Araujo Oliveira Filho

        * Show a swipe item demo during the first launch.
          Fixes: #1417359
          Approved by: Gustavo Pichorim Boiko (6cd4b35f)
        * Does not show swipe demo if the default sim card is not selected.
          (dd99bfc9)

2015-05-07 Renato Araujo Oliveira Filho

        * Fixed fade-out animation. (fd7a4fca)

2015-05-06 Renato Araujo Oliveira Filho

        * Fixed autopilot test. (4ee2c277)

2015-05-05 Renato Araujo Oliveira Filho

        * Fixed flake8 warnings. (1d03cdcf)

2015-05-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (51cf7e1c)

2015-05-01 Renato Araujo Oliveira Filho

        * Added a fade out on texts during the animation. (d72aba3c)
        * Fixed compose message start from contact details. (bc6ce6d4)
        * Created animations for the tutorial appear and desapear (5d003e4e)

2015-05-01 Gustavo Pichorim Boiko

        * Give some time for the settings to be written. (a9f3afda)

2015-04-30 Renato Araujo Oliveira Filho

        * Trunk merged. (7a02453e)
        * Start a new message from contact details page if there is no
          conversation open. (8780b0d4)
        * Add contact into the conversation from contact details page.
          (a8188dac)

2015-04-30 Gustavo Pichorim Boiko

        * Add a test to the settings page. (bb5ba89b)

2015-04-30 Renato Araujo Oliveira Filho

        * Implement address book interaction using the address book library
          instead of calling the app. (6a5e829a)

2015-04-30 Tiago Salem Herrmann

        * remove section title (1de1fb3e)

2015-04-30 Renato Araujo Oliveira Filho

        * Fixed autopilot tests on device. (6ec44fc9)

2015-04-30 Tiago Salem Herrmann

        * fix list view scrolling (68c9d358)

2015-04-29 Tiago Salem Herrmann

        * Add autopilot test to make sure messages are received in order and
          correctly displayed to the user (48f58b9d)

2015-04-29 Renato Araujo Oliveira Filho

        * Fixed flake8. (df680672)
        * Fixed pep8. (691c7e9c)
        * Created autopilot tests. (559e0769)
        * Show swipe demo after send a message if necessary. (55b32787)
        * Added missing svg file. (a5041871)

2015-04-29 Tiago Salem Herrmann

        * add simple settings screen (980462ed)
        * move scroll code to the ListView onCountChanged() (8deda467)

2015-04-29 Renato Araujo Oliveira Filho

        * Update swipe item demo visuals. (e22256b0)

2015-04-29 Tiago Salem Herrmann

        * revert latest commit (458c195b)

2015-04-28 Renato Araujo Oliveira Filho

        * Show a  swipe item demo during the first launch. (44f3f63e)

2015-04-28 Tiago Salem Herrmann

        * Refresh delegate on every index change (394a5ce5)

2015-04-21 Ken VanDine

        * merged trunk (80909453)

2015-04-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (528d6940)

2015-04-14 Ken VanDine

        * Handle sharing of ContentType.Text (b290a387)

2015-04-13 CI Train Bot

        * Releasing 0.1+15.04.20150413-0ubuntu1 (00912703)

2015-04-13 Tiago Salem Herrmann

        * Update history filters when telepathy accounts change.
          Fixes:
          #1439718 (a5e5eb89)
        * merge trunk (54dd19d4)

2015-04-08 CI Train Bot

        * Releasing 0.1+15.04.20150408-0ubuntu1 (cc6d439c)

2015-04-08 Gustavo Pichorim Boiko

        * Sync with the latest changes in history-service to support matching
          other contact fields. (d6cf451b)
        * Merge latest changes from trunk. (8bf6fa0e)

2015-04-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a4504e3d)

2015-04-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c03ba432)

2015-04-02 CI Train Bot

        * Resync trunk. (5e05bc0b)

2015-04-01 Gustavo Pichorim Boiko

        * Update the code to work with latest history-service changes.
          (a8ae0a84)

2015-04-01 Tiago Salem Herrmann

        * updated history filters when telepathy accounts change (85b9ee2f)

2015-03-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (034d3175)

2015-03-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d25092f6)

2015-03-18 CI Train Bot

        * Releasing 0.1+15.04.20150318-0ubuntu1 (8dd4e68a)

2015-03-18 Gustavo Pichorim Boiko

        * Change messaging-app to add basic support for accounts not based on
          phone number. (5f7dd826)
        * Change messaging-app to add basic support for accounts not based on
          phone number. (d7cd75f4)

2015-03-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (adb9e96b)

2015-03-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ff480540)

2015-03-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4d3a3418)

2015-03-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (65d2d4a2)

2015-03-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b019d3ee)

2015-03-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (93938868)

2015-03-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4584046f)

2015-03-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6d43996c)

2015-03-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (fabb6dc0)

2015-03-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5b0bf610)

2015-03-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3f5c39ab)

2015-03-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b23b2adc)

2015-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4ccd0212)

2015-02-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (38222be7)

2015-02-28 CI Train Bot

        * Releasing 0.1+15.04.20150228-0ubuntu1 (3fb333e1)

2015-02-28 Tiago Salem Herrmann

        * Use the proper style for TextField.
          Fixes: #1426036 (5976b20c)
        * Show short notification when messages are copied to clipboard.

          Fixes: #1417350, #1426058 (51a161d3)

2015-02-28 Bill Filler

        * Enable MMSDefault for unknown attachment types (04e693a4)

2015-02-27 Bill Filler

        * revert changes to pot file as it conflicts with another MR
          (788d837f)

2015-02-27 Tiago Salem Herrmann

        * Change label according to the mime type. update pot file (83249e07)
        * fix memory leak (61217b63)

2015-02-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (457d7e62)

2015-02-26 Tiago Salem Herrmann

        * Fix displaying MessageInfoDialog (7e0cdd62)
        * update pot file (a41ecae3)
        * only display copy action if there is text to be copied (cd67ebbd)

2015-02-25 Tiago Salem Herrmann

        * Enable MMSDefault for unknown attachment types (3641f2c2)
        * rename file (d88853c6)
        * use a local style for TextArea in the conversation view (f8424d67)

2015-02-24 Tiago Salem Herrmann

        * init notification system and use proper icon on notifications
          (f9c06aa4)
        * Use the proper style for TextField (e072b112)
        * show short notification when messages are copied to clipboard
          (a3fbc2e2)

2015-02-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (256d8426)

2015-02-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5c775a49)

2015-02-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (35bcbd81)

2015-02-18 CI Train Bot

        * Releasing 0.1+15.04.20150218-0ubuntu1 (f47d0b12)

2015-02-18 Tiago Salem Herrmann

        * Disable spinner for incoming messages.
          Fixes: #1420976 Approved by:
          Gustavo Pichorim Boiko (462e7676)

2015-02-18 Gustavo Pichorim Boiko

        * Test that new messages are scrolled into view. (3258f57b)
        * Make pyflakes happy. (7c7187f1)
        * Use a prepopulated database to the scroll test. Also change the way
          prepopulated data is loaded to avoid overwriting user's
          data. (88c540df)

2015-02-17 Gustavo Pichorim Boiko

        * Make pep8 and pyflakes happy. (9abdf10e)
        * Test that new messages are scrolled into view. (15243dd8)

2015-02-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (424f4740)

2015-02-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0eea969f)

2015-02-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ecdc4433)

2015-02-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (24d08887)

2015-02-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d8525ce6)

2015-02-12 CI Train Bot

        * Resync trunk (496a336b)

2015-02-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3956c123)

2015-02-12 CI Train Bot

        * Releasing 0.1+15.04.20150212-0ubuntu1 (fef977fa)

2015-02-12 Gustavo Pichorim Boiko

        * Use the standard back button on searching and multi selecting
          instead of the X.
          Fixes: #1373494 Approved by: Tiago Salem
          Herrmann (9e8c0179)

2015-02-12 Renato Araujo Oliveira Filho

        * Show import contact options if contact list is empty.
          Fixes:
          #1417341 (388c38af)

2015-02-11 Tiago Salem Herrmann

        * Disable spinner for incoming messages (806a510b)

2015-02-11 CI Train Bot

        * Releasing 0.1+15.04.20150211-0ubuntu1 (03d9ed24)

2015-02-11 Omer Akram

        * Provide a pre-populated database for search test so that we don't
          conflict with the On Screen Display Notification
          Fixes:
          #1418074 (a1f1d17a)

2015-02-11 Tiago Salem Herrmann

        * Inject messages into the history service when it is impossible to
          send them.
          Fixes: #1417353 (dfb09b8e)
        * call updateFilters() after the message is sent otherwise the
          threadId wont be available yet (2d3bd88a)
        * merge trunk (23b06b71)

2015-02-09 Tiago Salem Herrmann

        * Inject messages into the history service when it is impossible to
          send them (a31b54bd)

2015-02-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e0f89042)

2015-02-06 Omer Akram

        * fix testdata location reference (9de0b147)

2015-02-05 Renato Araujo Oliveira Filho

        * Fix property set twice. (6a888ee8)
        * Show import contact options if contact list is empty. (6ec7affa)

2015-02-05 Tiago Salem Herrmann

        * insert message in history database when there is no network
          (fa916ab2)

2015-02-05 CI Train Bot

        * Resync trunk (e9b4e019)

2015-02-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5afe2200)

2015-02-04 CI Train Bot

        * Releasing 0.1+15.04.20150204-0ubuntu1 (1570d5b8)

2015-02-04 Tiago Salem Herrmann

        * Add initial MMS group chat support.
          Fixes: #1415458 (b0dd1fae)
        * fix variable name (262e8959)

2015-02-04 Omer Akram

        * change test structure to introduce a testdata db for a few tests to
          work reliably (LP# 1418074) (ca750bad)

2015-02-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5bda9257)

2015-02-03 Gustavo Pichorim Boiko

        * Use the standard back button on searching and multi selecting
          instead of the X. (1c357c2f)

2015-01-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (97c81989)

2015-01-27 Tiago Salem Herrmann

        * merge trunk (b1b436ba)

2015-01-27 CI Train Bot

        * Releasing 0.1+15.04.20150127-0ubuntu1 (f368ebfa)

2015-01-27 Tiago Salem Herrmann

        * Generate filters dynamically using a UnionFilter with all grouped
          threads.
          Fixes: #1414675 Approved by: Gustavo Pichorim
          Boiko (6ea0f4ef)

2015-01-27 Gustavo Pichorim Boiko

        * Test that search terms are properly escaped. Approved by: Tiago
          Salem Herrmann (4a80377b)

2015-01-27 Tiago Salem Herrmann

        * change filters to make it more reliable (699176a0)

2015-01-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bc7106f9)

2015-01-26 Tiago Salem Herrmann

        * Generate filters dynamically using a UnionFilter with all grouped
          threads. (bede5a18)

2015-01-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (66ced54e)

2015-01-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9545a39e)

2015-01-24 Gustavo Pichorim Boiko

        * Make pep8 happy. (596cff29)
        * Test also that search strings are properly escaped. (5d51ab81)

2015-01-23 CI Train Bot

        * Releasing 0.1+15.04.20150123-0ubuntu1 (3d618920)

2015-01-23 Tiago Salem Herrmann

        * Query thread messages when searchTerm changes.
          Fixes: #1376793
          (fe7d1e8b)
        * use lamba functions (231a36b8)
        * use Eventually() (aafbd368)
        * do not rely on timers (e2207771)
        * fix broken test (041f18bc)

2015-01-22 Tiago Salem Herrmann

        * merge trunk (e9f2268e)
        * add autopilot test for message search (0b94057c)

2015-01-21 Tiago Salem Herrmann

        * anchor to the bottom of the screen while searching (11b5d208)
        * hide bottom panel when searching use a timer to retrieve more items
          from history (17be9a31)
        * update search when delegates are created (c3051b87)

2015-01-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bc8060e2)

2015-01-19 Tiago Salem Herrmann

        * show spinner while searching (619f81f0)
        * - make loader asynchronous - fix dates when searching (7e4e17c3)

2015-01-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (47507298)

2015-01-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (739e8b9d)

2015-01-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (16edf71d)

2015-01-16 Tiago Salem Herrmann

        * use a Loader to avoid creating instances of the model when not
          required (a04955a3)

2015-01-16 Gustavo Pichorim Boiko

        * Update pot file. (1c2f9b6d)

2015-01-15 Tiago Salem Herrmann

        * merge trunk (62307a3c)

2015-01-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a2852b21)

2015-01-09 Tiago Salem Herrmann

        * merge trunk (7da88759)
        * scroll to the item that matched the search (62d858b6)

2015-01-08 CI Train Bot

        * Releasing 0.1+15.04.20150108-0ubuntu1 (16b910c0)

2015-01-08 Tiago Salem Herrmann

        * Scroll new messages into view.
          Fixes: #1373479 (9678ed5c)

2015-01-08 CI Train Bot

        * Resync trunk (60dfd4f4)

2015-01-08 Tiago Salem Herrmann

        * display information about the matched event (fd09f9be)

2015-01-07 Tiago Salem Herrmann

        * Query thread messages when searchTerm changes. (3f61a5e3)

2015-01-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (58f2139c)

2015-01-06 CI Train Bot

        * Releasing 0.1+15.04.20150106-0ubuntu1 (7294620c)

2015-01-06 Gustavo Pichorim Boiko

        * Remove multiple entries all at once instead of using multiple
          calls.
          Fixes: #1404286 (ae73cf13)

2015-01-05 Gustavo Pichorim Boiko

        * Update copyright headers. (bd66df96)
        * Remove multiple entries all at once instead of using multiple
          calls. (ee8c4986)

2015-01-05 Tiago Salem Herrmann

        * remove pendingMessage logic as it is not useful anymore (673c5152)
        * keep track of the latest event so the messaging view is scrolled
          when new events arrive (22a26d11)

2014-12-19 CI Train Bot

        * Releasing 0.1+15.04.20141219-0ubuntu1 (f66b9967)

2014-12-19 Tiago Salem Herrmann

        * launch_upstart_application() does not take more than one argument.
          (01bec22a)

2014-12-18 Tiago Salem Herrmann

        * remove --test-contacts (ff23c031)
        * launch_upstart_application() does not take more than one argument.
          (1f0bb8b0)

2014-12-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2b0e046c)

2014-12-10 CI Train Bot

        * Releasing 0.1+15.04.20141210-0ubuntu1 (08d6aefc)

2014-12-10 Tiago Salem Herrmann

        * Change bottom edge label to match design specs.
          Fixes: #1391586
          (65147cd8)
        * Read text property from url-dispatcher.
          Fixes: #1382623 (af73dcc4)

2014-12-09 Tiago Salem Herrmann

        * add test for url handler (556b1d32)

2014-12-08 Tiago Salem Herrmann

        * revert pot changes (00927ffe)

2014-12-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e7936803)

2014-12-04 Tiago Salem Herrmann

        * update po file (cefae0e3)
        * change bottom edge label to match design specs (b65b9ad9)

2014-12-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (fdd5c421)

2014-12-01 Tiago Salem Herrmann

        * check if self number is known (3120ae52)

2014-11-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (001e7c42)

2014-11-25 Tiago Salem Herrmann

        * check if mms group chat is enabled (8ce9ed25)

2014-11-24 Tiago Salem Herrmann

        * merge trunk (dbeee41d)
        * split recipient list (47021b53)

2014-11-21 Tiago Salem Herrmann

        * use full list of participants when marking messages as read
          (de08b3ff)

2014-11-21 CI bot

        * Releasing 0.1+15.04.20141121-0ubuntu1 (2928c820)

2014-11-21 Alexandre Abreu

        * Localize and strengthen the phone number detection scheme used from
          within a given message bubble as it is replaced by tel://
          URIs. (eba77e8c)

2014-11-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c371c5ce)

2014-11-18 Alexandre Abreu

        * Add build dep for qtdeclarative5-ubuntu-telephony-phonenumber0.1
          since it is needed for unit tests (4f61362d)

2014-11-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b8eee2a5)

2014-11-11 Alexandre Abreu

        * cleanup formatting (41770f54)

2014-11-10 Alexandre Abreu

        * remove confusion about phone number plugin dep (7f55126c)
        * update (be1551ba)

2014-11-10 CI bot

        * Releasing 0.1+15.04.20141110-0ubuntu1 (c35810b6)

2014-11-10 Gustavo Pichorim Boiko

        * Make the time displaying consistent with dialer-app.
          Fixes: 1375890
          (7771ca9e)

2014-11-09 Alexandre Abreu

        * rever uneeded additional dep (1eef499f)
        * rever uneeded additional dep (046c0a27)
        * fix build (a76f3f68)

2014-11-08 Alexandre Abreu

        * add proper phone number matching in the messaging bubbles
          (bd8529cc)

2014-10-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (49ddda13)

2014-10-28 CI bot

        * Releasing 0.1+14.10.20141028~rtm-0ubuntu1 (ab014fad)

2014-10-28 Tiago Salem Herrmann

        * Show sim card display names on sim divider even when the sim card
          is removed.
          Fixes: 1382588 (b4b7599a)

2014-10-21 Gustavo Pichorim Boiko

        * Make the time displaying consistent with dialer-app. (7c23f1ce)

2014-10-17 Tiago Salem Herrmann

        * read text property from url-dispatcher (28beebcf)

2014-10-16 Tiago Salem Herrmann

        * fix pressAndHold with all kinds of attachments (fa0d103d)

2014-10-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bf696c28)

2014-10-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a081fde8)

2014-10-14 Tiago Salem Herrmann

        * display sim card display names even when the sim card is removed
          (46aeba86)

2014-10-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9e23b73d)

2014-10-09 Timo Jyrinki

        * Manually merge 0.1+14.10.20141007.1-0ubuntu1 (9992bb11)

2014-10-07 CI bot

        * Releasing 0.1+14.10.20141007.1-0ubuntu1 (03df648a)

2014-10-07 Bill Filler

        * use header in splash screen
          Fixes: 1378379 (d0c438e0)

2014-10-07 Gustavo Pichorim Boiko

        * Ship the messaging-app icon together with the package
          Fixes:
          1365408 Approved by: Tiago Salem Herrmann (b121eca5)

2014-10-07 Tiago Salem Herrmann

        * Make conversations view header fixed. Approved by: Bill Filler
          (6c2681e1)
        * Fix black image in the mms preview.
          Fixes: 1373462 (a6fc4d09)
        * Add support for sim lock.
          Fixes: 1371661 Approved by: Gustavo
          Pichorim Boiko, PS Jenkins bot (40d1f76f)
        * - Don't show the attachment popup on onClicked() - Update bottom
          edge behavior
          Fixes: 1368718 Approved by: Gustavo Pichorim
          Boiko (c1228066)
        * - Add initial support for the new information messageType. - Notify
          users when the active sim card was switched.
          Fixes:
          1356950 Approved by: Gustavo Pichorim Boiko (889d313b)
        * revert scroll patch (97490bd9)

2014-10-07 Bill Filler

        * use header in splash (39fd19d4)

2014-10-07 Tiago Salem Herrmann

        * update displayLabel on demand (c41df98f)
        * disable highlightFollowsCurrentItem (719d751d)

2014-10-03 Gustavo Pichorim Boiko

        * Ship the icon in the package. (5c1b58bb)

2014-10-03 Tiago Salem Herrmann

        * always scroll view when new messages are inserted at the beginning
          of the model (c4d946c7)
        * workaround the header visibily bug by making the conversations view
          header fixed (81aa619d)

2014-10-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1e788d82)

2014-10-02 Tiago Salem Herrmann

        * fix black image preview (d3e19b62)

2014-10-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (de74b0f5)

2014-10-01 Tiago Salem Herrmann

        * hide tip when focus is lost (ea6e76f1)
        * change dialog message (f8bd0238)
        * Disable the unlock button for now (6990c9c8)

2014-10-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8710a0e4)

2014-09-30 Tiago Salem Herrmann

        * simplify translation string (ca77f3ac)
        * hide keyboard on sim lock dialog (37e3a242)
        * don't use the fake string for translation (a3e9c5e8)
        * implement sim lock support (cc6fd5ad)
        * add support for sim lock (18f9fe9e)

2014-09-29 Tiago Salem Herrmann

        * dont let users manually remove sim dividers (31e3abbd)

2014-09-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (01a4ee89)

2014-09-26 Tiago Salem Herrmann

        * set also delegateItem as a binding (166c5a57)
        * fix index bindings (8c76a702)

2014-09-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7142d66c)

2014-09-24 Tiago Salem Herrmann

        * use macro instead of number (fe7eb83c)
        * - move delegates to separate files - implement separate delegate
          for account sections (40b048a1)
        * only delete all dividers if all items were selected (3b80c3a4)

2014-09-24 CI bot

        * Releasing 0.1+14.10.20140924-0ubuntu1 (a49b45cc)

2014-09-24 Renato Araujo Oliveira Filho

        * Changed swipe list item to not activate on mouse release. Changed
          actions order on Message delegate.
          Fixes: 1368337 Approved
          by: Bill Filler, PS Jenkins bot (9b02d4b8)

2014-09-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7a9dc38b)

2014-09-23 Tiago Salem Herrmann

        * fix selection mode (ca380bf9)

2014-09-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f5d850ea)

2014-09-22 Tiago Salem Herrmann

        * use a dynamic item (5b2b1d22)
        * fix messaging view rendering (9300c935)
        * Add initial support for the information messageType (91f652c8)
        * initial support for the new information messageType (c373c34a)

2014-09-22 CI bot

        * Resync trunk (e8a9b2f4)

2014-09-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (dae293ff)

2014-09-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7c220534)

2014-09-19 CI bot

        * Releasing 0.1+14.10.20140919-0ubuntu1 (8e5efee3)

2014-09-19 Gustavo Pichorim Boiko

        * Increase the time waiting for the OSD to hide. (c9ae54cc)

2014-09-19 Tiago Salem Herrmann

        * Fix auto-scrolling on the MultiRecipientInput widget.
          Fixes:
          1356811, 1369519 Approved by: Bill Filler (8cb6ad7f)
        * Don't try to linkify phone numbers if web links are present.
          Fixes:
          1367802 Approved by: Bill Filler, PS Jenkins bot
          (660c5656)

2014-09-19 Gustavo Pichorim Boiko

        * Increase the time waiting for the OSD to hide. (24b16463)

2014-09-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4e095f68)

2014-09-18 Tiago Salem Herrmann

        * dont show the attachment popup on onClicked (9ff911c8)
        * update bottom edge behavior (568d07a4)
        * fix scrolling on the MultiRecipientInput widget (30dd1d40)
        * dont fill text with linkified code (2739d6b7)

2014-09-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b1bd94c5)

2014-09-17 Tiago Salem Herrmann

        * don't try to linkify phone numbers if web links are present
          (040f9348)

2014-09-17 CI bot

        * Releasing 0.1+14.10.20140917.1-0ubuntu1 (6b0ed074)

2014-09-17 Tiago Salem Herrmann

        * Workaround focus problem in the MultiRecipientInput component.

          Fixes: 1369018 (8bab28ee)

2014-09-17 Renato Araujo Oliveira Filho

        * Added Symbola font as dependency
          Fixes: 1269017 Approved by: Bill
          Filler (93488b5d)

2014-09-17 Tiago Salem Herrmann

        * fix visibility of the contact list (60b296d1)
        * fix contact list anchors (3d3e20a4)
        * disable activeFocusOnPress (c9af9b2c)
        * revert changes (6d7ce5b9)

2014-09-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d6e935b3)

2014-09-17 Tiago Salem Herrmann

        * workaround for focus bug in the sdk (c8c428fd)

2014-09-16 Renato Araujo Oliveira Filho

        * Changed swipe list item to not activate on mouse release. Changed
          actions order on Message delegate. (5284d198)

2014-09-16 Gustavo Pichorim Boiko

        * Update pot file. (185a58c6)

2014-09-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (38aaccdd)

2014-09-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8389535b)

2014-09-14 CI bot

        * Resync trunk (9062c5fe)

2014-09-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cbe2370e)

2014-09-12 CI bot

        * Releasing 0.1+14.10.20140912-0ubuntu1 (588371f4)

2014-09-12 Renato Araujo Oliveira Filho

        * Fixed binding loop. Approved by: Gustavo Pichorim Boiko, PS Jenkins
          bot, Michał Karnicki (18e0e09e)
        * Updated pot file. Approved by: Gustavo Pichorim Boiko (16f903fe)

2014-09-12 Gustavo Pichorim Boiko

        * Do not rely on translatable strings for getting objects. Also,
          re-enable tests that were previously disabled.
          Fixes:
          1346475 Approved by: Leo Arias, PS Jenkins bot, Renato
          Araujo Oliveira Filho (f1b4af7c)
        * Remove the proxies that were being used for sorting and grouping of
          threads and messages. The functionality is implemented
          directly on history models themselves now. Approved by:
          Tiago Salem Herrmann (b7c75ad7)
        * Make sure phonesim is detected even when there are multiple modems.
          Approved by: Tiago Salem Herrmann (622f873d)
        * Use the contact info exposed in the history models instead of
          having multiple instances of the contact watcher. Approved
          by: Tiago Salem Herrmann (275515ef)

2014-09-12 Tiago Salem Herrmann

        * - enable the send button when any text is entered in the recipient
          input field. - scroll view to the bottom when sending
          messages.
          Fixes: 1346745, 1364498, 1366896, 1367315,
          1367331, 1367457 Approved by: Gustavo Pichorim Boiko, PS
          Jenkins bot (6fe5dd36)

2014-09-12 Gustavo Pichorim Boiko

        * Remove leftover comment. (27310198)

2014-09-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (322829c5)

2014-09-11 Gustavo Pichorim Boiko

        * Fix the thread delegate objectname (d224d562)
        * Reuse the participant alias from the threadview until the
          contactwatcher comes with proper results. (c22b2e81)

2014-09-11 Tiago Salem Herrmann

        * invoke attachment removal popup also on onHoldAndPress (7d0bf6b0)

2014-09-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6a36239f)

2014-09-10 Renato Araujo Oliveira Filho

        * Replace tab to spaces. (dafa7ad3)

2014-09-10 Tiago Salem Herrmann

        * change screen title to Messages instead of Chats (da5cedc9)
        * Change placeholder text add recipient when user type a comma
          (b5149bf6)

2014-09-10 Gustavo Pichorim Boiko

        * Fix pep8 and pyflakes errors. (155e190a)
        * Do not rely on translatable strings for getting objects. Also,
          re-enable tests that were previously disabled. (9e92b8c6)
        * Make sure phonesim is detected even when there are multiple modems.
          (e15726c3)

2014-09-10 Renato Araujo Oliveira Filho

        * Added ttf-ancient-fonts-symbola as dependecy. (87044606)
        * Removed Symbola font. (497342f8)

2014-09-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (183495b1)

2014-09-09 Gustavo Pichorim Boiko

        * Remove the proxy models. (c1feb66e)

2014-09-09 Renato Araujo Oliveira Filho

        * Load Symbola font to be able to render the emoji. (bb9f4aca)

2014-09-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7905579a)

2014-09-08 Gustavo Pichorim Boiko

        * Use the contact info from the history models instead of using
          individual contact watchers. (64ef6d70)

2014-09-08 Renato Araujo Oliveira Filho

        * Updated pot file. (5edae793)

2014-09-08 Tiago Salem Herrmann

        * fix typo (7cd8b502)
        * force focus when bottomPanel is clicked (8f50e711)

2014-09-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bd3c0f0a)

2014-09-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8797e0a7)

2014-09-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8f7093ba)

2014-09-05 Tiago Salem Herrmann

        * merge trunk (7dbcff92)
        * scroll view to beginning when sending new messages (5e28ced0)

2014-09-05 CI bot

        * Resync trunk (d56fa8fb)

2014-09-05 Tiago Salem Herrmann

        * enable send button if the search field is not empty (fc614339)

2014-09-05 Renato Araujo Oliveira Filho

        * Fixed binding loop. (b3366fe0)

2014-09-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4aebd4b2)

2014-09-04 CI bot

        * Releasing 0.1+14.10.20140904.1-0ubuntu1 (af85370e)

2014-09-04 Renato Araujo Oliveira Filho

        * Added "+ Create new" button on contact list. Hide contact switch
          "all" "favorites" during the search.
          Fixes: 1234947
          (2048ac2f)
        * Format the message timestamp using the current system locale. Make
          sure that AM/PM format get correct formatted.
          Fixes:
          1353691, 1362378 Approved by: PS Jenkins bot (733e4a01)
        * Set root element as parent for MessageInfoDialog. (f87aa105)

2014-09-04 Tiago Salem Herrmann

        * Improve startup time
          Fixes: 1325001 (a6875197)

2014-09-04 Pawel Stolowski

        * Added X-Ubuntu-Default-Department-ID key to the desktop file. This
          is required by click scope to support departments for
          preinstalled applications. Approved by: Olivier Tilloy
          (c8402919)

2014-09-04 Renato Araujo Oliveira Filho

        * Replaced ContactListView used to display search result with a
          simple ListView. Approved by: PS Jenkins bot, Tiago Salem
          Herrmann (e2d71224)

2014-09-04 Gustavo Pichorim Boiko

        * Make sure the strings from the desktop file template are processed.
          Use paths relative to the po dir in the .pot file to match
          convention. Update the pot file. (351269d1)

2014-09-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9590785c)

2014-09-04 Tiago Salem Herrmann

        * reuse ContactWatcher instance (33c2c5cd)

2014-09-03 Tiago Salem Herrmann

        * avoid displaying a black square. (0727d9cf)
        * improve a bit more startup (dbf565c7)

2014-09-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7113d300)

2014-09-02 Renato Araujo Oliveira Filho

        * Revert changes on pot files. It will be updated later. (004a8852)
        * Trunk merged (4dc9b2fc)

2014-09-02 Tiago Salem Herrmann

        * avoid calling threadForParticipants() more than once (0a12007f)

2014-09-02 Renato Araujo Oliveira Filho

        * Goes back to all contacts when the search finish. (1d8feae2)

2014-09-02 Gustavo Pichorim Boiko

        * Merge latest changes from trunk. (e2b364eb)

2014-09-02 Renato Araujo Oliveira Filho

        * Updated pot file. (f8aa3484)

2014-09-02 Tiago Salem Herrmann

        * reenable dynamicsortfilter (4e5633b2)

2014-09-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (90550db8)

2014-09-01 Tiago Salem Herrmann

        * fix focus on first run (7469778d)

2014-09-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d850335f)

2014-08-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1d286451)

2014-08-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d566b14b)

2014-08-29 Tiago Salem Herrmann

        * Improve startup time (f2811862)
        * contactlist model (85063e60)

2014-08-29 Renato Araujo Oliveira Filho

        * Added "+ Create new" button on contact list. Hide contact switch
          "all" "favorites" during the search. (3a40ac65)
        * Format the message timestamp using the current system locade.
          (85ee8fa7)

2014-08-29 Martin Pitt

        * update POT (a1494467)

2014-08-28 CI bot

        * Releasing 0.1+14.10.20140828.3-0ubuntu1 (bbdf619e)

2014-08-28 Martin Pitt

        * Do not mark single space for translation, and fix wrong macros in
          plural forms of "Attachments" strings. Approved by:
          Gustavo Pichorim Boiko, PS Jenkins bot (7b960f34)

2014-08-28 Bill Filler

        * Mark the "Send" string for translation. This will require an update
          of the .pot file too. (9de02757)

2014-08-28 Tiago Salem Herrmann

        * Use rich text to avoid parsing errors.
          Fixes: 1320126, 1340937
          Approved by: PS Jenkins bot (321c3051)

2014-08-28 Renato Araujo Oliveira Filho

        * Update vcard visual on text field (before send it)
          Fixes: 1359351
          Approved by: PS Jenkins bot (f2d24307)
        * - Limit the size of memory used by images on MMSImage.qml - Removed
          scrollbar. - Optimize messages page (Binding only message
          object property for loaders.)
          Fixes: 1356539 (1c8d358a)
        * Show destination numbers on MessageInfoDialog.
          Fixes: 1359843
          Approved by: Bill Filler, PS Jenkins bot (f04d1dfc)
        * Fixed retry button anchor item for MMS. (1ed3119e)
        * Fixed focus transfer to send button when it get clicked. (9218321b)

2014-08-28 Bill Filler

        * merge from trunk (3d3471bd)

2014-08-28 Renato Araujo Oliveira Filho

        * Trunk merged. (3e2aee98)
        * Fixed text input height when it contains attachments. (0c9768d0)
        * Fixed portrait image preview size. (ef66c70b)
        * Reduced margins between Message body and timestamp. (d57fc1d8)

2014-08-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (dc43f59b)

2014-08-28 Martin Pitt

        * Do not translate a space (f6d2ca72)
        * Fix wrong macros in plural forms of "Attachments" strings
          (0c17cff5)
        * Update POT (72d7511f)

2014-08-27 Renato Araujo Oliveira Filho

        * Fixed text input field height when not attachments is present.
          (bc776d8f)
        * Removed wrong animation. (dba084c9)
        * Reduce message marging. Fixed Timestamp on wrong items. (Timestamp
          should apper only in the last message item) (6a867c81)

2014-08-27 Tiago Salem Herrmann

        * fix parsing ip addresses (e9115953)
        * Use rich text to avoid parsing errors. (c892493e)

2014-08-27 Renato Araujo Oliveira Filho

        * Updated unit test based on new MessageBubble. (4ebb4140)
        * Replaced bubble images with QML rectangle. (658e40a1)

2014-08-26 Renato Araujo Oliveira Filho

        * Removed debian rules build override used to build the project in
          debug mode as default. (a1f1b0bf)
        * Fixed MMS copy. (1f9d30b6)
        * Fixed retry button for MMS without text. (db516fab)
        * Avoid Message bubble for MMS if the message does not contains text.
          (e1c9fa28)
        * Added static declaration of debuggingEnabler (67dc4d10)
        * Avoid binding problems while creating the delegate. (15f88766)
        * Removed debug message. (018ed312)
        * Avoid compare 'undefined' dates. (18f0c914)
        * Fixed message "retry" button. (0618ffd8)
        * Update vcard visual on text field (before send it) (a656ab65)
        * Removed "import QtContacts 5.0" from Messages.qml (46c9f201)

2014-08-25 Renato Araujo Oliveira Filho

        * Merged:
          https://code.launchpad.net/~renatofilho/messaging-app/fix-1359843
          (2a992ef5)
        * Trunk merged. (8692b84a)
        * Updated pot file with source files path relative from po/ source
          dir. (c9664eb2)

2014-08-25 CI bot

        * Releasing 0.1+14.10.20140825-0ubuntu1 (531d19bb)

2014-08-25 Martin Pitt

        * Mark for using language packs Approved by: Ken VanDine, PS Jenkins
          bot (e3772d2e)
        * merge trunk (b70acad1)

2014-08-21 Renato Araujo Oliveira Filho

        * Show destination numbers on MessageInfoDialog. (587c89da)
        * - Reduce conversation bobbles size. - Does not cache MMS images.
          (9b67e5fc)
        * Revert changelog changes. (1d0170e6)

2014-08-20 CI bot

        * Releasing 0.1+14.10.20140820-0ubuntu1 (90712756)

2014-08-20 Renato Araujo Oliveira Filho

        * Update Picture import functionality to import pictures from any
          source.
          Fixes: 1356543 Approved by: PS Jenkins bot, Tiago
          Salem Herrmann (820d0faf)

2014-08-20 Tiago Salem Herrmann

        * Display only active accounts (sim card present). (8faecded)

2014-08-20 Renato Araujo Oliveira Filho

        * Added TRANSLATORS comments for some i18n strings. Fixed plural form
          for some i18n strings. (7e1ed824)
        * Fixed messaging-app.pot cmake rule. (dd23516f)
        * Fixed autopilots to use the new component type for MessagesList
          (5be9624e)

2014-08-19 Renato Araujo Oliveira Filho

        * Removed thumbnailer importer. (d1450e65)
        * Removed scrollbar. (5d8307bd)
        * Put back message section. (ba0c89e3)
        * Binding only message object property for loaders. (18df8743)

2014-08-19 Tiago Salem Herrmann

        * check if default sim was removed and use fallback (b299e1d7)

2014-08-19 Renato Araujo Oliveira Filho

        * Set the contentType for imported pictures. (eb678724)
        * Trunk merged. (8445809a)
        * Use parent properties on loaders instead of binding it. (ab62ed3e)

2014-08-19 Martin Pitt

        * mark for using language packs (ac551e42)

2014-08-19 Renato Araujo Oliveira Filho

        * Avoid move the list to beginner while scrolling in the model.
          (14d410b9)

2014-08-18 Renato Araujo Oliveira Filho

        * Make sure that the keyboard is hide befor show the message info
          dialog. (a73469c9)

2014-08-17 Renato Araujo Oliveira Filho

        * Set root element as parert for MessageInfoDialog. (e8e4bbee)

2014-08-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (31e5de1a)

2014-08-15 Tiago Salem Herrmann

        * revert pot file changes (e87493a9)

2014-08-15 Renato Araujo Oliveira Filho

        * Limit the size of memory used by images on MMSImage.qml (ab6aea42)

2014-08-15 Tiago Salem Herrmann

        * display only active accounts (sim card present) (2c292acf)

2014-08-15 Renato Araujo Oliveira Filho

        * Replaced  ContactListView used to display search result with a
          simple ListView. (9e2fc226)

2014-08-15 Ugo Riboni

        * Make sure the strings from the desktop file template are processed.
          Use paths relative to the po dir in the .pot file to match
          convention. Update the pot file. (23521b79)

2014-08-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1d1e5023)

2014-08-13 CI bot

        * Releasing 0.1+14.10.20140813.2-0ubuntu1 (bdb5a49f)

2014-08-13 Renato Araujo Oliveira Filho

        * - Fixed wrong icon for group chat - Implemented handling of not
          sent sms/mms swipe for more options - RETRY for failed
          messages should go as well into the left tug - Move
          selection tick to the center of the item - Set a limit for
          message input field maximum height - Once user types in a
          name into the “add contact” field and there is a matching
          list, the “compose message” entry field can disappear -
          Handle the message as only one item for swipe acctions -
          Created sections for dates on chat window - Fixed vcard
          attachment visuals based on designer spec - Make timestamp
          visible on image attachments if it is the only item of the
          message - Display Account name together with timestamp
          (Temporary solution) - Show message info dialog Approved
          by: PS Jenkins bot (a3048f9a)

2014-08-13 Gustavo Pichorim Boiko

        * Do not update the .po files during `make`, update only the .pot
          file. Approved by: Tiago Salem Herrmann (17f1305e)

2014-08-13 Tiago Salem Herrmann

        * Add initial dual sim settings. Add empty state screen. Approved by:
          Gustavo Pichorim Boiko, PS Jenkins bot (b7bc075f)

2014-08-13 Renato Araujo Oliveira Filho

        * Update Picture import functionality to import pictures from any
          source. (48685dec)

2014-08-13 Gustavo Pichorim Boiko

        * Do not update the .po files during `make`, update only the .pot
          file. (d0a78385)

2014-08-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (df0f57fc)

2014-08-12 Renato Araujo Oliveira Filho

        * Merged "lp:~tiagosh/messaging-app/dual-sim-settings" (d357ba28)

2014-08-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b0fd2096)

2014-08-11 Renato Araujo Oliveira Filho

        * Manually set the dialog parent. (1d63675a)
        * Fixed contact preview page to show "Unknown contact" when the
          contact name is empty. (93ebadfd)
        * Fixed item display for missing file. (205e73ba)

2014-08-11 Tiago Salem Herrmann

        * remove unused dialog (6b5a4ed6)
        * Move dialogs to a separate directory (5d2bbf87)

2014-08-11 Renato Araujo Oliveira Filho

        * Fixed select all messages to make sure that unselect all if all
          messages is already selected. (27e80b32)
        * Fixed timestamp maximum width. (4ad8f708)
        * Make sure that the timestamp and sim name get ellipsized correct.
          (3a9e0270)

2014-08-11 Tiago Salem Herrmann

        * - fix tests - don't show sim dialogs when there are multiple
          accounts (fbd1b146)

2014-08-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e0b8d618)

2014-08-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5beab0c1)

2014-08-09 Tiago Salem Herrmann

        * remove empty space (82682ce6)
        * fix dialog text alignment (997be292)

2014-08-09 Renato Araujo Oliveira Filho

        * Fixed selectionMode for ThreadDelegate. (a247d6a5)
        * Show hardcoded status "Received" for received messages. (77484244)

2014-08-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (57aae706)

2014-08-09 Tiago Salem Herrmann

        * add default sim card selection dialog on main screen (30a5c3bc)

2014-08-08 Renato Araujo Oliveira Filho

        * Update message info dialog. (67cdbcad)

2014-08-08 Tiago Salem Herrmann

        * add initial dual sim settings (64960b6e)

2014-08-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (33d6ec96)

2014-08-07 Renato Araujo Oliveira Filho

        * Use Manual created sections because of the verticalLayoutDirection
          used by Messages list view. (bb0d8f7e)

2014-08-07 Tiago Salem Herrmann

        * check if the model is still loading (6f6ef250)
        * - add group chat icon - add empty state screen (3a125841)

2014-08-07 Renato Araujo Oliveira Filho

        * Implemented message info dialog and right action. (21800e19)
        * Used section to show the dates. (e09efc37)
        * Updated unit test. (8ca28a60)
        * Trunk merged. (aba69e53)

2014-08-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (75b55cd8)

2014-08-06 Renato Araujo Oliveira Filho

        * Fixed MessageBubble width. (9005eb0c)
        * Fixed bubble size. Fixed bubble font color for incoming message.
          Fixed account label on bubble. (b5074d09)
        * Update autopilot tests. (1c51bdfb)
        * Update autopilot tests. (527fd8b0)
        * Fixed multiple selection mode. (e3dddf65)

2014-08-06 CI bot

        * Releasing 0.1+14.10.20140806-0ubuntu1 (1aab64fa)

2014-08-06 Gustavo Pichorim Boiko

